using System.Drawing.Imaging;
using System.Drawing.Drawing2D;

using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.IO;
using System.Reflection;
using Symcon.Globals.Enums;
using Symcon.LightRidge.Options;
using Symcon.Utils.XMLUtils;
using Syncfusion.Windows.Forms.Tools;
using Syncfusion.Windows.Forms;
using Symcon.LightRidge.Options.DBOptions;
using Symcon.LightRidge.BusinessObjects;
using Symcon.LightRidge.PEAdvisor.GridUtilities;
using Symcon.LightRidge.ProjectOptions;
using Symcon.LightRidge.ProjectOptions.ProjectInfo;
using Symcon.LightRidge.PEAdvisor.UIAccessController;
using Symcon.LightRidge.DataQualityConfiguration;
using Symcon.LightRidge.PEAdvisor;
using Syncfusion.Windows.Forms.Tools.XPMenus;
using Symcon.LightRidge.PEAdvisor.ScreenManagement;
using Symcon.Utils.MessageLogger;
using Symcon.LightRidge.PEAdvisor.SavedViews;
using Symcon.BusinessObjects;
using Symcon.Utils.HeaderDispatcher;
using Symcon.LightRidge.ExecutionEngine.Model;
using Symcon.LightRidge.PEAdvisor.DashBoard;
using Symcon.LightRidge.PEAdvisor.Global;
using Symcon.Utils.MessageDispatcher;

//Copyright (C) 2004-2005 Symcom Global Technologies.  All rights reserved.

namespace Symcon.LightRidge.PEAdvisor
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class PEMainWindow : System.Windows.Forms.Form
	{
		private TimeWindow timeWindow = null;
		private System.ComponentModel.IContainer components;
		private Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager mainFrameBarManager1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuLogout;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuReconnect;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuExit;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem4;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem5;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem6;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem7;
		//private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem8;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem8;
		private Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem mdiListBarItem1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem9;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem9;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuMasterComponents;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuSiteComponents;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem10;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuDataHistorian;
		private System.Windows.Forms.ImageList smallImageList;
		public Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem4;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuCreateSiteOverview;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuCreateSiteOverviewUpdate;

		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem6;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem7;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barLevel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barAggregates;
		private System.Windows.Forms.ImageList imageList2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbSave;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbRefresh;
		private Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar xpToolBar2;
		private System.Windows.Forms.ImageList imageList1;
		public Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbExport;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbRemoveFilter;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbDelete;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbClearSort;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barComplexEquipment;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barCopyMasterProperties;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem_InsertNewRows;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem_ImportToExcel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barImportExcel;
        private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barCalc;
        
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbPasteSelection;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem barItemSeedData;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem12;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuDataHistorianMapping;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem5;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem10;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem lblDBPath;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barProgress;

		private TabbedGroupedMDIManager tabbedGroupedMDIManager;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem11;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuAssignUsersForHistorianData;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barSave;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barRefersh;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barRefresh;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barPaste;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barExport;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barClearFilter;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barDelete;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barClearSort;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barReport;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barSelectionPaste;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barVerticalAlign;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barHorizontelAlign;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barCascade;
		//private System.Windows.Forms.ImageList imageList1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbRun;
		//private Syncfusion.Windows.Forms.Grid.GridControl gridDataQuality;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barOptions;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbAlerts;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRun;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRunEnteredWnd;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRunNextStep;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRunAdvanced;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem12;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbRight;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbLeft;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbUp;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbDown;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemLevels;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem13;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barLevels;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRightLevel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemLeftLevel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemUpLevel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemDownLevel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar bar2;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barRunNextStep;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRunEnteredWindow;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRunAdvancetoNow;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barRunControl;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem barStandardToolbar;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemAddQuery;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemQueryList;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem13;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItemQuery;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemResults;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem8;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemUserHistData;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemUserHistWriteMapping;

        private int temp = 0; // added by santhosh..just a temporary variable
        private LRRProjectOptions _lrrProjOptions;
		private Hashtable _mainvisibleBarStore = new Hashtable();
		private Hashtable _childvisibleBarStore = new Hashtable();
		public bool ApplicationLoadedFirstTime = false;
		private string _helpKeyWord = null;
		private Symcom.Utils.HelpUtils.HelpSettings _helpsettings;

		private System.Threading.Thread th;

		#region Constants

		string optionsFile = @".\config\options.xml";
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemActiveDBs;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem14;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem15;
		private System.Windows.Forms.TabControl tabControl1;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem mnuOperationalMode;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemCompositeViews;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem14;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barengSettings;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barSettings;
		private Syncfusion.Windows.Forms.Tools.StatusBarAdvPanel statusBarAdvPanel11;
		public Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tblRun;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem16;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemGroupedPlantAttribView;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem15;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem16;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem17;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemExpRecordedValues;
        private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barRunSetManager;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tblStop;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemModes;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemDataQuality;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemTimeWindow;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barShowExcel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem berHideExcel;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barCopyUOMTypes;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbPrint;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbPrintPreview;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemOverrides;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar barResultsFilter;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPropertyList;
		public Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemComponentList;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemEventViewer;
		private System.Windows.Forms.TabControl tabMDIChildControls;
		private Symcon.CCLibrary.Controls.StatusBar statusBarPE;
		const string projOptionsFile = @".\config\ProjectOptions.xml";
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barEngineImport;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRecProps;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem18;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem19;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem20;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem21;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItemDashBoard;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem17;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem18;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem11;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemRightColMovement;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemLeftColMovement;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemGP;
		private Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem parentBarItem22;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPrint;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPrintPreview;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPageSetup;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemUndo;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem19;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemAlerts;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemDataArrays;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemOrganizeViews;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem20;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemOpenView;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemOpenQuery;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemOpenCompositeView;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemTransposeView;
		private Syncfusion.Windows.Forms.Tools.XPMenus.Bar CompositeViewBar;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbPageSetUp;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemSavedViews;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemDashBoard;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemDashBoardDesigner;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemDashBoardViewer;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbSaveRun;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbOpenCase;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem21;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbClearCase;
		private System.Windows.Forms.ImageList imageList3;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemMsgSubscriptions;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemAggregateGrpedPpty;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemHelp;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemCreateDynamicCase;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemOpenDynamicCase;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemClearDynamicCase;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemFullScreen;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barFunctionalTest;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemHistPtEntry;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbChangeUOMSetDefinition;
		private System.Windows.Forms.ContextMenu contextMenu1;
		private System.Windows.Forms.MenuItem menuItemRestore;
		private System.Windows.Forms.MenuItem menuItemMinimize;
		private System.Windows.Forms.MenuItem menuItemMaximize;
		private System.Windows.Forms.MenuItem menuItem4;
		private System.Windows.Forms.MenuItem menuItemClose;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbToggleRecording;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbToggleTrending;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem22;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemTrendedProps;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbUndo;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPlantItemIndices;
        // tlbPublishToWeb changed to public from private by ashwin for handling processing of publisher info
		public Syncfusion.Windows.Forms.Tools.XPMenus.BarItem tlbPublishToWeb;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItemPlantLevelRollUpValues;
		private Hashtable htUIEntities = new Hashtable();
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem bItemFormulaBrowser;
		private Syncfusion.Windows.Forms.Tools.XPMenus.BarItem barItem23;

		#endregion
		public PEMainWindow()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			InternationalizationUtils.GetControlText(this, this.components.Components);
			setToolTips();

			/*tabbedGroupedMDIManager = new TabbedGroupedMDIManager();
			tabbedGroupedMDIManager.TabbedGroups.Add(new TabbedGroup("Implementor"));
			tabbedGroupedMDIManager.AttachToMdiContainer(this);
			tabbedGroupedMDIManager.ThemesEnabled = true;*/


			//
			// TODO: Add any constructor code after InitializeComponent call
			//

		}

		public PEMainWindow(LRRApp app)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();
			InternationalizationUtils.GetControlText(this, this.components.Components);
			string _versionNo = app.VersionInfo.ClientVersion;//app.GetOptions().ClientVersion;
			this.Text = this.Text + "(" + _versionNo + ")";
			setToolTips();

			this.statusBarPE.IsAccessible = true;
			this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barRunControl, false);
			this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barLevels, false);
			this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barResultsFilter, false);
			this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.CompositeViewBarObj, false);

			lrrApp = app;

			_lrrOptions = app.GetOptions() as LRROptions;

			//MenuColors.MainMenuBackColor = Color.FromArgb(230, 216, 174);
			MenuColors.MenuBGColor = Color.FromArgb(251, 249, 243);
			MenuColors.DropDownBorderColor = Color.FromArgb(158, 133, 56);
			MenuColors.CheckedSelColor = Color.FromArgb(247, 243, 229);
			MenuColors.MenuLeftStripColor = Color.FromArgb(234, 222, 187);
			MenuColors.PressedSelColor = Color.FromArgb(220, 204, 158);
			MenuColors.SelBorderColor = Color.FromArgb(194, 163, 69);
			MenuColors.SelColor = Color.FromArgb(253, 252, 248);
			MenuColors.CommandBarBackColor = Color.FromArgb(234, 222, 187);
			this.BackColor = /*Color.FromArgb(230, 216, 174);*/ Color.FromKnownColor(KnownColor.InactiveCaptionText);
			MenuColors.MainMenuBackColor = this.BackColor;
			MenuColors.StatusBarBackColor = this.BackColor;
			MenuColors.FloatingCommandBarCaptionColor = Color.FromArgb(198, 166, 70);
			MenuColors.ExpandedMenuStripBackColor = Color.FromArgb(227, 211, 164);
			// Default is 175
			MenuColors.InactiveItemAlphaBlendFactor = 200;
			MenuColors.MenuTextColor = Color.Black;
			MenuColors.MenuActiveTextColor = Color.FromArgb(154, 64, 23);
			MenuColors.DisabledMenuTextColorBase = Color.FromArgb(214, 187, 111);
			MenuColors.DisabledToolbarItemTextColorBase = Color.FromArgb(214, 187, 111);


			/*tabbedGroupedMDIManager = new TabbedGroupedMDIManager();
			tabbedGroupedMDIManager.AttachToMdiContainer(this);*/

			try
			{
				//				string sDatabaseFilePath = "";
				//				 _lrrOptions = app.GetOptions();
				//
				//				int nSelectedIndex = this._lrrOptions.SelectedDBIndex;
				//				DBInfo dbinf = this._lrrOptions.DataBaseConnectionInfosObj[nSelectedIndex];
				//				if(dbinf.DatabaseFilePath.StartsWith(@".\"))
				//				{
				//					dbinf.DatabaseFilePath =  dbinf.DatabaseFilePath.Replace(@".\",Application.StartupPath + @"\");
				//				}
				//				sDatabaseFilePath = dbinf.DatabaseFilePath;
				//
				//				//lblDBPath.Text = lblDBPath.Text + " : " + sDatabaseFilePath;
				//				if(sDatabaseFilePath == "")
				//					sDatabaseFilePath =dbinf.ServerName;
				//
				//				//lblDBPath.Text = "Database Name : [" + dbinf.DatabaseName +  "] Type : [" + dbinf.DatabaseTypeStr + "] Path/Server : [" + sDatabaseFilePath + "]";
				//				//lblDBPath.Text = lblDBPath.Text + " Options File : [" + optionsFile +  "]"; 
				//				
				//				customPanelUserName.Text="User: test";
				//				customPanelDBName.Text= "Database Name: " + dbinf.DatabaseName;
				//				customPanelDBType.Text= "Type: " + dbinf.DatabaseTypeStr;
				//				customPanelDBPath.Text="Path/Server: " + sDatabaseFilePath;
				//				datePanel.Text = " " + datePanel.Text;

			}
			catch (Exception ex)
			{
				Logger.LogMessage(typeof(PEMainWindow), "PEMainWindow:" + ex.Message, Logger.Level.Debug);
				return;
			}

		}



		private void setToolTips()
		{
			this.barItemLeftLevel.Tooltip = LRRHeaderText.GetHeaderString("1901");

			this.barItemRightLevel.Tooltip = LRRHeaderText.GetHeaderString("1902");

			this.barItemDownLevel.Tooltip = LRRHeaderText.GetHeaderString("1903");

			this.barItemUpLevel.Tooltip = LRRHeaderText.GetHeaderString("1904");


			this.tlbSaveRun.Tooltip = LRRHeaderText.GetHeaderString("SID_SAVED_CASE");

			this.tlbOpenCase.Tooltip = LRRHeaderText.GetHeaderString("SID_OPEN_CASE");

			this.tlbClearCase.Tooltip = LRRHeaderText.GetHeaderString("SID_CLEAR_CASE");

			this.tlbClearCase.Tooltip = LRRHeaderText.GetHeaderString("SID_CLEAR_CASE");

			this.tlbPageSetUp.Tooltip = LRRHeaderText.GetHeaderString("SID_PAGE_SETUP");

			this.tlbPrintPreview.Tooltip = LRRHeaderText.GetHeaderString("SID_PRINT_VIEW");

			this.tlbPrint.Tooltip = LRRHeaderText.GetHeaderString("SID_PRINT");

			this.tlbChangeUOMSetDefinition.Tooltip = LRRHeaderText.GetHeaderString("SID_UOM_SET_DEF");

			this.tlbToggleRecording.Tooltip = LRRHeaderText.GetHeaderString("SID_TOGGLE_RECORDING");

			this.tlbToggleTrending.Tooltip = LRRHeaderText.GetHeaderString("SID_TOGGLE_TRENDING");

			this.tlbPublishToWeb.Tooltip = LRRHeaderText.GetHeaderString("SID_WEB_PUBLISH");
		}

		public void SetFullScreenMode(bool useRefresh)
		{
			try
			{
				Form currentForm = this.ActiveMdiChild;
				BarItem bi = this.barItemFullScreen;
				if (bi.Checked)
				{
					_mainvisibleBarStore.Clear();
					_childvisibleBarStore.Clear();
					for (int i = 0; i < mainFrameBarManager1.Bars.Count; i++)
					{
						Bar b = mainFrameBarManager1.Bars[i];
						if (((b.BarStyle & BarStyle.IsMainMenu) == BarStyle.IsMainMenu))
							continue;
						bool visible = mainFrameBarManager1.GetCommandBarManager().IsBarVisible(b);

						if (visible)
						{
							_mainvisibleBarStore.Add(b, null);
							mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(b, false);
						}
					}

					for (int j = 0; j < mainFrameBarManager1.ChildManagers.Count; j++)
					{
						ChildFrameBarManager cfbm = (ChildFrameBarManager)mainFrameBarManager1.ChildManagers[j];
						foreach (Bar b1 in cfbm.MainFrameBarManager.Bars)
						{
							if (((b1.BarStyle & BarStyle.IsMainMenu) == BarStyle.IsMainMenu))
								continue;
							bool visible = cfbm.GetCommandBarManager().GetUserVisibilityPrefOfBar(b1);
							if (visible)
							{
								if (!_childvisibleBarStore.ContainsKey(b1))
									_childvisibleBarStore.Add(b1, null);
								cfbm.GetCommandBarManager().SetBarVisibility(b1, false);
								//mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(b,false);
							}
						}
					}
					this.FormBorderStyle = FormBorderStyle.None;
				}
				else
				{
					foreach (Bar b in _mainvisibleBarStore.Keys)
					{
						mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(b, true);
					}
					foreach (Bar b1 in _childvisibleBarStore.Keys)
					{
						for (int j = 0; j < mainFrameBarManager1.ChildManagers.Count; j++)
						{
							ChildFrameBarManager cfbm = (ChildFrameBarManager)mainFrameBarManager1.ChildManagers[j];
							cfbm.GetCommandBarManager().SetBarVisibility(b1, true);
						}
					}
					this.FormBorderStyle = FormBorderStyle.Sizable;
				}

				xpToolBar2.Visible = !bi.Checked;
				statusBarPE.Visible = !bi.Checked;
				//ActiveMdiChild.Refresh();
				/*if(_childvisibleBarStore.Keys.Count > 0)
				{
					this.SuspendLayout();
					this.SelectNextControl(this.ActiveMdiChild,true,false,true,true);
					this.SelectNextControl(this.ActiveMdiChild,false,false,true,true);
					this.ResumeLayout(false);
				}*/

				if (currentForm != null && useRefresh == true)
				{

					Form frm = lrrApp.LRRUIManagerObj.GetGraphicsForm();
					if (frm != null)
						frm.Activate();
					//this.SelectNextControl(this.ActiveMdiChild,true,false,true,true);
					currentForm.Activate();
					this.Refresh();
				}
			}
			catch
			{

			}


		}

		private void ApplyAccessPermissions()
		{

			foreach (BarItem oBarItem in mainFrameBarManager1.Items)
			{
				if (oBarItem.GetType().ToString() != "Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem")
					oBarItem.Enabled = false;
			}

			foreach (BarItem oBarItem in mainFrameBarManager1.Items)
			{
				string sSCRN_ID = oBarItem.ID == null ? "" : oBarItem.ID.ToString();
				sSCRN_ID = sSCRN_ID.Replace("&", "");
				//if (sSCRN_ID == "Plant Item Grouped Aggregates")
				//    continue;
				if (sSCRN_ID != "")
				{
					if (UIAccessController.UIACLController.IsUIEntityAccessible(sSCRN_ID))
						oBarItem.Enabled = true;
				}
			}
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose(bool disposing)
		{
			if (disposing)
			{
				if (components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose(disposing);
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.components = new System.ComponentModel.Container();
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(PEMainWindow));
            this.mainFrameBarManager1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager(this.components, this);
            this.bar1 = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "MainFrame");
            this.parentBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.smallImageList = new System.Windows.Forms.ImageList(this.components);
            this.mnuLogout = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.imageList3 = new System.Windows.Forms.ImageList(this.components);
            this.mnuReconnect = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemPageSetup = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemPrint = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemPrintPreview = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mnuExit = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem3 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.parentBarItem10 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItemLevels = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem12 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemActiveDBs = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemDataQuality = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemEventViewer = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem19 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemModes = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemOverrides = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemTimeWindow = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemAlerts = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRecProps = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemFullScreen = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemTrendedProps = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem23 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItemUndo = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem2 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem3 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem_InsertNewRows = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barCopyMasterProperties = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barCopyUOMTypes = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem4 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItemSeedData = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.mnuMasterComponents = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem5 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barLevel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mnuSiteComponents = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemGP = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem21 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem6 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barAggregates = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemAggregateGrpedPpty = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barComplexEquipment = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemPlantItemIndices = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemPlantLevelRollUpValues = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem12 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.mnuDataHistorian = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mnuDataHistorianMapping = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemUserHistData = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemUserHistWriteMapping = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemHistPtEntry = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem18 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.parentBarItem21 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.parentBarItem19 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.mnuCreateSiteOverview = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mnuOperationalMode = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem20 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItem17 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem18 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemDataArrays = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem11 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.parentBarItem15 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.parentBarItem16 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.parentBarItem17 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItemCompositeViews = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem22 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barReport = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemSavedViews = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItemDashBoard = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItemDashBoard = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemDashBoardDesigner = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemDashBoardViewer = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemOrganizeViews = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem7 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barOptions = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem4 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barImportExcel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barCalc = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barRunSetManager = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.imageList1 = new System.Windows.Forms.ImageList(this.components);
            this.barItemMsgSubscriptions = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.bItemFormulaBrowser = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemExpRecordedValues = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemOpenDynamicCase = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemCreateDynamicCase = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemClearDynamicCase = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem14 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barengSettings = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barSettings = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barEngineImport = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barShowExcel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.berHideExcel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem22 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.parentBarItem8 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barVerticalAlign = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.imageList2 = new System.Windows.Forms.ImageList(this.components);
            this.barHorizontelAlign = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barCascade = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mdiListBarItem1 = new Syncfusion.Windows.Forms.Tools.XPMenus.MdiListBarItem();
            this.parentBarItem9 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItem9 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem8 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemHelp = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mnuCreateSiteOverviewUpdate = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barLevels = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "Levels");
            this.barItemLeftLevel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRightLevel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemDownLevel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemUpLevel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barRunControl = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "Run Control");
            this.barRunNextStep = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRunEnteredWindow = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRunAdvancetoNow = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem13 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barResultsFilter = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "Results Filter");
            this.barItemPropertyList = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemComponentList = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRightColMovement = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemLeftColMovement = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.CompositeViewBar = new Syncfusion.Windows.Forms.Tools.XPMenus.Bar(this.mainFrameBarManager1, "Composite View");
            this.barItemOpenCompositeView = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemOpenView = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemOpenQuery = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemTransposeView = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barClearSort = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemResults = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.mnuAssignUsersForHistorianData = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barSave = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barRefersh = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barStandardToolbar = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barExport = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barClearFilter = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barDelete = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barSelectionPaste = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barRefresh = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barPaste = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemQueryList = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItem6 = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItem7 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem5 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem10 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.lblDBPath = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barProgress = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem11 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.parentBarItemQuery = new Syncfusion.Windows.Forms.Tools.XPMenus.ParentBarItem();
            this.barItemGroupedPlantAttribView = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barFunctionalTest = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem14 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem15 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItem_ImportToExcel = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbSave = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbRefresh = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.xpToolBar2 = new Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar();
            this.tlbDelete = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbRemoveFilter = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbClearSort = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbExport = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbPasteSelection = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tblRun = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tblStop = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbSaveRun = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbOpenCase = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbClearCase = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbPageSetUp = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbPrintPreview = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbPrint = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbChangeUOMSetDefinition = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbToggleRecording = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbToggleTrending = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbUndo = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbPublishToWeb = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbAlerts = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbRun = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbLeft = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbRight = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbUp = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tlbDown = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRun = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRunEnteredWnd = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRunNextStep = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.barItemRunAdvanced = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.tabMDIChildControls = new System.Windows.Forms.TabControl();
            this.statusBarPE = new Symcon.CCLibrary.Controls.StatusBar(this.components);
            this.barItem20 = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem();
            this.contextMenu1 = new System.Windows.Forms.ContextMenu();
            this.menuItemRestore = new System.Windows.Forms.MenuItem();
            this.menuItemMinimize = new System.Windows.Forms.MenuItem();
            this.menuItemMaximize = new System.Windows.Forms.MenuItem();
            this.menuItem4 = new System.Windows.Forms.MenuItem();
            this.menuItemClose = new System.Windows.Forms.MenuItem();
            ((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).BeginInit();
            this.SuspendLayout();
            // 
            // mainFrameBarManager1
            // 
            this.mainFrameBarManager1.BarPositionInfo = ((System.IO.MemoryStream)(resources.GetObject("mainFrameBarManager1.BarPositionInfo")));
            this.mainFrameBarManager1.Bars.Add(this.bar1);
            this.mainFrameBarManager1.Bars.Add(this.barLevels);
            this.mainFrameBarManager1.Bars.Add(this.barRunControl);
            this.mainFrameBarManager1.Bars.Add(this.barResultsFilter);
            this.mainFrameBarManager1.Bars.Add(this.CompositeViewBar);
            this.mainFrameBarManager1.Categories.Add("&Session");
            this.mainFrameBarManager1.Categories.Add("&Edit");
            this.mainFrameBarManager1.Categories.Add("&Create");
            this.mainFrameBarManager1.Categories.Add("&Tools");
            this.mainFrameBarManager1.Categories.Add("&Window");
            this.mainFrameBarManager1.Categories.Add("&View");
            this.mainFrameBarManager1.Categories.Add("&Help");
            this.mainFrameBarManager1.Categories.Add("Run");
            this.mainFrameBarManager1.Categories.Add("Levels");
            this.mainFrameBarManager1.Categories.Add("Results");
            this.mainFrameBarManager1.Categories.Add("En&gine");
            this.mainFrameBarManager1.Categories.Add("Results Filter");
            this.mainFrameBarManager1.Categories.Add("Screens");
            this.mainFrameBarManager1.Categories.Add("Composite View");
            this.mainFrameBarManager1.CurrentBaseFormType = "";
            this.mainFrameBarManager1.DisabledImageList = null;
            this.mainFrameBarManager1.DisabledLargeImageList = null;
            this.mainFrameBarManager1.Form = this;
            this.mainFrameBarManager1.ImageList = null;
            this.mainFrameBarManager1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barClearSort,
            this.parentBarItem3,
            this.barOptions,
            this.parentBarItem18,
            this.barReport,
            this.parentBarItem10,
            this.barCopyUOMTypes,
            this.barItem12,
            this.parentBarItem7,
            this.parentBarItem19,
            this.barItem4,
            this.barItemLevels,
            this.barCopyMasterProperties,
            this.barImportExcel,
            this.barItemResults,
            this.barCalc,
            this.parentBarItem20,
            this.mnuAssignUsersForHistorianData,
            this.parentBarItemDashBoard,
            this.barSave,
            this.mnuDataHistorian,
            this.barRefersh,
            this.barStandardToolbar,
            this.barRefresh,
            this.parentBarItem21,
            this.barPaste,
            this.barItemActiveDBs,
            this.barExport,
            this.barClearFilter,
            this.parentBarItem15,
            this.barDelete,
            this.barItem18,
            this.barSelectionPaste,
            this.parentBarItem16,
            this.barItemExpRecordedValues,
            this.barRunSetManager,
            this.parentBarItem17,
            this.parentBarItem11,
            this.barItemMsgSubscriptions,
            this.barItemModes,
            this.bItemFormulaBrowser,
            this.barItemOpenDynamicCase,
            this.barItemDataQuality,
            this.barItemHistPtEntry,
            this.barItemOrganizeViews,
            this.barItemUserHistData,
            this.barItemTimeWindow,
            this.barItemUserHistWriteMapping,
            this.barItemCompositeViews,
            this.barItem17,
            this.barItemRecProps,
            this.barItemEventViewer,
            this.barItemDataArrays,
            this.barItemAlerts,
            this.barItemSavedViews,
            this.barItemCreateDynamicCase,
            this.barItemOverrides,
            this.barItem22,
            this.barItemClearDynamicCase,
            this.barItemFullScreen,
            this.barItem23,
            this.barItemDashBoard,
            this.barItemDashBoardDesigner,
            this.barItemDashBoardViewer,
            this.barItemTrendedProps,
            this.parentBarItem4,
            this.mnuMasterComponents,
            this.parentBarItem5,
            this.mnuCreateSiteOverview,
            this.mnuCreateSiteOverviewUpdate,
            this.barItemQueryList,
            this.barItem6,
            this.mnuSiteComponents,
            this.parentBarItem6,
            this.barLevel,
            this.parentBarItem8,
            this.barAggregates,
            this.barComplexEquipment,
            this.barItemSeedData,
            this.parentBarItem12,
            this.mdiListBarItem1,
            this.mnuDataHistorianMapping,
            this.mnuOperationalMode,
            this.barItem7,
            this.barVerticalAlign,
            this.barHorizontelAlign,
            this.barCascade,
            this.parentBarItem1,
            this.mnuLogout,
            this.mnuReconnect,
            this.mnuExit,
            this.parentBarItem2,
            this.barItem1,
            this.barItem2,
            this.barItem3,
            this.parentBarItem8,
            this.mdiListBarItem1,
            this.parentBarItem9,
            this.barItem9,
            this.barItem_InsertNewRows,
            this.barItem5,
            this.barItem10,
            this.lblDBPath,
            this.barProgress,
            this.barItem11,
            this.barClearSort,
            this.barReport,
            this.barItem13,
            this.barItemRightLevel,
            this.barItemLeftLevel,
            this.barItemUpLevel,
            this.barItemDownLevel,
            this.barRunNextStep,
            this.barItemRunEnteredWindow,
            this.barItemRunAdvancetoNow,
            this.parentBarItemQuery,
            this.barItem8,
            this.parentBarItem14,
            this.barengSettings,
            this.barSettings,
            this.barItemGroupedPlantAttribView,
            this.barShowExcel,
            this.berHideExcel,
            this.barItemPropertyList,
            this.barItemComponentList,
            this.barEngineImport,
            this.barItemRightColMovement,
            this.barItemLeftColMovement,
            this.barItemGP,
            this.parentBarItem22,
            this.barItemPrint,
            this.barItemPrintPreview,
            this.barItemPageSetup,
            this.barItemUndo,
            this.barItem19,
            this.barItemOpenView,
            this.barItemOpenQuery,
            this.barItemOpenCompositeView,
            this.barItemTransposeView,
            this.barItem21,
            this.barItemAggregateGrpedPpty,
            this.barItemHelp,
            this.barFunctionalTest,
            this.barItemPlantItemIndices,
            this.barItemPlantLevelRollUpValues});
            this.mainFrameBarManager1.LargeImageList = null;
            this.mainFrameBarManager1.ResetCustomization = false;
            this.mainFrameBarManager1.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            // 
            // bar1
            // 
            this.bar1.BarName = "MainFrame";
            this.bar1.BarStyle = ((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle)((((Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.IsMainMenu | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.RotateWhenVertical)
                        | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.Visible)
                        | Syncfusion.Windows.Forms.Tools.XPMenus.BarStyle.UseWholeRow)));
            this.bar1.Caption = "MainFrame";
            this.bar1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.parentBarItem1,
            this.parentBarItem3,
            this.parentBarItem2,
            this.parentBarItem4,
            this.parentBarItem18,
            this.parentBarItem7,
            this.parentBarItem14,
            this.parentBarItem8,
            this.parentBarItem9});
            this.bar1.Manager = this.mainFrameBarManager1;
            // 
            // parentBarItem1
            // 
            this.parentBarItem1.CategoryIndex = 0;
            this.parentBarItem1.ID = "&Session";
            this.parentBarItem1.ImageIndex = 40;
            this.parentBarItem1.ImageList = this.smallImageList;
            this.parentBarItem1.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.mnuLogout,
            this.mnuReconnect,
            this.barItemPageSetup,
            this.barItemPrint,
            this.barItemPrintPreview,
            this.mnuExit});
            this.parentBarItem1.SeparatorIndices.AddRange(new int[] {
            2,
            5});
            this.parentBarItem1.Style = Syncfusion.Windows.Forms.VisualStyle.OfficeXP;
            this.parentBarItem1.Tag = "1";
            // 
            // smallImageList
            // 
            this.smallImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("smallImageList.ImageStream")));
            this.smallImageList.TransparentColor = System.Drawing.Color.Transparent;
            this.smallImageList.Images.SetKeyName(0, "");
            this.smallImageList.Images.SetKeyName(1, "");
            this.smallImageList.Images.SetKeyName(2, "");
            this.smallImageList.Images.SetKeyName(3, "");
            this.smallImageList.Images.SetKeyName(4, "");
            this.smallImageList.Images.SetKeyName(5, "");
            this.smallImageList.Images.SetKeyName(6, "");
            this.smallImageList.Images.SetKeyName(7, "");
            this.smallImageList.Images.SetKeyName(8, "");
            this.smallImageList.Images.SetKeyName(9, "");
            this.smallImageList.Images.SetKeyName(10, "");
            this.smallImageList.Images.SetKeyName(11, "");
            this.smallImageList.Images.SetKeyName(12, "");
            this.smallImageList.Images.SetKeyName(13, "");
            this.smallImageList.Images.SetKeyName(14, "");
            this.smallImageList.Images.SetKeyName(15, "");
            this.smallImageList.Images.SetKeyName(16, "");
            this.smallImageList.Images.SetKeyName(17, "");
            this.smallImageList.Images.SetKeyName(18, "");
            this.smallImageList.Images.SetKeyName(19, "");
            this.smallImageList.Images.SetKeyName(20, "");
            this.smallImageList.Images.SetKeyName(21, "");
            this.smallImageList.Images.SetKeyName(22, "");
            this.smallImageList.Images.SetKeyName(23, "");
            this.smallImageList.Images.SetKeyName(24, "");
            this.smallImageList.Images.SetKeyName(25, "");
            this.smallImageList.Images.SetKeyName(26, "");
            this.smallImageList.Images.SetKeyName(27, "");
            this.smallImageList.Images.SetKeyName(28, "");
            this.smallImageList.Images.SetKeyName(29, "");
            this.smallImageList.Images.SetKeyName(30, "");
            this.smallImageList.Images.SetKeyName(31, "");
            this.smallImageList.Images.SetKeyName(32, "");
            this.smallImageList.Images.SetKeyName(33, "");
            this.smallImageList.Images.SetKeyName(34, "");
            this.smallImageList.Images.SetKeyName(35, "");
            this.smallImageList.Images.SetKeyName(36, "");
            this.smallImageList.Images.SetKeyName(37, "");
            this.smallImageList.Images.SetKeyName(38, "");
            this.smallImageList.Images.SetKeyName(39, "");
            this.smallImageList.Images.SetKeyName(40, "");
            this.smallImageList.Images.SetKeyName(41, "");
            this.smallImageList.Images.SetKeyName(42, "");
            this.smallImageList.Images.SetKeyName(43, "");
            this.smallImageList.Images.SetKeyName(44, "");
            this.smallImageList.Images.SetKeyName(45, "");
            this.smallImageList.Images.SetKeyName(46, "");
            this.smallImageList.Images.SetKeyName(47, "");
            this.smallImageList.Images.SetKeyName(48, "");
            this.smallImageList.Images.SetKeyName(49, "");
            this.smallImageList.Images.SetKeyName(50, "");
            this.smallImageList.Images.SetKeyName(51, "");
            this.smallImageList.Images.SetKeyName(52, "");
            this.smallImageList.Images.SetKeyName(53, "");
            this.smallImageList.Images.SetKeyName(54, "");
            this.smallImageList.Images.SetKeyName(55, "");
            this.smallImageList.Images.SetKeyName(56, "");
            this.smallImageList.Images.SetKeyName(57, "");
            this.smallImageList.Images.SetKeyName(58, "");
            this.smallImageList.Images.SetKeyName(59, "");
            this.smallImageList.Images.SetKeyName(60, "");
            this.smallImageList.Images.SetKeyName(61, "");
            this.smallImageList.Images.SetKeyName(62, "");
            this.smallImageList.Images.SetKeyName(63, "");
            this.smallImageList.Images.SetKeyName(64, "");
            this.smallImageList.Images.SetKeyName(65, "");
            this.smallImageList.Images.SetKeyName(66, "");
            this.smallImageList.Images.SetKeyName(67, "");
            this.smallImageList.Images.SetKeyName(68, "");
            this.smallImageList.Images.SetKeyName(69, "");
            this.smallImageList.Images.SetKeyName(70, "");
            this.smallImageList.Images.SetKeyName(71, "");
            this.smallImageList.Images.SetKeyName(72, "");
            this.smallImageList.Images.SetKeyName(73, "");
            this.smallImageList.Images.SetKeyName(74, "");
            this.smallImageList.Images.SetKeyName(75, "");
            this.smallImageList.Images.SetKeyName(76, "");
            this.smallImageList.Images.SetKeyName(77, "");
            this.smallImageList.Images.SetKeyName(78, "");
            this.smallImageList.Images.SetKeyName(79, "");
            this.smallImageList.Images.SetKeyName(80, "");
            this.smallImageList.Images.SetKeyName(81, "");
            this.smallImageList.Images.SetKeyName(82, "");
            this.smallImageList.Images.SetKeyName(83, "");
            this.smallImageList.Images.SetKeyName(84, "");
            this.smallImageList.Images.SetKeyName(85, "");
            this.smallImageList.Images.SetKeyName(86, "");
            this.smallImageList.Images.SetKeyName(87, "");
            this.smallImageList.Images.SetKeyName(88, "");
            this.smallImageList.Images.SetKeyName(89, "");
            this.smallImageList.Images.SetKeyName(90, "");
            this.smallImageList.Images.SetKeyName(91, "");
            this.smallImageList.Images.SetKeyName(92, "");
            this.smallImageList.Images.SetKeyName(93, "");
            this.smallImageList.Images.SetKeyName(94, "");
            this.smallImageList.Images.SetKeyName(95, "");
            this.smallImageList.Images.SetKeyName(96, "");
            this.smallImageList.Images.SetKeyName(97, "");
            this.smallImageList.Images.SetKeyName(98, "");
            this.smallImageList.Images.SetKeyName(99, "");
            this.smallImageList.Images.SetKeyName(100, "");
            this.smallImageList.Images.SetKeyName(101, "");
            this.smallImageList.Images.SetKeyName(102, "");
            this.smallImageList.Images.SetKeyName(103, "");
            this.smallImageList.Images.SetKeyName(104, "");
            this.smallImageList.Images.SetKeyName(105, "");
            this.smallImageList.Images.SetKeyName(106, "");
            this.smallImageList.Images.SetKeyName(107, "");
            this.smallImageList.Images.SetKeyName(108, "");
            this.smallImageList.Images.SetKeyName(109, "");
            this.smallImageList.Images.SetKeyName(110, "");
            // 
            // mnuLogout
            // 
            this.mnuLogout.CategoryIndex = 0;
            this.mnuLogout.ID = "&Logout";
            this.mnuLogout.ImageIndex = 8;
            this.mnuLogout.ImageList = this.imageList3;
            this.mnuLogout.MergeOrder = 10;
            this.mnuLogout.Tag = "2";
            this.mnuLogout.Click += new System.EventHandler(this.mnuLogout_Click);
            // 
            // imageList3
            // 
            this.imageList3.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList3.ImageStream")));
            this.imageList3.TransparentColor = System.Drawing.Color.Transparent;
            this.imageList3.Images.SetKeyName(0, "");
            this.imageList3.Images.SetKeyName(1, "");
            this.imageList3.Images.SetKeyName(2, "");
            this.imageList3.Images.SetKeyName(3, "");
            this.imageList3.Images.SetKeyName(4, "");
            this.imageList3.Images.SetKeyName(5, "");
            this.imageList3.Images.SetKeyName(6, "");
            this.imageList3.Images.SetKeyName(7, "");
            this.imageList3.Images.SetKeyName(8, "");
            this.imageList3.Images.SetKeyName(9, "");
            this.imageList3.Images.SetKeyName(10, "");
            this.imageList3.Images.SetKeyName(11, "");
            this.imageList3.Images.SetKeyName(12, "");
            this.imageList3.Images.SetKeyName(13, "");
            this.imageList3.Images.SetKeyName(14, "");
            this.imageList3.Images.SetKeyName(15, "");
            this.imageList3.Images.SetKeyName(16, "");
            this.imageList3.Images.SetKeyName(17, "");
            this.imageList3.Images.SetKeyName(18, "");
            this.imageList3.Images.SetKeyName(19, "");
            this.imageList3.Images.SetKeyName(20, "");
            this.imageList3.Images.SetKeyName(21, "");
            this.imageList3.Images.SetKeyName(22, "");
            this.imageList3.Images.SetKeyName(23, "");
            this.imageList3.Images.SetKeyName(24, "");
            this.imageList3.Images.SetKeyName(25, "");
            this.imageList3.Images.SetKeyName(26, "");
            this.imageList3.Images.SetKeyName(27, "");
            this.imageList3.Images.SetKeyName(28, "");
            this.imageList3.Images.SetKeyName(29, "");
            this.imageList3.Images.SetKeyName(30, "");
            this.imageList3.Images.SetKeyName(31, "");
            this.imageList3.Images.SetKeyName(32, "");
            this.imageList3.Images.SetKeyName(33, "");
            this.imageList3.Images.SetKeyName(34, "");
            this.imageList3.Images.SetKeyName(35, "");
            this.imageList3.Images.SetKeyName(36, "");
            this.imageList3.Images.SetKeyName(37, "");
            this.imageList3.Images.SetKeyName(38, "");
            this.imageList3.Images.SetKeyName(39, "");
            this.imageList3.Images.SetKeyName(40, "");
            this.imageList3.Images.SetKeyName(41, "");
            this.imageList3.Images.SetKeyName(42, "");
            this.imageList3.Images.SetKeyName(43, "");
            this.imageList3.Images.SetKeyName(44, "");
            this.imageList3.Images.SetKeyName(45, "");
            this.imageList3.Images.SetKeyName(46, "");
            this.imageList3.Images.SetKeyName(47, "");
            this.imageList3.Images.SetKeyName(48, "");
            this.imageList3.Images.SetKeyName(49, "");
            this.imageList3.Images.SetKeyName(50, "");
            this.imageList3.Images.SetKeyName(51, "");
            this.imageList3.Images.SetKeyName(52, "");
            this.imageList3.Images.SetKeyName(53, "");
            this.imageList3.Images.SetKeyName(54, "");
            this.imageList3.Images.SetKeyName(55, "");
            this.imageList3.Images.SetKeyName(56, "");
            this.imageList3.Images.SetKeyName(57, "");
            this.imageList3.Images.SetKeyName(58, "");
            this.imageList3.Images.SetKeyName(59, "");
            this.imageList3.Images.SetKeyName(60, "");
            this.imageList3.Images.SetKeyName(61, "");
            this.imageList3.Images.SetKeyName(62, "");
            this.imageList3.Images.SetKeyName(63, "");
            this.imageList3.Images.SetKeyName(64, "");
            this.imageList3.Images.SetKeyName(65, "");
            this.imageList3.Images.SetKeyName(66, "");
            this.imageList3.Images.SetKeyName(67, "");
            this.imageList3.Images.SetKeyName(68, "");
            // 
            // mnuReconnect
            // 
            this.mnuReconnect.CategoryIndex = 0;
            this.mnuReconnect.ID = "Reconnect";
            this.mnuReconnect.ImageIndex = 77;
            this.mnuReconnect.ImageList = this.smallImageList;
            this.mnuReconnect.MergeOrder = 20;
            this.mnuReconnect.Tag = "3";
            this.mnuReconnect.Click += new System.EventHandler(this.mnuReconnect_Click);
            // 
            // barItemPageSetup
            // 
            this.barItemPageSetup.CategoryIndex = 0;
            this.barItemPageSetup.Enabled = false;
            this.barItemPageSetup.ID = "PageSetup";
            this.barItemPageSetup.ImageIndex = 99;
            this.barItemPageSetup.ImageList = this.smallImageList;
            this.barItemPageSetup.Tag = "SID_PAGE_SETUP";
            this.barItemPageSetup.Click += new System.EventHandler(this.barItemPageSetup_Click);
            // 
            // barItemPrint
            // 
            this.barItemPrint.CategoryIndex = 0;
            this.barItemPrint.Enabled = false;
            this.barItemPrint.ID = "Print";
            this.barItemPrint.ImageIndex = 20;
            this.barItemPrint.ImageList = this.imageList3;
            this.barItemPrint.Shortcut = System.Windows.Forms.Shortcut.CtrlP;
            this.barItemPrint.Tag = "SID_PRINT";
            this.barItemPrint.Click += new System.EventHandler(this.barItemPrint_Click);
            // 
            // barItemPrintPreview
            // 
            this.barItemPrintPreview.CategoryIndex = 0;
            this.barItemPrintPreview.Enabled = false;
            this.barItemPrintPreview.ID = "PrintPreview";
            this.barItemPrintPreview.ImageIndex = 11;
            this.barItemPrintPreview.ImageList = this.imageList3;
            this.barItemPrintPreview.Tag = "SID_PRINT_VIEW";
            this.barItemPrintPreview.Click += new System.EventHandler(this.barItemPrintPreview_Click);
            // 
            // mnuExit
            // 
            this.mnuExit.CategoryIndex = 0;
            this.mnuExit.ID = "E&xit";
            this.mnuExit.ImageIndex = 4;
            this.mnuExit.ImageList = this.smallImageList;
            this.mnuExit.MergeOrder = 30;
            this.mnuExit.Tag = "4";
            this.mnuExit.Click += new System.EventHandler(this.mnuExit_Click);
            // 
            // parentBarItem3
            // 
            this.parentBarItem3.CategoryIndex = 5;
            this.parentBarItem3.ID = "&View";
            this.parentBarItem3.ImageIndex = 9;
            this.parentBarItem3.ImageList = this.smallImageList;
            this.parentBarItem3.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.parentBarItem10,
            this.barItemActiveDBs,
            this.barItemDataQuality,
            this.barItemEventViewer,
            this.barItem19,
            this.barItemModes,
            this.barItemOverrides,
            this.barItemTimeWindow,
            this.barItemAlerts,
            this.barItemRecProps,
            this.barItemFullScreen,
            this.barItemTrendedProps,
            this.barItem23});
            this.parentBarItem3.SeparatorIndices.AddRange(new int[] {
            9});
            this.parentBarItem3.Tag = "10";
            // 
            // parentBarItem10
            // 
            this.parentBarItem10.CategoryIndex = 5;
            this.parentBarItem10.ID = "&Toolbars";
            this.parentBarItem10.ImageIndex = 10;
            this.parentBarItem10.ImageList = this.smallImageList;
            this.parentBarItem10.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItemLevels,
            this.barItem12});
            this.parentBarItem10.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem10.Tag = "11";
            // 
            // barItemLevels
            // 
            this.barItemLevels.CategoryIndex = 5;
            this.barItemLevels.Enabled = false;
            this.barItemLevels.ID = "&Levels";
            this.barItemLevels.ImageIndex = 7;
            this.barItemLevels.ImageList = this.imageList3;
            this.barItemLevels.Tag = "19";
            this.barItemLevels.Click += new System.EventHandler(this.barItemLevels_Click);
            // 
            // barItem12
            // 
            this.barItem12.CategoryIndex = 5;
            this.barItem12.ID = "&Run";
            this.barItem12.ImageIndex = 57;
            this.barItem12.ImageList = this.smallImageList;
            this.barItem12.Tag = "20";
            this.barItem12.Click += new System.EventHandler(this.barItem12_Click);
            // 
            // barItemActiveDBs
            // 
            this.barItemActiveDBs.CategoryIndex = 5;
            this.barItemActiveDBs.ID = "Active Databases Window";
            this.barItemActiveDBs.ImageIndex = 3;
            this.barItemActiveDBs.ImageList = this.imageList3;
            this.barItemActiveDBs.Tag = "14";
            this.barItemActiveDBs.Visible = false;
            this.barItemActiveDBs.Click += new System.EventHandler(this.barItemActiveDBs_Click);
            // 
            // barItemDataQuality
            // 
            this.barItemDataQuality.CategoryIndex = 5;
            this.barItemDataQuality.ID = "Data Quality";
            this.barItemDataQuality.ImageIndex = 29;
            this.barItemDataQuality.ImageList = this.imageList3;
            this.barItemDataQuality.Tag = "15";
            this.barItemDataQuality.Click += new System.EventHandler(this.barItemDataQuality_Click);
            // 
            // barItemEventViewer
            // 
            this.barItemEventViewer.CategoryIndex = 5;
            this.barItemEventViewer.ID = "Event Viewer";
            this.barItemEventViewer.ImageIndex = 84;
            this.barItemEventViewer.ImageList = this.smallImageList;
            this.barItemEventViewer.Tag = "18";
            this.barItemEventViewer.Visible = false;
            this.barItemEventViewer.Click += new System.EventHandler(this.barItemEventViewer_Click);
            // 
            // barItem19
            // 
            this.barItem19.CategoryIndex = 10;
            this.barItem19.ID = "Log File";
            this.barItem19.ImageIndex = 37;
            this.barItem19.ImageList = this.imageList3;
            this.barItem19.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem19.Tag = "SID_APPLLOG";
            this.barItem19.Click += new System.EventHandler(this.barItem19_Click);
            // 
            // barItemModes
            // 
            this.barItemModes.CategoryIndex = 5;
            this.barItemModes.ID = "Modes";
            this.barItemModes.ImageIndex = 38;
            this.barItemModes.ImageList = this.imageList3;
            this.barItemModes.Tag = "13";
            this.barItemModes.Click += new System.EventHandler(this.barItemModes_Click);
            // 
            // barItemOverrides
            // 
            this.barItemOverrides.CategoryIndex = 5;
            this.barItemOverrides.ID = "Overrides Window";
            this.barItemOverrides.ImageIndex = 30;
            this.barItemOverrides.ImageList = this.imageList3;
            this.barItemOverrides.Tag = "17";
            this.barItemOverrides.Click += new System.EventHandler(this.barItemOverrides_Click);
            // 
            // barItemTimeWindow
            // 
            this.barItemTimeWindow.CategoryIndex = 5;
            this.barItemTimeWindow.ID = "Time Window";
            this.barItemTimeWindow.ImageIndex = 80;
            this.barItemTimeWindow.ImageList = this.smallImageList;
            this.barItemTimeWindow.Tag = "16";
            this.barItemTimeWindow.Click += new System.EventHandler(this.barItemTimeWindow_Click);
            // 
            // barItemAlerts
            // 
            this.barItemAlerts.CategoryIndex = 5;
            this.barItemAlerts.ID = "Alerts";
            this.barItemAlerts.ImageIndex = 13;
            this.barItemAlerts.ImageList = this.imageList3;
            this.barItemAlerts.Tag = "SID_ALERTS";
            this.barItemAlerts.Click += new System.EventHandler(this.barItemAlerts_Click);
            // 
            // barItemRecProps
            // 
            this.barItemRecProps.CategoryIndex = 5;
            this.barItemRecProps.ID = "Recorded Properties";
            this.barItemRecProps.ImageIndex = 28;
            this.barItemRecProps.ImageList = this.imageList3;
            this.barItemRecProps.Tag = "1000";
            this.barItemRecProps.Click += new System.EventHandler(this.barItemRecProps_Click);
            // 
            // barItemFullScreen
            // 
            this.barItemFullScreen.CategoryIndex = 5;
            this.barItemFullScreen.ID = "Full Screen";
            this.barItemFullScreen.ImageIndex = 60;
            this.barItemFullScreen.ImageList = this.imageList3;
            this.barItemFullScreen.Tag = "SID_FULL_SCREEN";
            this.barItemFullScreen.Click += new System.EventHandler(this.barItemFullScreen_Click);
            // 
            // barItemTrendedProps
            // 
            this.barItemTrendedProps.CategoryIndex = 5;
            this.barItemTrendedProps.ID = "Trended Property Dialog";
            this.barItemTrendedProps.ImageIndex = 28;
            this.barItemTrendedProps.ImageList = this.imageList3;
            this.barItemTrendedProps.Tag = "900";
            this.barItemTrendedProps.Click += new System.EventHandler(this.barItemTrendedProps_Click);
            // 
            // barItem23
            // 
            this.barItem23.CategoryIndex = 5;
            this.barItem23.ID = "Deviations Alert Window";
            this.barItem23.Tag = "SID_DEVIATION_ALERT_WINDOW";
            this.barItem23.Text = "Deviations Alert Window";
            this.barItem23.Click += new System.EventHandler(this.barItem23_Click);
            // 
            // parentBarItem2
            // 
            this.parentBarItem2.CategoryIndex = 1;
            this.parentBarItem2.ID = "&Edit";
            this.parentBarItem2.ImageIndex = 5;
            this.parentBarItem2.ImageList = this.smallImageList;
            this.parentBarItem2.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItemUndo,
            this.barItem1,
            this.barItem2,
            this.barItem3,
            this.barItem_InsertNewRows,
            this.barCopyMasterProperties,
            this.barCopyUOMTypes});
            this.parentBarItem2.SeparatorIndices.AddRange(new int[] {
            1,
            4});
            this.parentBarItem2.Tag = "5";
            // 
            // barItemUndo
            // 
            this.barItemUndo.CategoryIndex = 1;
            this.barItemUndo.Enabled = false;
            this.barItemUndo.ID = "Undo";
            this.barItemUndo.ImageIndex = 35;
            this.barItemUndo.ImageList = this.smallImageList;
            this.barItemUndo.Tag = "SID_UNDO";
            this.barItemUndo.Click += new System.EventHandler(this.barItem22_Click);
            // 
            // barItem1
            // 
            this.barItem1.CategoryIndex = 1;
            this.barItem1.Enabled = false;
            this.barItem1.ID = "Cu&t";
            this.barItem1.ImageIndex = 36;
            this.barItem1.ImageList = this.imageList3;
            this.barItem1.Tag = "6";
            this.barItem1.Click += new System.EventHandler(this.barItem1_Click);
            // 
            // barItem2
            // 
            this.barItem2.CategoryIndex = 1;
            this.barItem2.Enabled = false;
            this.barItem2.ID = "&Copy";
            this.barItem2.ImageIndex = 4;
            this.barItem2.ImageList = this.imageList3;
            this.barItem2.Tag = "7";
            this.barItem2.Click += new System.EventHandler(this.barItem2_Click);
            // 
            // barItem3
            // 
            this.barItem3.CategoryIndex = 1;
            this.barItem3.Enabled = false;
            this.barItem3.ID = "&Paste";
            this.barItem3.ImageIndex = 10;
            this.barItem3.ImageList = this.imageList3;
            this.barItem3.Tag = "8";
            this.barItem3.Click += new System.EventHandler(this.barItem3_Click);
            // 
            // barItem_InsertNewRows
            // 
            this.barItem_InsertNewRows.CategoryIndex = 1;
            this.barItem_InsertNewRows.Enabled = false;
            this.barItem_InsertNewRows.ID = "Insert New Rows";
            this.barItem_InsertNewRows.ImageIndex = 41;
            this.barItem_InsertNewRows.ImageList = this.imageList3;
            this.barItem_InsertNewRows.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem_InsertNewRows.Tag = "9";
            this.barItem_InsertNewRows.Click += new System.EventHandler(this.barItem_InsertNewRows_Click);
            // 
            // barCopyMasterProperties
            // 
            this.barCopyMasterProperties.CategoryIndex = 3;
            this.barCopyMasterProperties.Enabled = false;
            this.barCopyMasterProperties.ID = "&Copy Master Properties";
            this.barCopyMasterProperties.ImageIndex = 6;
            this.barCopyMasterProperties.ImageList = this.imageList3;
            this.barCopyMasterProperties.Tag = "30";
            this.barCopyMasterProperties.Click += new System.EventHandler(this.barCopyMasterProperties_Click);
            // 
            // barCopyUOMTypes
            // 
            this.barCopyUOMTypes.CategoryIndex = 3;
            this.barCopyUOMTypes.ID = "Copy UOM Types";
            this.barCopyUOMTypes.ImageIndex = 85;
            this.barCopyUOMTypes.ImageList = this.smallImageList;
            this.barCopyUOMTypes.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barCopyUOMTypes.Tag = "31";
            this.barCopyUOMTypes.Click += new System.EventHandler(this.barCopyUOMTypes_Click);
            // 
            // parentBarItem4
            // 
            this.parentBarItem4.CategoryIndex = 2;
            this.parentBarItem4.ID = "Create";
            this.parentBarItem4.ImageIndex = 12;
            this.parentBarItem4.ImageList = this.smallImageList;
            this.parentBarItem4.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItemSeedData,
            this.parentBarItem5,
            this.parentBarItem12});
            this.parentBarItem4.Tag = "SID_PLANTDATA";
            // 
            // barItemSeedData
            // 
            this.barItemSeedData.CategoryIndex = 2;
            this.barItemSeedData.ID = "Plant Structure &Configuration";
            this.barItemSeedData.ImageIndex = 43;
            this.barItemSeedData.ImageList = this.imageList3;
            this.barItemSeedData.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.mnuMasterComponents});
            this.barItemSeedData.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.barItemSeedData.Tag = "25";
            // 
            // mnuMasterComponents
            // 
            this.mnuMasterComponents.CategoryIndex = 2;
            this.mnuMasterComponents.ID = "&Master Plant Items";
            this.mnuMasterComponents.ImageIndex = 14;
            this.mnuMasterComponents.ImageList = this.smallImageList;
            this.mnuMasterComponents.Shortcut = System.Windows.Forms.Shortcut.CtrlM;
            this.mnuMasterComponents.Tag = "100";
            this.mnuMasterComponents.Click += new System.EventHandler(this.mnuMasterComponents_Click);
            // 
            // parentBarItem5
            // 
            this.parentBarItem5.CategoryIndex = 2;
            this.parentBarItem5.ID = "&Plant Structure";
            this.parentBarItem5.ImageIndex = 16;
            this.parentBarItem5.ImageList = this.smallImageList;
            this.parentBarItem5.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barLevel,
            this.mnuSiteComponents,
            this.barItemGP,
            this.barItem21,
            this.barItem6,
            this.barAggregates,
            this.barItemAggregateGrpedPpty,
            this.barComplexEquipment,
            this.barItemPlantItemIndices,
            this.barItemPlantLevelRollUpValues});
            this.parentBarItem5.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem5.Tag = "26";
            this.parentBarItem5.Text = "&Plant Structure";
            // 
            // barLevel
            // 
            this.barLevel.CategoryIndex = 2;
            this.barLevel.ID = "Plant Levels";
            this.barLevel.ImageIndex = 7;
            this.barLevel.ImageList = this.imageList3;
            this.barLevel.Tag = "180";
            this.barLevel.Click += new System.EventHandler(this.barLevel_Click);
            // 
            // mnuSiteComponents
            // 
            this.mnuSiteComponents.CategoryIndex = 2;
            this.mnuSiteComponents.ID = "Plant Items &Attributes";
            this.mnuSiteComponents.ImageIndex = 50;
            this.mnuSiteComponents.ImageList = this.imageList3;
            this.mnuSiteComponents.Tag = "130";
            this.mnuSiteComponents.Click += new System.EventHandler(this.mnuSiteComponents_Click);
            // 
            // barItemGP
            // 
            this.barItemGP.CategoryIndex = 2;
            this.barItemGP.ID = "Plant Item Grouped Attributes";
            this.barItemGP.ImageIndex = 52;
            this.barItemGP.ImageList = this.imageList3;
            this.barItemGP.Tag = "350";
            this.barItemGP.Click += new System.EventHandler(this.barItemGP_Click);
            // 
            // barItem21
            // 
            this.barItem21.CategoryIndex = 2;
            this.barItem21.ID = "PlantItemGroupedDataArrays";
            this.barItem21.ImageIndex = 51;
            this.barItem21.ImageList = this.imageList3;
            this.barItem21.Tag = "420";
            this.barItem21.Click += new System.EventHandler(this.barItem21_Click);
            // 
            // barItem6
            // 
            this.barItem6.CategoryIndex = 2;
            this.barItem6.ID = "Plant Item Connectors";
            this.barItem6.ImageIndex = 49;
            this.barItem6.ImageList = this.imageList3;
            this.barItem6.Tag = "170";
            this.barItem6.Click += new System.EventHandler(this.barItem6_Click);
            // 
            // barAggregates
            // 
            this.barAggregates.CategoryIndex = 2;
            this.barAggregates.ID = "Plant Aggregates";
            this.barAggregates.ImageIndex = 39;
            this.barAggregates.ImageList = this.smallImageList;
            this.barAggregates.Tag = "190";
            this.barAggregates.Click += new System.EventHandler(this.barAggregates_Click);
            // 
            // barItemAggregateGrpedPpty
            // 
            this.barItemAggregateGrpedPpty.CategoryIndex = 2;
            this.barItemAggregateGrpedPpty.ID = "Plant Item Grouped Aggregates";
            this.barItemAggregateGrpedPpty.ImageIndex = 39;
            this.barItemAggregateGrpedPpty.ImageList = this.smallImageList;
            this.barItemAggregateGrpedPpty.Tag = "430";
            this.barItemAggregateGrpedPpty.Click += new System.EventHandler(this.barItemAggregateGrpedPpty_Click);
            // 
            // barComplexEquipment
            // 
            this.barComplexEquipment.CategoryIndex = 2;
            this.barComplexEquipment.ID = "Complex Equipment";
            this.barComplexEquipment.ImageIndex = 1;
            this.barComplexEquipment.ImageList = this.imageList3;
            this.barComplexEquipment.Tag = "220";
            this.barComplexEquipment.Click += new System.EventHandler(this.barComplexEquipment_Click);
            // 
            // barItemPlantItemIndices
            // 
            this.barItemPlantItemIndices.CategoryIndex = 2;
            this.barItemPlantItemIndices.ID = "Plant Energy Indices";
            this.barItemPlantItemIndices.ImageIndex = 108;
            this.barItemPlantItemIndices.ImageList = this.smallImageList;
            this.barItemPlantItemIndices.Tag = "SID_PLANT_INDICES";
            this.barItemPlantItemIndices.Click += new System.EventHandler(this.barItemPlantItemIndices_Click);
            // 
            // barItemPlantLevelRollUpValues
            // 
            this.barItemPlantLevelRollUpValues.CategoryIndex = 2;
            this.barItemPlantLevelRollUpValues.ID = "Plant Level RollUp Values";
            this.barItemPlantLevelRollUpValues.ImageIndex = 107;
            this.barItemPlantLevelRollUpValues.ImageList = this.smallImageList;
            this.barItemPlantLevelRollUpValues.Tag = "SID_PLANT_LVL_ROLLUP_VALUES";
            this.barItemPlantLevelRollUpValues.Click += new System.EventHandler(this.barItemPlantLevelRollUpValues_Click);
            // 
            // parentBarItem12
            // 
            this.parentBarItem12.CategoryIndex = 2;
            this.parentBarItem12.ID = "Data Historian";
            this.parentBarItem12.ImageIndex = 49;
            this.parentBarItem12.ImageList = this.smallImageList;
            this.parentBarItem12.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.mnuDataHistorian,
            this.mnuDataHistorianMapping,
            this.barItemUserHistData,
            this.barItemUserHistWriteMapping,
            this.barItemHistPtEntry});
            this.parentBarItem12.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem12.Tag = "27";
            // 
            // mnuDataHistorian
            // 
            this.mnuDataHistorian.CategoryIndex = 5;
            this.mnuDataHistorian.ID = "&Historian Points";
            this.mnuDataHistorian.ImageIndex = 11;
            this.mnuDataHistorian.ImageList = this.smallImageList;
            this.mnuDataHistorian.ShortcutText = "";
            this.mnuDataHistorian.Tag = "150";
            this.mnuDataHistorian.Click += new System.EventHandler(this.mnuDataHistorian_Click);
            // 
            // mnuDataHistorianMapping
            // 
            this.mnuDataHistorianMapping.CategoryIndex = 2;
            this.mnuDataHistorianMapping.ID = "Mapping";
            this.mnuDataHistorianMapping.ImageIndex = 24;
            this.mnuDataHistorianMapping.ImageList = this.smallImageList;
            this.mnuDataHistorianMapping.Tag = "140";
            this.mnuDataHistorianMapping.Click += new System.EventHandler(this.mnuDataHistorianMapping_Click);
            // 
            // barItemUserHistData
            // 
            this.barItemUserHistData.CategoryIndex = 3;
            this.barItemUserHistData.ID = "Write Access for Historian Points";
            this.barItemUserHistData.ImageIndex = 109;
            this.barItemUserHistData.ImageList = this.smallImageList;
            this.barItemUserHistData.Tag = "520";
            this.barItemUserHistData.Click += new System.EventHandler(this.barItemUserHistData_Click);
            // 
            // barItemUserHistWriteMapping
            // 
            this.barItemUserHistWriteMapping.CategoryIndex = 3;
            this.barItemUserHistWriteMapping.ID = "Write Access for Historian Points Mappings";
            this.barItemUserHistWriteMapping.ImageIndex = 109;
            this.barItemUserHistWriteMapping.ImageList = this.smallImageList;
            this.barItemUserHistWriteMapping.Tag = "530";
            this.barItemUserHistWriteMapping.Click += new System.EventHandler(this.barItemUserHistWriteMapping_Click);
            // 
            // barItemHistPtEntry
            // 
            this.barItemHistPtEntry.CategoryIndex = 3;
            this.barItemHistPtEntry.ID = "Manual Entry For Historian Points";
            this.barItemHistPtEntry.ImageIndex = 61;
            this.barItemHistPtEntry.ImageList = this.imageList3;
            this.barItemHistPtEntry.Tag = "450";
            this.barItemHistPtEntry.Click += new System.EventHandler(this.barItemHistPtEntry_Click);
            // 
            // parentBarItem18
            // 
            this.parentBarItem18.CategoryIndex = 12;
            this.parentBarItem18.ID = "Screens";
            this.parentBarItem18.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.parentBarItem21,
            this.barItemOrganizeViews});
            this.parentBarItem18.SeparatorIndices.AddRange(new int[] {
            1});
            this.parentBarItem18.Tag = "501";
            // 
            // parentBarItem21
            // 
            this.parentBarItem21.CategoryIndex = 12;
            this.parentBarItem21.ID = "Design";
            this.parentBarItem21.ImageIndex = 39;
            this.parentBarItem21.ImageList = this.imageList3;
            this.parentBarItem21.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.parentBarItem19,
            this.parentBarItem20,
            this.parentBarItem15,
            this.barItemCompositeViews,
            this.barItem22,
            this.barReport,
            this.barItemSavedViews,
            this.parentBarItemDashBoard});
            this.parentBarItem21.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem21.Tag = "502";
            // 
            // parentBarItem19
            // 
            this.parentBarItem19.CategoryIndex = 12;
            this.parentBarItem19.ID = "Graphics";
            this.parentBarItem19.ImageIndex = 53;
            this.parentBarItem19.ImageList = this.imageList3;
            this.parentBarItem19.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.mnuCreateSiteOverview,
            this.mnuOperationalMode});
            this.parentBarItem19.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem19.Tag = "503";
            // 
            // mnuCreateSiteOverview
            // 
            this.mnuCreateSiteOverview.CategoryIndex = 2;
            this.mnuCreateSiteOverview.ID = "Implementer &Screens";
            this.mnuCreateSiteOverview.ImageIndex = 54;
            this.mnuCreateSiteOverview.ImageList = this.imageList3;
            this.mnuCreateSiteOverview.Tag = "160";
            this.mnuCreateSiteOverview.Click += new System.EventHandler(this.mnuCreateSiteOverview_Click);
            // 
            // mnuOperationalMode
            // 
            this.mnuOperationalMode.CategoryIndex = 2;
            this.mnuOperationalMode.ID = "&Operator Screens";
            this.mnuOperationalMode.ImageIndex = 55;
            this.mnuOperationalMode.ImageList = this.imageList3;
            this.mnuOperationalMode.Tag = "270";
            this.mnuOperationalMode.Click += new System.EventHandler(this.mnuOperationalMode_Click);
            // 
            // parentBarItem20
            // 
            this.parentBarItem20.CategoryIndex = 12;
            this.parentBarItem20.ID = "Tables";
            this.parentBarItem20.ImageIndex = 9;
            this.parentBarItem20.ImageList = this.imageList3;
            this.parentBarItem20.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem17,
            this.barItem18,
            this.barItemDataArrays,
            this.parentBarItem11});
            this.parentBarItem20.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem20.Tag = "504";
            // 
            // barItem17
            // 
            this.barItem17.CategoryIndex = 12;
            this.barItem17.ID = "Search / Result(s)";
            this.barItem17.ImageIndex = 44;
            this.barItem17.ImageList = this.imageList3;
            this.barItem17.Tag = "505";
            this.barItem17.Click += new System.EventHandler(this.barItem17_Click);
            // 
            // barItem18
            // 
            this.barItem18.CategoryIndex = 12;
            this.barItem18.ID = "Plant Item Attributes (Grouped)";
            this.barItem18.ImageIndex = 89;
            this.barItem18.ImageList = this.smallImageList;
            this.barItem18.Tag = "506";
            this.barItem18.Click += new System.EventHandler(this.barItem18_Click);
            // 
            // barItemDataArrays
            // 
            this.barItemDataArrays.CategoryIndex = 12;
            this.barItemDataArrays.ID = "Plant Item Attributes (Data Arrays)";
            this.barItemDataArrays.ImageIndex = 89;
            this.barItemDataArrays.ImageList = this.smallImageList;
            this.barItemDataArrays.Tag = "400";
            this.barItemDataArrays.Click += new System.EventHandler(this.barItemDataArrays_Click);
            // 
            // parentBarItem11
            // 
            this.parentBarItem11.CategoryIndex = 12;
            this.parentBarItem11.ID = "Miscellaneous";
            this.parentBarItem11.ImageIndex = 95;
            this.parentBarItem11.ImageList = this.smallImageList;
            this.parentBarItem11.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem11.Tag = "507";
            // 
            // parentBarItem15
            // 
            this.parentBarItem15.CategoryIndex = 5;
            this.parentBarItem15.ID = "Charts";
            this.parentBarItem15.ImageIndex = 2;
            this.parentBarItem15.ImageList = this.imageList3;
            this.parentBarItem15.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.parentBarItem16,
            this.parentBarItem17});
            this.parentBarItem15.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem15.Tag = "12";
            // 
            // parentBarItem16
            // 
            this.parentBarItem16.CategoryIndex = 5;
            this.parentBarItem16.ID = "All Charts";
            this.parentBarItem16.ImageIndex = 71;
            this.parentBarItem16.ImageList = this.smallImageList;
            this.parentBarItem16.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem16.Tag = "23";
            // 
            // parentBarItem17
            // 
            this.parentBarItem17.CategoryIndex = 5;
            this.parentBarItem17.ID = "Chart Groups";
            this.parentBarItem17.ImageIndex = 72;
            this.parentBarItem17.ImageList = this.smallImageList;
            this.parentBarItem17.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem17.Tag = "24";
            // 
            // barItemCompositeViews
            // 
            this.barItemCompositeViews.CategoryIndex = 5;
            this.barItemCompositeViews.ID = "Composite Views";
            this.barItemCompositeViews.ImageIndex = 42;
            this.barItemCompositeViews.ImageList = this.imageList3;
            this.barItemCompositeViews.Tag = "22";
            this.barItemCompositeViews.Click += new System.EventHandler(this.barItemCompositeViews_Click);
            // 
            // barItem22
            // 
            this.barItem22.CategoryIndex = 12;
            this.barItem22.ID = "Multi Attribute Trend(s)";
            this.barItem22.ImageIndex = 67;
            this.barItem22.ImageList = this.imageList3;
            this.barItem22.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftM;
            this.barItem22.Tag = "SID_MULTI_ATTRIBUTE_TRENDS";
            this.barItem22.Click += new System.EventHandler(this.barItemMultiAttributeTrend_Click);
            // 
            // barReport
            // 
            this.barReport.CategoryIndex = 3;
            this.barReport.ID = "Reports";
            this.barReport.ImageIndex = 68;
            this.barReport.ImageList = this.imageList3;
            this.barReport.Tag = "SID_REPORTS";
            this.barReport.Click += new System.EventHandler(this.barReport_Click);
            // 
            // barItemSavedViews
            // 
            this.barItemSavedViews.CategoryIndex = 12;
            this.barItemSavedViews.ID = "Unified Views";
            this.barItemSavedViews.ImageIndex = 47;
            this.barItemSavedViews.ImageList = this.imageList3;
            this.barItemSavedViews.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftS;
            this.barItemSavedViews.Text = "Unified Views";
            this.barItemSavedViews.Click += new System.EventHandler(this.barItemSavedViews_Click);
            // 
            // parentBarItemDashBoard
            // 
            this.parentBarItemDashBoard.CategoryIndex = 12;
            this.parentBarItemDashBoard.ID = "DashBoard";
            this.parentBarItemDashBoard.ImageIndex = 9;
            this.parentBarItemDashBoard.ImageList = this.imageList3;
            this.parentBarItemDashBoard.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItemDashBoard,
            this.barItemDashBoardDesigner,
            this.barItemDashBoardViewer});
            this.parentBarItemDashBoard.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItemDashBoard.Tag = "600";
            // 
            // barItemDashBoard
            // 
            this.barItemDashBoard.CategoryIndex = 12;
            this.barItemDashBoard.ID = "DashBoard Wizard";
            this.barItemDashBoard.ImageIndex = 47;
            this.barItemDashBoard.ImageList = this.imageList3;
            this.barItemDashBoard.Text = "DashBoard Wizard";
            this.barItemDashBoard.Visible = false;
            this.barItemDashBoard.Click += new System.EventHandler(this.barItemDashBoard_Click);
            // 
            // barItemDashBoardDesigner
            // 
            this.barItemDashBoardDesigner.CategoryIndex = 12;
            this.barItemDashBoardDesigner.ID = "DashBoard Designer";
            this.barItemDashBoardDesigner.ImageIndex = 47;
            this.barItemDashBoardDesigner.ImageList = this.imageList3;
            this.barItemDashBoardDesigner.Text = "DashBoard Designer";
            this.barItemDashBoardDesigner.Click += new System.EventHandler(this.barItemDashBoardDesigner_Click);
            // 
            // barItemDashBoardViewer
            // 
            this.barItemDashBoardViewer.CategoryIndex = 12;
            this.barItemDashBoardViewer.ID = "DashBoard Viewer";
            this.barItemDashBoardViewer.ImageIndex = 47;
            this.barItemDashBoardViewer.ImageList = this.imageList3;
            this.barItemDashBoardViewer.Text = "DashBoard Viewer";
            this.barItemDashBoardViewer.Click += new System.EventHandler(this.barItemDashBoardViewer_Click);
            // 
            // barItemOrganizeViews
            // 
            this.barItemOrganizeViews.CategoryIndex = 12;
            this.barItemOrganizeViews.ID = "Organize Menus";
            this.barItemOrganizeViews.ImageIndex = 16;
            this.barItemOrganizeViews.ImageList = this.imageList3;
            this.barItemOrganizeViews.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemOrganizeViews.Tag = "5001";
            this.barItemOrganizeViews.Click += new System.EventHandler(this.barItemOrganizeViews_Click);
            // 
            // parentBarItem7
            // 
            this.parentBarItem7.CategoryIndex = 3;
            this.parentBarItem7.ID = "&Tools";
            this.parentBarItem7.ImageIndex = 21;
            this.parentBarItem7.ImageList = this.smallImageList;
            this.parentBarItem7.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barOptions,
            this.barItem4,
            this.barImportExcel,
            this.barCalc,
            this.barRunSetManager,
            this.barItemMsgSubscriptions,
            this.bItemFormulaBrowser,
            this.barItemExpRecordedValues,
            this.barItemOpenDynamicCase,
            this.barItemCreateDynamicCase,
            this.barItemClearDynamicCase});
            this.parentBarItem7.SeparatorIndices.AddRange(new int[] {
            6});
            this.parentBarItem7.Tag = "SID_TOOLS";
            // 
            // barOptions
            // 
            this.barOptions.CategoryIndex = 3;
            this.barOptions.ID = "&Options";
            this.barOptions.ImageIndex = 48;
            this.barOptions.ImageList = this.imageList3;
            this.barOptions.Tag = "260";
            this.barOptions.Click += new System.EventHandler(this.barOptions_Click);
            // 
            // barItem4
            // 
            this.barItem4.CategoryIndex = 3;
            this.barItem4.ID = "Run";
            this.barItem4.ImageIndex = 57;
            this.barItem4.ImageList = this.smallImageList;
            this.barItem4.Tag = "2004";
            this.barItem4.Click += new System.EventHandler(this.mnuRun_Click);
            // 
            // barImportExcel
            // 
            this.barImportExcel.CategoryIndex = 3;
            this.barImportExcel.Enabled = false;
            this.barImportExcel.ID = "&Import From Excel";
            this.barImportExcel.ImageIndex = 46;
            this.barImportExcel.ImageList = this.imageList3;
            this.barImportExcel.Tag = "32";
            this.barImportExcel.Click += new System.EventHandler(this.barItem_ImportToExcel_Click);
            // 
            // barCalc
            // 
            this.barCalc.CategoryIndex = 3;
            this.barCalc.ID = "Calculator";
            this.barCalc.ImageIndex = 46;
            this.barCalc.Tag = "SID_Calculator";
            this.barCalc.Text = "Calculator";
            this.barCalc.Click += new System.EventHandler(this.barItem_Calculator_Click);
            // 
            // barRunSetManager
            // 
            this.barRunSetManager.CategoryIndex = 3;
            this.barRunSetManager.ID = "RunSetManager";
            this.barRunSetManager.ImageIndex = 10;
            this.barRunSetManager.ImageList = this.imageList1;
            this.barRunSetManager.Tag = "SID_RunSetManager";
            this.barRunSetManager.Click += new System.EventHandler(this.barItem_RunSetManager_Click);
            // 
            // imageList1
            // 
            this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
            this.imageList1.TransparentColor = System.Drawing.SystemColors.Desktop;
            this.imageList1.Images.SetKeyName(0, "");
            this.imageList1.Images.SetKeyName(1, "");
            this.imageList1.Images.SetKeyName(2, "");
            this.imageList1.Images.SetKeyName(3, "");
            this.imageList1.Images.SetKeyName(4, "");
            this.imageList1.Images.SetKeyName(5, "");
            this.imageList1.Images.SetKeyName(6, "");
            this.imageList1.Images.SetKeyName(7, "");
            this.imageList1.Images.SetKeyName(8, "");
            this.imageList1.Images.SetKeyName(9, "");
            this.imageList1.Images.SetKeyName(10, "");
            this.imageList1.Images.SetKeyName(11, "");
            this.imageList1.Images.SetKeyName(12, "");
            this.imageList1.Images.SetKeyName(13, "");
            // 
            // barItemMsgSubscriptions
            // 
            this.barItemMsgSubscriptions.CategoryIndex = 3;
            this.barItemMsgSubscriptions.ID = "Message Subscriptions";
            this.barItemMsgSubscriptions.ImageIndex = 3;
            this.barItemMsgSubscriptions.ImageList = this.smallImageList;
            this.barItemMsgSubscriptions.Tag = "SID_MSG_SUBSCRIPTIONS";
            this.barItemMsgSubscriptions.Click += new System.EventHandler(this.barItemMsgSubscriptions_Click);
            // 
            // bItemFormulaBrowser
            // 
            this.bItemFormulaBrowser.CategoryIndex = 3;
            this.bItemFormulaBrowser.ID = "FormulaBrowser";
            this.bItemFormulaBrowser.ImageIndex = 110;
            this.bItemFormulaBrowser.ImageList = this.smallImageList;
            this.bItemFormulaBrowser.Tag = "SID_FORMULA_BROWSER";
            this.bItemFormulaBrowser.Click += new System.EventHandler(this.bItemFormulaBrowser_Click);
            // 
            // barItemExpRecordedValues
            // 
            this.barItemExpRecordedValues.CategoryIndex = 3;
            this.barItemExpRecordedValues.ID = "Export Recorded Values";
            this.barItemExpRecordedValues.ImageIndex = 47;
            this.barItemExpRecordedValues.ImageList = this.imageList3;
            this.barItemExpRecordedValues.Tag = "33";
            this.barItemExpRecordedValues.Click += new System.EventHandler(this.barItemExpRecordedValues_Click);
            // 
            // barItemOpenDynamicCase
            // 
            this.barItemOpenDynamicCase.CategoryIndex = 3;
            this.barItemOpenDynamicCase.ID = "Open Dynamic Case";
            this.barItemOpenDynamicCase.ImageIndex = 18;
            this.barItemOpenDynamicCase.ImageList = this.smallImageList;
            this.barItemOpenDynamicCase.Tag = "SID_OPENDYNAMIC_CASE";
            this.barItemOpenDynamicCase.Click += new System.EventHandler(this.barItemOpenDynamicCase_Click);
            // 
            // barItemCreateDynamicCase
            // 
            this.barItemCreateDynamicCase.CategoryIndex = 5;
            this.barItemCreateDynamicCase.ID = "Create Dynamic Case";
            this.barItemCreateDynamicCase.ImageIndex = 24;
            this.barItemCreateDynamicCase.ImageList = this.smallImageList;
            this.barItemCreateDynamicCase.Tag = "SID_CREAT_DYANMIC_CASE";
            this.barItemCreateDynamicCase.Tooltip = "Create Dynamic Case";
            this.barItemCreateDynamicCase.Click += new System.EventHandler(this.barItemCreateDynamicCase_Click);
            // 
            // barItemClearDynamicCase
            // 
            this.barItemClearDynamicCase.CategoryIndex = 5;
            this.barItemClearDynamicCase.ID = "Clear Dynamic Case";
            this.barItemClearDynamicCase.ImageIndex = 35;
            this.barItemClearDynamicCase.ImageList = this.smallImageList;
            this.barItemClearDynamicCase.Tag = "SID_CLEAR_DYANMIC_CASE";
            this.barItemClearDynamicCase.Click += new System.EventHandler(this.barItemClearDynamicCase_Click);
            // 
            // parentBarItem14
            // 
            this.parentBarItem14.CategoryIndex = 10;
            this.parentBarItem14.ID = "En&gine";
            this.parentBarItem14.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barengSettings,
            this.barSettings,
            this.barEngineImport,
            this.barShowExcel,
            this.berHideExcel,
            this.parentBarItem22});
            this.parentBarItem14.SeparatorIndices.AddRange(new int[] {
            3});
            this.parentBarItem14.Tag = "512";
            // 
            // barengSettings
            // 
            this.barengSettings.CategoryIndex = 10;
            this.barengSettings.ID = "Execution Sequence";
            this.barengSettings.ImageIndex = 57;
            this.barengSettings.ImageList = this.imageList3;
            this.barengSettings.Tag = "34";
            this.barengSettings.Click += new System.EventHandler(this.barengSettings_Click);
            // 
            // barSettings
            // 
            this.barSettings.CategoryIndex = 10;
            this.barSettings.ID = "Settings";
            this.barSettings.ImageIndex = 45;
            this.barSettings.ImageList = this.imageList3;
            this.barSettings.Tag = "35";
            this.barSettings.Click += new System.EventHandler(this.barSettings_Click);
            // 
            // barEngineImport
            // 
            this.barEngineImport.CategoryIndex = 10;
            this.barEngineImport.ID = "Import Values from Engine";
            this.barEngineImport.ImageIndex = 6;
            this.barEngineImport.ImageList = this.imageList3;
            this.barEngineImport.Tag = "508";
            this.barEngineImport.Click += new System.EventHandler(this.barEngineImport_Click);
            // 
            // barShowExcel
            // 
            this.barShowExcel.CategoryIndex = 6;
            this.barShowExcel.ID = "Show Excel";
            this.barShowExcel.ImageIndex = 59;
            this.barShowExcel.ImageList = this.imageList3;
            this.barShowExcel.Tag = "509";
            this.barShowExcel.Click += new System.EventHandler(this.barShowExcel_Click);
            // 
            // berHideExcel
            // 
            this.berHideExcel.CategoryIndex = 6;
            this.berHideExcel.ID = "Hide Excel";
            this.berHideExcel.ImageIndex = 63;
            this.berHideExcel.ImageList = this.imageList3;
            this.berHideExcel.Tag = "510";
            this.berHideExcel.Click += new System.EventHandler(this.berHideExcel_Click);
            // 
            // parentBarItem22
            // 
            this.parentBarItem22.CategoryIndex = 10;
            this.parentBarItem22.ID = "Logs";
            this.parentBarItem22.ImageIndex = 37;
            this.parentBarItem22.ImageList = this.imageList3;
            this.parentBarItem22.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem22.Tag = "513";
            // 
            // parentBarItem8
            // 
            this.parentBarItem8.CategoryIndex = 4;
            this.parentBarItem8.ID = "&Window";
            this.parentBarItem8.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barVerticalAlign,
            this.barHorizontelAlign,
            this.barCascade,
            this.mdiListBarItem1});
            this.parentBarItem8.SeparatorIndices.AddRange(new int[] {
            3});
            this.parentBarItem8.Tag = "SID_WINDOW";
            // 
            // barVerticalAlign
            // 
            this.barVerticalAlign.CategoryIndex = 4;
            this.barVerticalAlign.ID = "Tile Vertically";
            this.barVerticalAlign.ImageIndex = 9;
            this.barVerticalAlign.ImageList = this.imageList2;
            this.barVerticalAlign.Tag = "SID_TILEVERTICALLY";
            this.barVerticalAlign.Click += new System.EventHandler(this.barVerticalAlign_Click);
            // 
            // imageList2
            // 
            this.imageList2.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList2.ImageStream")));
            this.imageList2.TransparentColor = System.Drawing.SystemColors.Desktop;
            this.imageList2.Images.SetKeyName(0, "");
            this.imageList2.Images.SetKeyName(1, "");
            this.imageList2.Images.SetKeyName(2, "");
            this.imageList2.Images.SetKeyName(3, "");
            this.imageList2.Images.SetKeyName(4, "");
            this.imageList2.Images.SetKeyName(5, "");
            this.imageList2.Images.SetKeyName(6, "");
            this.imageList2.Images.SetKeyName(7, "");
            this.imageList2.Images.SetKeyName(8, "");
            this.imageList2.Images.SetKeyName(9, "");
            this.imageList2.Images.SetKeyName(10, "");
            // 
            // barHorizontelAlign
            // 
            this.barHorizontelAlign.CategoryIndex = 4;
            this.barHorizontelAlign.ID = "Tile Horizontally";
            this.barHorizontelAlign.ImageIndex = 8;
            this.barHorizontelAlign.ImageList = this.imageList2;
            this.barHorizontelAlign.Tag = "SID_TILEHORIZ";
            this.barHorizontelAlign.Click += new System.EventHandler(this.barHorizontelAlign_Click);
            // 
            // barCascade
            // 
            this.barCascade.CategoryIndex = 4;
            this.barCascade.ID = "Cascade";
            this.barCascade.ImageIndex = 48;
            this.barCascade.ImageList = this.smallImageList;
            this.barCascade.Tag = "SID_CASCADE";
            this.barCascade.Click += new System.EventHandler(this.barCascade_Click);
            // 
            // mdiListBarItem1
            // 
            this.mdiListBarItem1.CategoryIndex = 4;
            this.mdiListBarItem1.ID = "Window List";
            this.mdiListBarItem1.ImageIndex = 48;
            this.mdiListBarItem1.ImageList = this.smallImageList;
            this.mdiListBarItem1.Tag = "SID_WND_LIST";
            // 
            // parentBarItem9
            // 
            this.parentBarItem9.CategoryIndex = 6;
            this.parentBarItem9.ID = "&Help";
            this.parentBarItem9.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItem9,
            this.barItem8,
            this.barItemHelp,
            this.mnuCreateSiteOverviewUpdate});
            this.parentBarItem9.Tag = "SID_HELP";
            // 
            // barItem9
            // 
            this.barItem9.CategoryIndex = 6;
            this.barItem9.ID = "&About";
            this.barItem9.ImageIndex = 11;
            this.barItem9.ImageList = this.imageList1;
            this.barItem9.Tag = "SID_ABOUT";
            this.barItem9.Click += new System.EventHandler(this.barItem9_Click);
            // 
            // barItem8
            // 
            this.barItem8.CategoryIndex = 6;
            this.barItem8.ID = "Test_1";
            this.barItem8.ImageIndex = 86;
            this.barItem8.ImageList = this.smallImageList;
            this.barItem8.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftT;
            this.barItem8.Tag = "511";
            this.barItem8.Visible = false;
            this.barItem8.Click += new System.EventHandler(this.barItem8_Click);
            // 
            // barItemHelp
            // 
            this.barItemHelp.CategoryIndex = 6;
            this.barItemHelp.ID = "Help";
            this.barItemHelp.ImageIndex = 62;
            this.barItemHelp.ImageList = this.imageList3;
            this.barItemHelp.Shortcut = System.Windows.Forms.Shortcut.F1;
            this.barItemHelp.Tag = "SID_HELP";
            this.barItemHelp.Click += new System.EventHandler(this.barItemHelp_Click);
            // 
            // mnuCreateSiteOverviewUpdate
            // 
            this.mnuCreateSiteOverviewUpdate.CategoryIndex = 2;
            this.mnuCreateSiteOverviewUpdate.ID = "Updates";
            this.mnuCreateSiteOverviewUpdate.ImageList = this.imageList3;
            this.mnuCreateSiteOverviewUpdate.Text = "Update Graphics";
            this.mnuCreateSiteOverviewUpdate.Click += new System.EventHandler(this.mnuCreateSiteOverviewUpdate_Click);
            // 
            // barLevels
            // 
            this.barLevels.BarName = "Levels";
            this.barLevels.Caption = "Levels";
            this.barLevels.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItemLeftLevel,
            this.barItemRightLevel,
            this.barItemDownLevel,
            this.barItemUpLevel});
            this.barLevels.Manager = this.mainFrameBarManager1;
            // 
            // barItemLeftLevel
            // 
            this.barItemLeftLevel.CategoryIndex = 8;
            this.barItemLeftLevel.ID = "Right";
            this.barItemLeftLevel.ImageIndex = 52;
            this.barItemLeftLevel.ImageList = this.smallImageList;
            this.barItemLeftLevel.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemLeftLevel.Tag = "1902";
            this.barItemLeftLevel.Click += new System.EventHandler(this.tlbLeft_Click);
            // 
            // barItemRightLevel
            // 
            this.barItemRightLevel.CategoryIndex = 8;
            this.barItemRightLevel.ID = "Left";
            this.barItemRightLevel.ImageIndex = 53;
            this.barItemRightLevel.ImageList = this.smallImageList;
            this.barItemRightLevel.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemRightLevel.Tag = "1901";
            this.barItemRightLevel.Click += new System.EventHandler(this.tlbRight_Click);
            // 
            // barItemDownLevel
            // 
            this.barItemDownLevel.CategoryIndex = 8;
            this.barItemDownLevel.ID = "Down Level";
            this.barItemDownLevel.ImageIndex = 55;
            this.barItemDownLevel.ImageList = this.smallImageList;
            this.barItemDownLevel.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemDownLevel.Tag = "1903";
            this.barItemDownLevel.Click += new System.EventHandler(this.tlbDown_Click);
            // 
            // barItemUpLevel
            // 
            this.barItemUpLevel.CategoryIndex = 8;
            this.barItemUpLevel.ID = "Up Level";
            this.barItemUpLevel.ImageIndex = 54;
            this.barItemUpLevel.ImageList = this.smallImageList;
            this.barItemUpLevel.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemUpLevel.Tag = "1904";
            this.barItemUpLevel.Click += new System.EventHandler(this.tlbUp_Click);
            // 
            // barRunControl
            // 
            this.barRunControl.BarName = "Run Control";
            this.barRunControl.Caption = "Run Control";
            this.barRunControl.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barRunNextStep,
            this.barItemRunEnteredWindow,
            this.barItemRunAdvancetoNow,
            this.barItem13});
            this.barRunControl.Manager = this.mainFrameBarManager1;
            // 
            // barRunNextStep
            // 
            this.barRunNextStep.CategoryIndex = 7;
            this.barRunNextStep.ID = "Run [Next Step]";
            this.barRunNextStep.ImageIndex = 33;
            this.barRunNextStep.ImageList = this.imageList3;
            this.barRunNextStep.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barRunNextStep.Tag = "2001";
            this.barRunNextStep.Click += new System.EventHandler(this.barRunNextStep_Click);
            // 
            // barItemRunEnteredWindow
            // 
            this.barItemRunEnteredWindow.CategoryIndex = 7;
            this.barItemRunEnteredWindow.ID = "Run [Entered Window]";
            this.barItemRunEnteredWindow.ImageIndex = 34;
            this.barItemRunEnteredWindow.ImageList = this.imageList3;
            this.barItemRunEnteredWindow.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemRunEnteredWindow.Tag = "2002";
            this.barItemRunEnteredWindow.Click += new System.EventHandler(this.barItemRunEnteredWindow_Click);
            // 
            // barItemRunAdvancetoNow
            // 
            this.barItemRunAdvancetoNow.CategoryIndex = 7;
            this.barItemRunAdvancetoNow.ID = "Run [Advance to Now]";
            this.barItemRunAdvancetoNow.ImageIndex = 32;
            this.barItemRunAdvancetoNow.ImageList = this.imageList3;
            this.barItemRunAdvancetoNow.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemRunAdvancetoNow.Tag = "2003";
            this.barItemRunAdvancetoNow.Click += new System.EventHandler(this.barItemRunAdvancetoNow_Click);
            // 
            // barItem13
            // 
            this.barItem13.CategoryIndex = 7;
            this.barItem13.ID = "Run_1";
            this.barItem13.ImageIndex = 57;
            this.barItem13.ImageList = this.smallImageList;
            this.barItem13.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem13.Tag = "2004";
            this.barItem13.Click += new System.EventHandler(this.barItem13_Click);
            // 
            // barResultsFilter
            // 
            this.barResultsFilter.AllowCustomizing = false;
            this.barResultsFilter.AllowHiding = false;
            this.barResultsFilter.BarName = "Results Filter";
            this.barResultsFilter.Caption = "Results Filter";
            this.barResultsFilter.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItemPropertyList,
            this.barItemComponentList,
            this.barItemRightColMovement,
            this.barItemLeftColMovement});
            this.barResultsFilter.Manager = this.mainFrameBarManager1;
            // 
            // barItemPropertyList
            // 
            this.barItemPropertyList.CategoryIndex = 11;
            this.barItemPropertyList.ID = "Properties List";
            this.barItemPropertyList.ImageIndex = 12;
            this.barItemPropertyList.ImageList = this.imageList3;
            this.barItemPropertyList.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemPropertyList.Tag = "SID_PROP_LIST";
            this.barItemPropertyList.Click += new System.EventHandler(this.barItemPropertyList_Click);
            // 
            // barItemComponentList
            // 
            this.barItemComponentList.CategoryIndex = 11;
            this.barItemComponentList.ID = "Components List";
            this.barItemComponentList.ImageIndex = 105;
            this.barItemComponentList.ImageList = this.smallImageList;
            this.barItemComponentList.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemComponentList.Tag = "SID_COMP_LIST";
            this.barItemComponentList.Click += new System.EventHandler(this.barItemComponentList_Click);
            // 
            // barItemRightColMovement
            // 
            this.barItemRightColMovement.CategoryIndex = 11;
            this.barItemRightColMovement.ID = "Right Column Movement";
            this.barItemRightColMovement.ImageIndex = 53;
            this.barItemRightColMovement.ImageList = this.smallImageList;
            this.barItemRightColMovement.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemRightColMovement.Tooltip = "Right Column Movement";
            this.barItemRightColMovement.Click += new System.EventHandler(this.barItemRightColMovement_Click);
            // 
            // barItemLeftColMovement
            // 
            this.barItemLeftColMovement.CategoryIndex = 11;
            this.barItemLeftColMovement.ID = "Left Column Movement";
            this.barItemLeftColMovement.ImageIndex = 52;
            this.barItemLeftColMovement.ImageList = this.smallImageList;
            this.barItemLeftColMovement.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemLeftColMovement.Tooltip = "Left Column Movement";
            this.barItemLeftColMovement.Click += new System.EventHandler(this.barItemLeftColMovement_Click);
            // 
            // CompositeViewBar
            // 
            this.CompositeViewBar.AllowCustomizing = false;
            this.CompositeViewBar.AllowHiding = false;
            this.CompositeViewBar.BarName = "Composite View";
            this.CompositeViewBar.Caption = "Composite View";
            this.CompositeViewBar.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barItemOpenCompositeView,
            this.barItemOpenView,
            this.barItemOpenQuery,
            this.barItemTransposeView});
            this.CompositeViewBar.Manager = this.mainFrameBarManager1;
            // 
            // barItemOpenCompositeView
            // 
            this.barItemOpenCompositeView.CategoryIndex = 13;
            this.barItemOpenCompositeView.ID = "Open Composite View";
            this.barItemOpenCompositeView.Text = "Open Composite View";
            this.barItemOpenCompositeView.Click += new System.EventHandler(this.barItemOpenCompositeView_Click);
            // 
            // barItemOpenView
            // 
            this.barItemOpenView.CategoryIndex = 13;
            this.barItemOpenView.ID = "Open 1";
            this.barItemOpenView.ImageIndex = 24;
            this.barItemOpenView.ImageList = this.imageList3;
            this.barItemOpenView.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemOpenView.Tag = "SID_OPEN1";
            this.barItemOpenView.Click += new System.EventHandler(this.barItemOpenQuery_Click);
            // 
            // barItemOpenQuery
            // 
            this.barItemOpenQuery.CategoryIndex = 13;
            this.barItemOpenQuery.ID = "Open 2";
            this.barItemOpenQuery.ImageIndex = 24;
            this.barItemOpenQuery.ImageList = this.imageList3;
            this.barItemOpenQuery.IsRecentlyUsedItem = false;
            this.barItemOpenQuery.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemOpenQuery.Tag = "SID_OPEN2";
            this.barItemOpenQuery.Click += new System.EventHandler(this.barItemOpenView_Click);
            // 
            // barItemTransposeView
            // 
            this.barItemTransposeView.CategoryIndex = 13;
            this.barItemTransposeView.ID = "Transpose View";
            this.barItemTransposeView.ImageIndex = 35;
            this.barItemTransposeView.ImageList = this.imageList3;
            this.barItemTransposeView.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemTransposeView.Tag = "SID_TRANSPOSE_VIEW";
            this.barItemTransposeView.Click += new System.EventHandler(this.barItemTransposeView_Click);
            // 
            // barClearSort
            // 
            this.barClearSort.CategoryIndex = 3;
            this.barClearSort.ID = "Clear Sort";
            this.barClearSort.ImageIndex = 9;
            this.barClearSort.ImageList = this.imageList1;
            this.barClearSort.Text = "Clear Sort";
            // 
            // barItemResults
            // 
            this.barItemResults.CategoryIndex = 5;
            this.barItemResults.ID = "Results";
            this.barItemResults.ImageIndex = 69;
            this.barItemResults.ImageList = this.smallImageList;
            this.barItemResults.Tag = "21";
            this.barItemResults.Text = "Results";
            // 
            // mnuAssignUsersForHistorianData
            // 
            this.mnuAssignUsersForHistorianData.CategoryIndex = 3;
            this.mnuAssignUsersForHistorianData.ID = "User Permissions";
            this.mnuAssignUsersForHistorianData.ImageIndex = 10;
            this.mnuAssignUsersForHistorianData.ImageList = this.imageList1;
            this.mnuAssignUsersForHistorianData.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.mnuAssignUsersForHistorianData.Tag = "230";
            this.mnuAssignUsersForHistorianData.Click += new System.EventHandler(this.mnuAssignUsersForHistorianData_Click);
            // 
            // barSave
            // 
            this.barSave.CategoryIndex = 3;
            this.barSave.ID = "Save";
            this.barSave.ImageIndex = 0;
            this.barSave.ImageList = this.imageList1;
            this.barSave.Text = "Save";
            this.barSave.Click += new System.EventHandler(this.barSave_Click);
            // 
            // barRefersh
            // 
            this.barRefersh.CategoryIndex = 3;
            this.barRefersh.ID = "Refresh";
            this.barRefersh.ImageIndex = 2;
            this.barRefersh.ImageList = this.imageList1;
            this.barRefersh.Text = "Refresh";
            this.barRefersh.Click += new System.EventHandler(this.barRefersh_Click);
            // 
            // barStandardToolbar
            // 
            this.barStandardToolbar.CategoryIndex = 5;
            this.barStandardToolbar.Enabled = false;
            this.barStandardToolbar.ID = "Standard Toolbar";
            this.barStandardToolbar.ImageIndex = 68;
            this.barStandardToolbar.ImageList = this.smallImageList;
            this.barStandardToolbar.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.barSave,
            this.barRefersh,
            this.barExport,
            this.barClearFilter,
            this.barDelete,
            this.barClearSort,
            this.barReport,
            this.barSelectionPaste});
            this.barStandardToolbar.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.barStandardToolbar.Text = "Standard Toolbar";
            // 
            // barExport
            // 
            this.barExport.CategoryIndex = 3;
            this.barExport.ID = "Export";
            this.barExport.ImageIndex = 6;
            this.barExport.ImageList = this.imageList1;
            this.barExport.Text = "Export";
            this.barExport.Click += new System.EventHandler(this.barExport_Click);
            // 
            // barClearFilter
            // 
            this.barClearFilter.CategoryIndex = 3;
            this.barClearFilter.ID = "Clear Filter";
            this.barClearFilter.ImageIndex = 7;
            this.barClearFilter.ImageList = this.imageList1;
            this.barClearFilter.Text = "Clear Filter";
            this.barClearFilter.Click += new System.EventHandler(this.barClearFilter_Click);
            // 
            // barDelete
            // 
            this.barDelete.CategoryIndex = 3;
            this.barDelete.ID = "Delete";
            this.barDelete.ImageIndex = 4;
            this.barDelete.ImageList = this.imageList1;
            this.barDelete.Text = "Delete";
            // 
            // barSelectionPaste
            // 
            this.barSelectionPaste.CategoryIndex = 3;
            this.barSelectionPaste.ID = "Selection Paste";
            this.barSelectionPaste.ImageIndex = 3;
            this.barSelectionPaste.ImageList = this.imageList1;
            this.barSelectionPaste.Text = "Selection Paste";
            this.barSelectionPaste.Click += new System.EventHandler(this.barSelectionPaste_Click);
            // 
            // barRefresh
            // 
            this.barRefresh.CategoryIndex = 3;
            this.barRefresh.ID = "Copy";
            this.barRefresh.ImageIndex = 8;
            this.barRefresh.ImageList = this.imageList1;
            this.barRefresh.Text = "Copy";
            // 
            // barPaste
            // 
            this.barPaste.CategoryIndex = 3;
            this.barPaste.ID = "Paste";
            this.barPaste.ImageIndex = 3;
            this.barPaste.ImageList = this.imageList1;
            this.barPaste.Text = "Paste";
            // 
            // barItemQueryList
            // 
            this.barItemQueryList.CategoryIndex = 9;
            this.barItemQueryList.ID = "Screen List";
            this.barItemQueryList.ImageIndex = 75;
            this.barItemQueryList.ImageList = this.smallImageList;
            this.barItemQueryList.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItemQueryList.Tag = "1101";
            this.barItemQueryList.Text = "Screen List";
            // 
            // parentBarItem6
            // 
            this.parentBarItem6.CategoryIndex = 2;
            this.parentBarItem6.ID = "Graphical Representations";
            this.parentBarItem6.ImageIndex = 19;
            this.parentBarItem6.ImageList = this.smallImageList;
            this.parentBarItem6.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.parentBarItem6.Tag = "28";
            // 
            // barItem7
            // 
            this.barItem7.CategoryIndex = 2;
            this.barItem7.ID = "Test";
            this.barItem7.Text = "Test";
            // 
            // barItem5
            // 
            this.barItem5.CategoryIndex = -1;
            this.barItem5.ID = "_1";
            // 
            // barItem10
            // 
            this.barItem10.CategoryIndex = -1;
            this.barItem10.ID = "_2";
            // 
            // lblDBPath
            // 
            this.lblDBPath.CategoryIndex = -1;
            this.lblDBPath.ID = "lblDBPath";
            this.lblDBPath.Text = "Database Path";
            // 
            // barProgress
            // 
            this.barProgress.CategoryIndex = -1;
            this.barProgress.ID = "barProgress";
            // 
            // barItem11
            // 
            this.barItem11.CategoryIndex = -1;
            this.barItem11.ID = "_3";
            // 
            // parentBarItemQuery
            // 
            this.parentBarItemQuery.CategoryIndex = 9;
            this.parentBarItemQuery.ID = "test3";
            this.parentBarItemQuery.ImageIndex = 76;
            this.parentBarItemQuery.ImageList = this.smallImageList;
            this.parentBarItemQuery.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.parentBarItemQuery.Tag = "1102";
            this.parentBarItemQuery.Text = "Active Screen List";
            // 
            // barItemGroupedPlantAttribView
            // 
            this.barItemGroupedPlantAttribView.CategoryIndex = 2;
            this.barItemGroupedPlantAttribView.ID = "Plant Item Attributes (Grouped)_1";
            this.barItemGroupedPlantAttribView.ImageIndex = 12;
            this.barItemGroupedPlantAttribView.ImageList = this.smallImageList;
            this.barItemGroupedPlantAttribView.Tag = "300";
            this.barItemGroupedPlantAttribView.Click += new System.EventHandler(this.barItemGroupedPlantAttribView_Click);
            // 
            // barFunctionalTest
            // 
            this.barFunctionalTest.CategoryIndex = 6;
            this.barFunctionalTest.ID = "barFunctionalTesting";
            this.barFunctionalTest.Shortcut = System.Windows.Forms.Shortcut.CtrlShiftF;
            this.barFunctionalTest.Tag = "5001";
            this.barFunctionalTest.Click += new System.EventHandler(this.barFunctionalTest_Click);
            // 
            // barItem14
            // 
            this.barItem14.CategoryIndex = -1;
            this.barItem14.ID = "Back";
            this.barItem14.ImageIndex = 56;
            this.barItem14.ImageList = this.smallImageList;
            this.barItem14.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem14.Text = "Back";
            this.barItem14.Click += new System.EventHandler(this.barItem14_Click);
            // 
            // barItem15
            // 
            this.barItem15.CategoryIndex = -1;
            this.barItem15.ID = "Forward";
            this.barItem15.ImageIndex = 57;
            this.barItem15.ImageList = this.smallImageList;
            this.barItem15.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.barItem15.Text = "Forward";
            this.barItem15.Click += new System.EventHandler(this.barItem15_Click);
            // 
            // barItem_ImportToExcel
            // 
            this.barItem_ImportToExcel.CategoryIndex = -1;
            this.barItem_ImportToExcel.ID = "";
            // 
            // tlbSave
            // 
            this.tlbSave.CategoryIndex = -1;
            this.tlbSave.Enabled = false;
            this.tlbSave.ID = "Save";
            this.tlbSave.ImageIndex = 14;
            this.tlbSave.ImageList = this.imageList3;
            this.tlbSave.Tag = "SID_SAVE";
            this.tlbSave.Click += new System.EventHandler(this.tlbSave_Click);
            // 
            // tlbRefresh
            // 
            this.tlbRefresh.CategoryIndex = -1;
            this.tlbRefresh.Enabled = false;
            this.tlbRefresh.ID = "Refresh";
            this.tlbRefresh.ImageIndex = 2;
            this.tlbRefresh.ImageList = this.imageList1;
            this.tlbRefresh.Tag = "SID_REFRESH";
            this.tlbRefresh.Click += new System.EventHandler(this.tlbRefresh_Click);
            // 
            // xpToolBar2
            // 
            this.xpToolBar2.Dock = System.Windows.Forms.DockStyle.Top;
            this.xpToolBar2.Items.AddRange(new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem[] {
            this.tlbSave,
            this.tlbDelete,
            this.tlbRemoveFilter,
            this.tlbClearSort,
            this.tlbRefresh,
            this.tlbExport,
            this.tlbPasteSelection,
            this.tblRun,
            this.tblStop,
            this.tlbSaveRun,
            this.tlbOpenCase,
            this.tlbClearCase,
            this.tlbPageSetUp,
            this.tlbPrintPreview,
            this.tlbPrint,
            this.tlbChangeUOMSetDefinition,
            this.tlbToggleRecording,
            this.tlbToggleTrending,
            this.tlbUndo,
            this.tlbPublishToWeb});
            this.xpToolBar2.Location = new System.Drawing.Point(0, 26);
            this.xpToolBar2.Name = "xpToolBar2";
            this.xpToolBar2.Size = new System.Drawing.Size(1028, 25);
            this.xpToolBar2.Style = Syncfusion.Windows.Forms.VisualStyle.Office2003;
            this.xpToolBar2.TabIndex = 9;
            this.xpToolBar2.Text = "xpToolBar2";
            this.xpToolBar2.ThemesEnabled = true;
            // 
            // tlbDelete
            // 
            this.tlbDelete.CategoryIndex = -1;
            this.tlbDelete.Enabled = false;
            this.tlbDelete.ID = "Delete";
            this.tlbDelete.ImageIndex = 18;
            this.tlbDelete.ImageList = this.imageList3;
            this.tlbDelete.Tag = "SID_DEL";
            this.tlbDelete.Click += new System.EventHandler(this.tlbDelete_Click);
            // 
            // tlbRemoveFilter
            // 
            this.tlbRemoveFilter.CategoryIndex = -1;
            this.tlbRemoveFilter.Enabled = false;
            this.tlbRemoveFilter.ID = "Clear Filter";
            this.tlbRemoveFilter.ImageIndex = 23;
            this.tlbRemoveFilter.ImageList = this.imageList3;
            this.tlbRemoveFilter.Tag = "SID_CLEAR_FILTER";
            this.tlbRemoveFilter.Click += new System.EventHandler(this.tlbRemoveFilter_Click);
            // 
            // tlbClearSort
            // 
            this.tlbClearSort.CategoryIndex = -1;
            this.tlbClearSort.Enabled = false;
            this.tlbClearSort.ID = "Clear Sort";
            this.tlbClearSort.ImageIndex = 102;
            this.tlbClearSort.ImageList = this.smallImageList;
            this.tlbClearSort.Tag = "SID_CLEAR_SORT";
            this.tlbClearSort.Click += new System.EventHandler(this.tlbClearSort_Click);
            // 
            // tlbExport
            // 
            this.tlbExport.CategoryIndex = -1;
            this.tlbExport.Enabled = false;
            this.tlbExport.ID = "Export";
            this.tlbExport.ImageIndex = 6;
            this.tlbExport.ImageList = this.imageList1;
            this.tlbExport.Tag = "SID_EXPORT";
            this.tlbExport.Click += new System.EventHandler(this.tlbExport_Click);
            // 
            // tlbPasteSelection
            // 
            this.tlbPasteSelection.CategoryIndex = -1;
            this.tlbPasteSelection.Enabled = false;
            this.tlbPasteSelection.ID = "Selection Paste";
            this.tlbPasteSelection.ImageIndex = 10;
            this.tlbPasteSelection.ImageList = this.imageList3;
            this.tlbPasteSelection.Tag = "SID_SEL_PASTE";
            this.tlbPasteSelection.Click += new System.EventHandler(this.tlbPasteSelection_Click);
            // 
            // tblRun
            // 
            this.tblRun.CategoryIndex = -1;
            this.tblRun.ID = "Run";
            this.tblRun.ImageIndex = 57;
            this.tblRun.ImageList = this.smallImageList;
            this.tblRun.Tag = "2004";
            this.tblRun.Click += new System.EventHandler(this.mnuRun_Click);
            this.tblRun.ContainmentChanged += new Syncfusion.Windows.Forms.Tools.XPMenus.ContainmentChangedEventHandler(this.tblRun_ContainmentChanged);
            // 
            // tblStop
            // 
            this.tblStop.CategoryIndex = -1;
            this.tblStop.Enabled = false;
            this.tblStop.ID = "STOP";
            this.tblStop.ImageIndex = 15;
            this.tblStop.ImageList = this.imageList3;
            this.tblStop.Tag = "2005";
            this.tblStop.Click += new System.EventHandler(this.tblStop_Click);
            // 
            // tlbSaveRun
            // 
            this.tlbSaveRun.CategoryIndex = -1;
            this.tlbSaveRun.ID = "Save Case";
            this.tlbSaveRun.ImageIndex = 40;
            this.tlbSaveRun.ImageList = this.imageList3;
            this.tlbSaveRun.Tag = "SID_SAVED_CASE";
            this.tlbSaveRun.Click += new System.EventHandler(this.tlbSaveRun_Click);
            // 
            // tlbOpenCase
            // 
            this.tlbOpenCase.CategoryIndex = -1;
            this.tlbOpenCase.ID = "Open Case";
            this.tlbOpenCase.ImageIndex = 24;
            this.tlbOpenCase.ImageList = this.imageList3;
            this.tlbOpenCase.Tag = "SID_OPEN_CASE";
            this.tlbOpenCase.Click += new System.EventHandler(this.tlbOpenCase_Click);
            // 
            // tlbClearCase
            // 
            this.tlbClearCase.CategoryIndex = -1;
            this.tlbClearCase.ID = "Clear Case";
            this.tlbClearCase.ImageIndex = 26;
            this.tlbClearCase.ImageList = this.imageList3;
            this.tlbClearCase.Tag = "SID_CLEAR_CASE";
            this.tlbClearCase.Click += new System.EventHandler(this.tlbClearCase_Click);
            // 
            // tlbPageSetUp
            // 
            this.tlbPageSetUp.CategoryIndex = -1;
            this.tlbPageSetUp.Enabled = false;
            this.tlbPageSetUp.ID = "&PageSetUp";
            this.tlbPageSetUp.ImageIndex = 99;
            this.tlbPageSetUp.ImageList = this.smallImageList;
            this.tlbPageSetUp.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbPageSetUp.Click += new System.EventHandler(this.barItemPageSetup_Click);
            // 
            // tlbPrintPreview
            // 
            this.tlbPrintPreview.CategoryIndex = -1;
            this.tlbPrintPreview.Enabled = false;
            this.tlbPrintPreview.ID = "&PrintPreview";
            this.tlbPrintPreview.ImageIndex = 11;
            this.tlbPrintPreview.ImageList = this.imageList3;
            this.tlbPrintPreview.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbPrintPreview.Click += new System.EventHandler(this.tlbPrintPreview_Click);
            // 
            // tlbPrint
            // 
            this.tlbPrint.CategoryIndex = -1;
            this.tlbPrint.Enabled = false;
            this.tlbPrint.ID = "&Print";
            this.tlbPrint.ImageIndex = 20;
            this.tlbPrint.ImageList = this.imageList3;
            this.tlbPrint.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbPrint.Click += new System.EventHandler(this.tlbPrint_Click);
            // 
            // tlbChangeUOMSetDefinition
            // 
            this.tlbChangeUOMSetDefinition.CategoryIndex = -1;
            this.tlbChangeUOMSetDefinition.Enabled = false;
            this.tlbChangeUOMSetDefinition.ID = "SID_UOMSETDEFN";
            this.tlbChangeUOMSetDefinition.ImageIndex = 64;
            this.tlbChangeUOMSetDefinition.ImageList = this.imageList3;
            this.tlbChangeUOMSetDefinition.Tag = "SID_UOMSETDEFN";
            this.tlbChangeUOMSetDefinition.Click += new System.EventHandler(this.tlbChangeUOMSetDefinition_Click);
            // 
            // tlbToggleRecording
            // 
            this.tlbToggleRecording.CategoryIndex = -1;
            this.tlbToggleRecording.ID = "Toggle Recorded Properties";
            this.tlbToggleRecording.ImageIndex = 28;
            this.tlbToggleRecording.ImageList = this.imageList3;
            this.tlbToggleRecording.Tag = "SID_TOGGLE_RECORDING";
            this.tlbToggleRecording.Click += new System.EventHandler(this.tlbToggleRecording_Click);
            // 
            // tlbToggleTrending
            // 
            this.tlbToggleTrending.CategoryIndex = -1;
            this.tlbToggleTrending.ID = "Toggle Trending";
            this.tlbToggleTrending.ImageIndex = 2;
            this.tlbToggleTrending.ImageList = this.imageList3;
            this.tlbToggleTrending.Tag = "SID_TOGGLE_TRENDING";
            this.tlbToggleTrending.Click += new System.EventHandler(this.tlbToggleTrending_Click);
            // 
            // tlbUndo
            // 
            this.tlbUndo.CategoryIndex = -1;
            this.tlbUndo.Enabled = false;
            this.tlbUndo.ID = "Undo";
            this.tlbUndo.ImageIndex = 0;
            this.tlbUndo.ImageList = this.imageList3;
            this.tlbUndo.Tag = "SID_UNDO";
            this.tlbUndo.Click += new System.EventHandler(this.tlbUndo_Click);
            // 
            // tlbPublishToWeb
            // 
            this.tlbPublishToWeb.CategoryIndex = -1;
            this.tlbPublishToWeb.ID = "WebPublish";
            this.tlbPublishToWeb.ImageIndex = 34;
            this.tlbPublishToWeb.ImageList = this.imageList3;
            this.tlbPublishToWeb.Tag = "SID_WEB_PUBLISH";
            this.tlbPublishToWeb.Click += new System.EventHandler(this.tlbPublishToWeb_Click);
            // 
            // tlbAlerts
            // 
            this.tlbAlerts.CategoryIndex = -1;
            this.tlbAlerts.ID = "";
            // 
            // tlbRun
            // 
            this.tlbRun.CategoryIndex = -1;
            this.tlbRun.ID = "Run";
            this.tlbRun.ImageIndex = 31;
            this.tlbRun.ImageList = this.smallImageList;
            this.tlbRun.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbRun.Text = "Run";
            this.tlbRun.Click += new System.EventHandler(this.mnuRun_Click);
            // 
            // tlbLeft
            // 
            this.tlbLeft.CategoryIndex = -1;
            this.tlbLeft.ID = "Left";
            this.tlbLeft.ImageIndex = 52;
            this.tlbLeft.ImageList = this.smallImageList;
            this.tlbLeft.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbLeft.Click += new System.EventHandler(this.tlbLeft_Click);
            // 
            // tlbRight
            // 
            this.tlbRight.CategoryIndex = -1;
            this.tlbRight.ID = "Right";
            this.tlbRight.ImageIndex = 53;
            this.tlbRight.ImageList = this.smallImageList;
            this.tlbRight.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbRight.Click += new System.EventHandler(this.tlbRight_Click);
            // 
            // tlbUp
            // 
            this.tlbUp.CategoryIndex = -1;
            this.tlbUp.ID = "Up";
            this.tlbUp.ImageIndex = 54;
            this.tlbUp.ImageList = this.smallImageList;
            this.tlbUp.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbUp.Click += new System.EventHandler(this.tlbUp_Click);
            // 
            // tlbDown
            // 
            this.tlbDown.CategoryIndex = -1;
            this.tlbDown.ID = "Down";
            this.tlbDown.ImageIndex = 55;
            this.tlbDown.ImageList = this.smallImageList;
            this.tlbDown.PaintStyle = Syncfusion.Windows.Forms.Tools.XPMenus.PaintStyle.ImageAndText;
            this.tlbDown.Click += new System.EventHandler(this.tlbDown_Click);
            // 
            // barItemRun
            // 
            this.barItemRun.CategoryIndex = -1;
            this.barItemRun.ID = "Run";
            this.barItemRun.Text = "Run";
            // 
            // barItemRunEnteredWnd
            // 
            this.barItemRunEnteredWnd.CategoryIndex = -1;
            this.barItemRunEnteredWnd.ID = "Run[Entered Window]";
            this.barItemRunEnteredWnd.Text = "Run[Entered Window]";
            // 
            // barItemRunNextStep
            // 
            this.barItemRunNextStep.CategoryIndex = -1;
            this.barItemRunNextStep.ID = "Run[Next Step]";
            this.barItemRunNextStep.Text = "Run[Next Step]";
            // 
            // barItemRunAdvanced
            // 
            this.barItemRunAdvanced.CategoryIndex = -1;
            this.barItemRunAdvanced.ID = "Run[Advanced to Now]";
            this.barItemRunAdvanced.Text = "Run[Advanced to Now]";
            // 
            // tabMDIChildControls
            // 
            this.tabMDIChildControls.Alignment = System.Windows.Forms.TabAlignment.Bottom;
            this.tabMDIChildControls.Dock = System.Windows.Forms.DockStyle.Bottom;
            this.tabMDIChildControls.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.tabMDIChildControls.ItemSize = new System.Drawing.Size(0, 18);
            this.tabMDIChildControls.Location = new System.Drawing.Point(0, 636);
            this.tabMDIChildControls.Name = "tabMDIChildControls";
            this.tabMDIChildControls.SelectedIndex = 0;
            this.tabMDIChildControls.Size = new System.Drawing.Size(1028, 20);
            this.tabMDIChildControls.TabIndex = 23;
            this.tabMDIChildControls.MouseDown += new System.Windows.Forms.MouseEventHandler(this.tabMDIChildControls_MouseDown);
            // 
            // statusBarPE
            // 
            this.statusBarPE.ActivityDownColor = System.Drawing.Color.Red;
            this.statusBarPE.ActivityInProgressColor = System.Drawing.Color.Lime;
            this.statusBarPE.ActivityUpColor = System.Drawing.Color.Green;
            this.statusBarPE.ApplicationMsgText = "";
            this.statusBarPE.ApplicationMsgTextColor = System.Drawing.Color.Empty;
            this.statusBarPE.ApplicationMsgTextFont = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.statusBarPE.DateFormat = null;
            this.statusBarPE.DBName = null;
            this.statusBarPE.DBPath = null;
            this.statusBarPE.DBType = null;
            this.statusBarPE.LinkDownColor = System.Drawing.Color.Red;
            this.statusBarPE.LinkUpColor = System.Drawing.Color.Green;
            this.statusBarPE.Location = new System.Drawing.Point(0, 656);
            this.statusBarPE.Name = "statusBarPE";
            this.statusBarPE.ShowPanels = true;
            this.statusBarPE.Size = new System.Drawing.Size(1028, 22);
            this.statusBarPE.TabIndex = 26;
            this.statusBarPE.TabStop = true;
            this.statusBarPE.TimeFormat = null;
            this.statusBarPE.UserName = null;
            // 
            // barItem20
            // 
            this.barItem20.CategoryIndex = 13;
            this.barItem20.ID = "OpenQuery";
            this.barItem20.Text = "OpenQuery";
            // 
            // contextMenu1
            // 
            this.contextMenu1.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
            this.menuItemRestore,
            this.menuItemMinimize,
            this.menuItemMaximize,
            this.menuItem4,
            this.menuItemClose});
            // 
            // menuItemRestore
            // 
            this.menuItemRestore.Index = 0;
            this.menuItemRestore.OwnerDraw = true;
            this.menuItemRestore.Text = "Restore";
            this.menuItemRestore.DrawItem += new System.Windows.Forms.DrawItemEventHandler(this.DrawMenuItemRestore);
            this.menuItemRestore.Click += new System.EventHandler(this.menuItemRestore_Click);
            this.menuItemRestore.MeasureItem += new System.Windows.Forms.MeasureItemEventHandler(this.MeasureItemMenuItemRestore);
            // 
            // menuItemMinimize
            // 
            this.menuItemMinimize.Index = 1;
            this.menuItemMinimize.OwnerDraw = true;
            this.menuItemMinimize.Text = "Minimize";
            this.menuItemMinimize.DrawItem += new System.Windows.Forms.DrawItemEventHandler(this.DrawMenuItemMinimize);
            this.menuItemMinimize.Click += new System.EventHandler(this.menuItemMinimize_Click);
            this.menuItemMinimize.MeasureItem += new System.Windows.Forms.MeasureItemEventHandler(this.MeasureItemMenuItemMinimize);
            // 
            // menuItemMaximize
            // 
            this.menuItemMaximize.Index = 2;
            this.menuItemMaximize.OwnerDraw = true;
            this.menuItemMaximize.Text = "Maximize";
            this.menuItemMaximize.DrawItem += new System.Windows.Forms.DrawItemEventHandler(this.DrawMenuItemMaximize);
            this.menuItemMaximize.Click += new System.EventHandler(this.menuItemMaximize_Click);
            this.menuItemMaximize.MeasureItem += new System.Windows.Forms.MeasureItemEventHandler(this.MeasureItemMenuItemMaximize);
            // 
            // menuItem4
            // 
            this.menuItem4.Index = 3;
            this.menuItem4.Text = "-";
            // 
            // menuItemClose
            // 
            this.menuItemClose.Index = 4;
            this.menuItemClose.OwnerDraw = true;
            this.menuItemClose.Text = "Close";
            this.menuItemClose.DrawItem += new System.Windows.Forms.DrawItemEventHandler(this.DrawMenuItemClose);
            this.menuItemClose.Click += new System.EventHandler(this.menuItemClose_Click);
            this.menuItemClose.MeasureItem += new System.Windows.Forms.MeasureItemEventHandler(this.MeasureItemMenuItemClose);
            // 
            // PEMainWindow
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.BackColor = System.Drawing.SystemColors.InactiveCaptionText;
            this.ClientSize = new System.Drawing.Size(1028, 678);
            this.Controls.Add(this.tabMDIChildControls);
            this.Controls.Add(this.xpToolBar2);
            this.Controls.Add(this.statusBarPE);
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.IsMdiContainer = true;
            this.Name = "PEMainWindow";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Tag = "SID_PEADVISOR";
            this.WindowState = System.Windows.Forms.FormWindowState.Maximized;
            this.Load += new System.EventHandler(this.PEMainWindow_Load);
            this.MdiChildActivate += new System.EventHandler(this.PEMainWindow_MdiChildActivate);
            this.Closing += new System.ComponentModel.CancelEventHandler(this.MainFrame_Closing);
            ((System.ComponentModel.ISupportInitialize)(this.mainFrameBarManager1)).EndInit();
            this.ResumeLayout(false);

		}
        
		void barItem23_Click(object sender, EventArgs e)
		{
			if (_deviationAlertWindow == null)
				_deviationAlertWindow = new DeviationsAlertWindow();
			_deviationAlertWindow.Show();
		}


		void mnuCreateSiteOverviewUpdate_Click(object sender, EventArgs e)
		{
            
			UpdateGraphics ug = new UpdateGraphics();
            ug.ShowDialog();
            
            /*
            //System.Diagnostics.Process.Start("Calc");
			ug.ShowDialog();
            */
            /*
            RecordedRunSetManager runsetManager = new RecordedRunSetManager();
            runsetManager.ShowDialog();
             * */
            /*
            HistorianPointOverrides frmHistOverrides = new HistorianPointOverrides();
            frmHistOverrides.Show();
             * */
            //Reports.ReportConfiguration frmrepConfig = new Symcon.LightRidge.PEAdvisor.Reports.ReportConfiguration();
            //frmrepConfig.ShowDialog();
            //frmrepConfig.Show();
		}

		#endregion

		void tlbPublishToWeb_Click(object sender, EventArgs e)
		{
			PublishToWeb(this.tlbPublishToWeb.Checked);
			_lrrOptions.PublishWeb = this.tlbPublishToWeb.Checked;
		}

		public void PublishToWeb(bool isChecked)
		{
            // below code commented by ashwin
            /*
			LRRWebPublisherUsers webPublishers = new LRRWebPublisherUsers();
			LRRWebPublisherUsers toDelwebPublishers = new LRRWebPublisherUsers();
			lrrApp.DBManagerObj.PopulateCollection(webPublishers, false);
			if (isChecked)
			{
				foreach (LRRWebPublisherUser webPublisher in webPublishers)
				{
					if (webPublisher.PublisherUID == lrrApp.DBManagerObj.AccessControlLayer.Model.UserID)
					{
						toDelwebPublishers.Add(webPublisher);
						LRRWebPublisherUser DeletedwebPublisUser = toDelwebPublishers[0] as LRRWebPublisherUser;
						webPublishers.Remove(DeletedwebPublisUser);
						this.tlbPublishToWeb.Checked = false;
						break;
					}
				}
			}
			else
			{
				LRRWebPublisherUser webPublisUser = new LRRWebPublisherUser();
				webPublisUser.PublisherName = lrrApp.DBManagerObj.AccessControlLayer.Model.UserName;
				webPublisUser.PublisherUID = lrrApp.DBManagerObj.AccessControlLayer.Model.UserID;
				webPublisUser.ModeID = "";
				webPublisUser.IPAddress = System.Environment.MachineName;
				webPublishers.Add(webPublisUser);
				this.tlbPublishToWeb.Checked = true;
			}
			lrrApp.DBManagerObj.CommitCollection(webPublishers.GetChanges());
			webPublishers.RefreshCollection();
             * */
            
            if (isChecked)
            {
                this.tlbPublishToWeb.Checked = false;
            }
            else
            {
                this.tlbPublishToWeb.Checked = true;
            }
		}

		void barReport_Click(object sender, EventArgs e)
		{ 	
			object[] args = new object[1];
			args[0] = 640;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		void barItemUserHistWriteMapping_Click(object sender, EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 530;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		void barItemUserHistData_Click(object sender, EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 520;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		void barItemPlantLevelRollUpValues_Click(object sender, EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 630;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}


		void barItemTrendedProps_Click(object sender, EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowTrendedPropsDialog();
		}


		#region Fields

		private LRRApp lrrApp;
		private LRROptions _lrrOptions;
        private Symcon.LightRidge.PEAdvisor.SubscriberUpdater _subs = new SubscriberUpdater();
		private TimeWindow timeWndDlg;
		private RunControlPanelDialog runDlg;
		private ScreenListView _screenListView;
		private DeviationsAlertWindow _deviationAlertWindow = null;
		#endregion

		#region Event Handlers
		private void MainFrame_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			//			TerminateSession();
			if (this.MdiChildren.Length == 0)
				e.Cancel = false;

			if (e.Cancel == false)
			{
                if (lrrApp.RunNumber != 0)
                {
                    if (lrrApp._runController.PreviousRunTrending == true || lrrApp._runController.PreviousRunRecording == true)
                    {
                        if (lrrApp._runController.SaveTrendingAndRecording == false)
                        {
                            LRRWaitWindowUtility.ShowPogressIndicator("Saving Values To Trending DB");
                            while (lrrApp._runController.SaveTrendingAndRecording == false)
                            {
                                System.Threading.Thread.Sleep(5000);
                            }
                            LRRWaitWindowUtility.EndProgressIndicator();
                        }
                    }
                    if (!lrrApp._runController.TrendDeadLock)
                    {
                        Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended /recorded property values to recording database done for previous run ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                    }
                    else
                    {
                        Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended / recorded property values to recording database not done for previous run because of deadlock ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                    }
                }

                _subs.Update = true;

                //Save the Property Values
                LRRSiteComponentPropertyValues toSaveSiteCompPropvalues = new LRRSiteComponentPropertyValues();
                //Clone Property Values

                IEnumerator iSiteCompPropValueEnum = LRRModel.PropertyValuesObj.GetChanges().GetEnumerator();
                while (iSiteCompPropValueEnum.MoveNext())
                {
                    LRRSiteComponentPropertyValue siteCompPropValue = iSiteCompPropValueEnum.Current as LRRSiteComponentPropertyValue;
                    toSaveSiteCompPropvalues.Add(siteCompPropValue);
                    _subs.ServerUpdateQue.Enqueue(siteCompPropValue);
                }

                LRRSiteGroupPropertyQualifierValues toSaveSiteGroupPropertyQualifierValues = new LRRSiteGroupPropertyQualifierValues();
                //Clone Qualifier Values

                IEnumerator iSiteCompQualValueEnum = LRRModel.SiteGroupPropertyQualifierValuesObj.GetChanges().GetEnumerator();
                while (iSiteCompQualValueEnum.MoveNext())
                {
                    LRRSiteGroupPropertyQualifierValue siteCompQualValue = iSiteCompQualValueEnum.Current as LRRSiteGroupPropertyQualifierValue;
                    toSaveSiteGroupPropertyQualifierValues.Add(siteCompQualValue);
                    _subs.ServerUpdateQue.Enqueue(siteCompQualValue);
                }

                LRRAggregatePropertyValues toSaveAggregatePropvalues = new LRRAggregatePropertyValues();
                //Clone Property Values

                IEnumerator iAggPropValueEnum = LRRModel.AggregatePropertyValuesObj.GetChanges().GetEnumerator();
                while (iAggPropValueEnum.MoveNext())
                {
                    LRRAggregatePropertyValue aggPropValue = iAggPropValueEnum.Current as LRRAggregatePropertyValue;
                    toSaveAggregatePropvalues.Add(aggPropValue);
                    _subs.ServerUpdateQue.Enqueue(aggPropValue);
                }

                LRRWaitWindowUtility.ShowPogressIndicator("System exiting  saving your environment and results if any..");
                bool savechangescall;
                if (toSaveSiteCompPropvalues.Count == 0 && toSaveSiteGroupPropertyQualifierValues.Count == 0 && toSaveAggregatePropvalues.Count == 0)
                {
                    savechangescall = false;
                }
                else
                {
                    savechangescall = true;
                }
                if (savechangescall)
                {
                    if (!(SaveChanges(toSaveSiteCompPropvalues, toSaveSiteGroupPropertyQualifierValues, toSaveAggregatePropvalues)))
                    {
                        Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh  - Saving values to master database completed ", Symcon.Utils.MessageLogger.Logger.Level.Debug);//added by santhosh                           
                    }
                    else
                    {
                        Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh  - Saving values to master database not completed due to deadlock exception ", Symcon.Utils.MessageLogger.Logger.Level.Debug);//added by santhosh                           
                    }
                }

				barItemFullScreen.Checked = false;
				SetFullScreenMode(false);
				this.Refresh();

				ApplicationPersistanceUtil.SaveAppSettings(lrrApp, this);
				lrrApp.Terminate();
				MessagingClient.Terminate();
				lrrApp.IsMainFrameClosingCalled = true;
                LRRWaitWindowUtility.EndProgressIndicator();
			}
		}

		private void mnuMasterComponents_Click(object sender, System.EventArgs e)
		{
			//if(!UIACLController.IsUIEntityAccessible("100"))
			//{
			//	MessageBox.Show("You donot have permissions to use this screen.\n Please contact your system administrator","PE-Advisor");
			//	return;
			//}
			//ID 100 for Master Component Screen
			//lrrApp.LRRUIManagerObj.ShowWindow(100);
			object[] args = new object[1];
			args[0] = 100;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void mnuMasterProperties_Click(object sender, System.EventArgs e)
		{
			//ID 120 for the Master Property Screen...
			//lrrApp.LRRUIManagerObj.ShowWindow(120);
			object[] args = new object[1];
			args[0] = 120;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void mnuSiteComponents_Click(object sender, System.EventArgs e)
		{
			//			this.Cursor = Cursors.WaitCursor;
			//			//ID 130 for the Site Component Screen...
			//			lrrApp.LRRUIManagerObj.ShowWindow(130);
			//			this.Cursor = Cursors.Default;
			object[] args = new object[1];
			args[0] = 130;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}


		#endregion

		#region Properties

		public DeviationsAlertWindow LRRDeviationsAlertWindow
		{
			get { return _deviationAlertWindow; }
			set { _deviationAlertWindow = value; }
		}

		public ScreenListView LRRScreenListView
		{
			get { return _screenListView; }
			set { _screenListView = value; }
		}

		public TabbedGroupedMDIManager TabbedGroupedMDIManagerObj
		{
			get { return tabbedGroupedMDIManager; }
		}

		public TabControl TabbedMDIChildList
		{
			get { return tabMDIChildControls; }
		}

		public BarItem BarItemLeftColMovement
		{
			get { return this.barItemLeftColMovement; }
		}

		public BarItem BarItemRightColMovement
		{
			get { return this.barItemRightColMovement; }
		}

		public ImageList SmallImageList
		{
			get { return this.smallImageList; }
		}

		public ImageList ImageList3
		{
			get { return this.imageList3; }
		}

		public Bar CompositeViewBarObj
		{
			get { return this.CompositeViewBar; }
		}

		#endregion

		/*private void mnuUnitView_Click(object sender, System.EventArgs e)
		{
			UnitView uv = new UnitView();
			tabbedGroupedMDIManager.TabbedGroups["Implementor"].AddForm(uv);
		}*/

        bool _savechangesdeadlock = false;
        bool _savechangesnondeadlockexception= false;
        bool SaveChangesException = false;
        /// <summary>
        /// This method saves the property Values at the time of logout , exit , close etc..
        /// </summary>
        /// <param name="lrrSiteComponentPropValues"></param>
        /// <param name="lrrSiteGroupPropertyQualifierValues"></param>
        private bool SaveChanges(LRRSiteComponentPropertyValues lrrSiteComponentPropValues, LRRSiteGroupPropertyQualifierValues lrrSiteGroupPropertyQualifierValues, LRRAggregatePropertyValues lrrAggregatePropertyValues)
        {
            _savechangesdeadlock = false;
            _savechangesnondeadlockexception = false;
            SaveChangesException = false;
            int trycount = 0;
            int trycount1 = 0;
            int maxcount = 3;
            bool scp;
            bool sgp;
            bool agp;

            try
            {
                Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh  - Saving values to master database started ", Symcon.Utils.MessageLogger.Logger.Level.Debug);//added by santhosh                           
                scp = false;
                sgp = false;
                agp = false;

                do
                {
                    try
                    {
                        if (lrrSiteComponentPropValues.Count == 0)
                        {
                            scp = true;
                        }
                        else
                        {
                            if (!scp)
                            {
                                lrrApp.DBManagerObj.CommitCollection(lrrSiteComponentPropValues);
                                scp = true;
                            }
                        }
                        if (lrrSiteGroupPropertyQualifierValues.Count == 0)
                        {
                            sgp = true;
                        }
                        else
                        {
                            if (!sgp)
                            {
                                lrrApp.DBManagerObj.CommitCollection(lrrSiteGroupPropertyQualifierValues);
                                sgp = true;
                            }
                        }
                        if (lrrAggregatePropertyValues.Count == 0)
                        {
                            agp = true;
                        }
                        else
                        {
                            if (!agp)
                            {
                                lrrApp.DBManagerObj.CommitCollection(lrrAggregatePropertyValues);
                                agp = true;
                            }
                        }

                        if (scp && sgp && agp)
                        {
                            break;
                        }
                    }

                    catch (System.Data.SqlClient.SqlException ex)
                    {
                        if (ex.Number == 1205)
                        {
                            trycount++;
                            Symcon.Utils.MessageLogger.Logger.LogMessage("Deadlock '" + trycount + "' appeared on saving values to master DB", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                            if (trycount == maxcount)
                            {
                                Symcon.Utils.MessageLogger.Logger.LogMessage("Save Changes to Master DB skipped due to deadlock", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                                _savechangesdeadlock = true;
                                break;
                            }
                            else
                            {
                                System.Threading.Thread.Sleep(10000);
                                continue;
                            }
                        }
                        else
                        {
                            trycount1++;
                            Symcon.Utils.MessageLogger.Logger.LogMessage("Exception other than deadlock occured on saving values to master DB", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                            if (trycount1 == maxcount)
                            {
                                Symcon.Utils.MessageLogger.Logger.LogMessage("Save Changes to Master DB skipped due to exception other than deadlock occured", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                                _savechangesnondeadlockexception = true;
                                break;
                            }
                            else
                            {
                                System.Threading.Thread.Sleep(10000);
                                continue;
                            }

                        }
                    }
                } while (trycount < maxcount);

                MessagingClient.CommitUpdates();

                lrrSiteComponentPropValues.ClearCache();
                lrrSiteComponentPropValues.Clear();
                lrrSiteComponentPropValues = null;
                lrrSiteGroupPropertyQualifierValues.ClearCache();
                lrrSiteGroupPropertyQualifierValues.Clear();
                lrrSiteGroupPropertyQualifierValues = null;
                lrrAggregatePropertyValues.ClearCache();
                lrrAggregatePropertyValues.Clear();
                lrrAggregatePropertyValues = null;

                //Refresh Collections
                LRRModel.PropertyValuesObj.RefreshCollection();
                LRRModel.SiteGroupPropertyQualifierValuesObj.RefreshCollection();
                LRRModel.AggregatePropertyValuesObj.RefreshCollection();
            }
            catch
            {

            }
            if (_savechangesdeadlock || _savechangesnondeadlockexception)
            {
                SaveChangesException = true;
            }
            else
            {
                SaveChangesException = false;
            }
            return SaveChangesException;
        }

		private void mnuAggregateView_Click(object sender, System.EventArgs e)
		{
			AggregateDetails ag = new AggregateDetails();
			tabbedGroupedMDIManager.TabbedGroups["Implementor"].AddForm(ag);
		}

		private void mnuDataHistorian_Click(object sender, System.EventArgs e)
		{

			/*OptionalInput dataHistorian = new OptionalInput();
			if(tabbedGroupedMDIManager.TabbedGroups["Implementor"] != null)
			{
				tabbedGroupedMDIManager.TabbedGroups["Implementor"].AddForm(dataHistorian);
			}
			else
			{
				tabbedGroupedMDIManager.TabbedGroups.Add(new TabbedGroup("Implementor"));
				tabbedGroupedMDIManager.TabbedGroups["Implementor"].AddForm(dataHistorian);
			}*/

			//ID 150 for Historian Mapping Screen..
			//lrrApp.LRRUIManagerObj.ShowWindow(150);
			object[] args = new object[1];
			args[0] = 150;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);




		}

		private void mnuRun_Click(object sender, System.EventArgs e)
		{
			//			lrrApp.RunOptionsObj = (Symcon.LightRidge.Runcontrol.RunOptions)SGTXmlSerializer.DeserializeXML(Application.StartupPath + @"\Runoptions.xml" , typeof(Symcon.LightRidge.Runcontrol.RunOptions));
			//			lrrApp.ActiveRunControlSet = lrrApp.RunOptionsObj.RunControlSetsObj[lrrApp.RunOptionsObj.SelectedRunControlIndex];

			ArrayList arrParams = new ArrayList();
			arrParams.Add(lrrApp.RunOptionsObj);
			arrParams.Add(timeWindow);
			lrrApp.LRRUIManagerObj.ShowWindow(310, arrParams);
		}

		private void mnuDataHistorianMapping_Click(object sender, System.EventArgs e)
		{
			//			this.Cursor = Cursors.WaitCursor;
			//			//ID 140 for Historian Mapping Screen..
			//			lrrApp.LRRUIManagerObj.ShowWindow(140);
			//			this.Cursor = Cursors.Default;
			object[] args = new object[1];
			args[0] = 140;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private bool _implementerPanAndZoom = false;
		private bool _operatorPanAndZoom = false;

		public enum Msgs
		{
			WM_SIZE = 0x0005
		}

		protected override void WndProc(ref Message m)
		{
			if (m.Msg == (int)Msgs.WM_SIZE)
			{
				try
				{
					if ((int)m.WParam == 1)
					{
						ImplementerScreen frm = lrrApp.LRRUIManagerObj.GetImplementerScreen();

						if (frm != null)
						{
							_implementerPanAndZoom = frm.GetPanAndZoomVisibility();
							frm.SetPanAndZoomVisibility(false);
						}
						OperatorsScreen _operaterScreen = lrrApp.LRRUIManagerObj.GetOperatorScreen();
						if (_operaterScreen != null)
						{
							_operatorPanAndZoom = _operaterScreen.GetPanAndZoomVisibility();
							_operaterScreen.SetPanAndZoomVisibility(false);

						}
					}
					if ((int)m.WParam == 2)
					{
						if (lrrApp != null)
						{
							ImplementerScreen frm = lrrApp.LRRUIManagerObj.GetImplementerScreen();
							if (frm != null)
							{
								if (_implementerPanAndZoom)
									frm.SetPanAndZoomVisibility(_implementerPanAndZoom);
							}
							OperatorsScreen _operaterScreen = lrrApp.LRRUIManagerObj.GetOperatorScreen();
							if (_operaterScreen != null)
							{
								if (_operatorPanAndZoom)
									_operaterScreen.SetPanAndZoomVisibility(_operatorPanAndZoom);

							}
						}
					}
				}
				catch
				{
				}
			}
			base.WndProc(ref m);
		}
		private void mnuCreateSiteOverview_Click(object sender, System.EventArgs e)
		{
			//Showing the Implementor screen...
			//lrrApp.LRRUIManagerObj.ShowWindow(160);
			object[] args = new object[1];
			args[0] = 160;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void PEMainWindow_MdiChildActivate(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				if (iUIContainer.SupportsMasterPropertiesCopy())
					barCopyMasterProperties.Enabled = true;
				else
					barCopyMasterProperties.Enabled = false;
				if (iUIContainer.SupportsInsertNewRows())
					barItem_InsertNewRows.Enabled = true;
				else
					barItem_InsertNewRows.Enabled = false;
				if (iUIContainer.SupportsImportToExcel())
					barImportExcel.Enabled = true;
				else
					barImportExcel.Enabled = false;
				if (iUIContainer.SupportsCopyUOMTypes())
					barCopyUOMTypes.Enabled = true;
				else
					barCopyUOMTypes.Enabled = false;
				if (iUIContainer.SupportsLevel())
				{
					barItemLevels.Enabled = true;
					this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barLevels, true);
				}
				else
				{
					barItemLevels.Enabled = false;
					this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barLevels, false);
				}

				//For Save
				if (iUIContainer.SupportsSave())
					tlbSave.Enabled = true;
				else
					tlbSave.Enabled = false;

				//For Refresh
				if (iUIContainer.SupportsRefresh())
					tlbRefresh.Enabled = true;
				else
					tlbRefresh.Enabled = false;

				//For Export
				if (iUIContainer.SupportsExport())
					tlbExport.Enabled = true;
				else
					tlbExport.Enabled = false;

				//For Remove Filter
				if (iUIContainer.SupportsClearFilter())
					tlbRemoveFilter.Enabled = true;
				else
					tlbRemoveFilter.Enabled = false;

				//For Clear Sort
				if (iUIContainer.SupportsClearSort())
					tlbClearSort.Enabled = true;
				else
					tlbClearSort.Enabled = false;

				//For Delete
				if (iUIContainer.SupportsDelete())
					tlbDelete.Enabled = true;
				else
					tlbDelete.Enabled = false;
				//For Undo
				if (iUIContainer.SupportsUndo())
					tlbUndo.Enabled = true;
				else
					tlbUndo.Enabled = false;

				//For Paste Selection
				if (iUIContainer.SupportsSelectionPaste())
					tlbPasteSelection.Enabled = true;
				else
					tlbPasteSelection.Enabled = false;
				if (iUIContainer.SupportsCopy())
					barItem2.Enabled = true;
				else
					barItem2.Enabled = false;
				if (iUIContainer.SupportsPaste())
					barItem3.Enabled = true;
				else
					barItem3.Enabled = false;
				if (iUIContainer.SupportsCopy())
					barItem1.Enabled = true;
				else
					barItem1.Enabled = false;

				//For Undo
				if (iUIContainer.SupportsUndo())
				{
					barItemUndo.Enabled = true;
				}
				else
				{
					barItemUndo.Enabled = false;
				}
				//For Page Setup
				if (iUIContainer.SupportsPageSetup())
				{
					barItemPageSetup.Enabled = true;
					tlbPageSetUp.Enabled = true;
				}
				else
				{
					barItemPageSetup.Enabled = false;
					tlbPageSetUp.Enabled = false;
				}

				//For Print
				if (iUIContainer.SupportsPrint())
				{
					tlbPrint.Enabled = true;
					tlbPrintPreview.Enabled = true;
					barItemPrint.Enabled = true;
					barItemPrintPreview.Enabled = true;
				}
				else
				{
					tlbPrint.Enabled = false;
					tlbPrintPreview.Enabled = false;
					barItemPrint.Enabled = false;
					barItemPrintPreview.Enabled = false;
				}


				//for bar CompositeView
				if (iUIContainer.SupportsCompositeView())
					this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.CompositeViewBar, true);
				else
					this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.CompositeViewBar, false);

				//Foe bar Results Filter
				if (iUIContainer.SupportsResultsFilter())
					this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barResultsFilter, true);
				else
					this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barResultsFilter, false);

			}
			else
			{
				barCopyMasterProperties.Enabled = false;
				barImportExcel.Enabled = false;
                barCalc.Enabled = true;
                barRunSetManager.Enabled = true;
				barItemLevels.Enabled = false;
				barItem_InsertNewRows.Enabled = false;
				barItem1.Enabled = false;
				barItem2.Enabled = false;
				barItem3.Enabled = false;
				barCopyUOMTypes.Enabled = false;
				barItemPrint.Enabled = false;
				barItemPrintPreview.Enabled = false;
				barItemPageSetup.Enabled = false;
				barItemUndo.Enabled = false;


				//Disable toolbar
				tlbSave.Enabled = false;
				tlbRefresh.Enabled = false;
				tlbExport.Enabled = false;
				tlbRemoveFilter.Enabled = false;
				tlbClearSort.Enabled = false;
				tlbDelete.Enabled = false;
				tlbPasteSelection.Enabled = false;
				tlbPrint.Enabled = false;
				tlbPrintPreview.Enabled = false;
				tlbPageSetUp.Enabled = false;
				tlbUndo.Enabled = false;

				//Make bar Levels Visible False
				this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barLevels, false);

				//Make bar Results Filter Visible False
				this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barResultsFilter, false);

				//for bar CompositeView
				this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.CompositeViewBar, false);
			}

			//UI Specific Container
			ILRRUISpecificContainer iUISpecificContainer = this.ActiveMdiChild as ILRRUISpecificContainer;
			if (iUISpecificContainer != null)
			{
				if (iUISpecificContainer.SupportsChangeUOMSet())
				{
					tlbChangeUOMSetDefinition.Enabled = true;
				}
				else
				{
					tlbChangeUOMSetDefinition.Enabled = false;
				}
			}
			else
			{
				tlbChangeUOMSetDefinition.Enabled = false;
			}

		}

		//Test the Reference
		private void barItem9_Click(object sender, System.EventArgs e)
		{
			/*TestReference test = new TestReference();
			test.MdiParent = this;
			test.Show();*/

			About frm = new About();
			frm.ShowDialog(this);

		}

		private void barComplexEquipment_Click(object sender, System.EventArgs e)
		{
			//lrrApp.LRRUIManagerObj.ShowWindow(220);
			object[] args = new object[1];
			args[0] = 220;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		//Show Connectors Screem
		private void barItem6_Click(object sender, System.EventArgs e)
		{
			//Showing the Implementor screen...
			//lrrApp.LRRUIManagerObj.ShowWindow(170);
			object[] args = new object[1];
			args[0] = 170;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void barLevel_Click(object sender, System.EventArgs e)
		{
			//Showing the Levels screen...
			//lrrApp.LRRUIManagerObj.ShowWindow(180);
			object[] args = new object[1];
			args[0] = 180;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void barItemGP_Click(object sender, System.EventArgs e)
		{
			//Showing the GP screen...
			object[] args = new object[1];
			args[0] = 350;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}
		private void barAggregates_Click(object sender, System.EventArgs e)
		{
			//Showing the Aggregates screen...
			object[] args = new object[1];
			args[0] = 190;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		//Show Filter Bar
		private void barFilter_Click(object sender, System.EventArgs e)
		{

			//Showing Filter Screen
			//lrrApp.LRRUIManagerObj.ShowWindow(200);
			object[] args = new object[1];
			args[0] = 200;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);


		}

		//Show Plant Items
		private void barPlantItems_Click(object sender, System.EventArgs e)
		{
			//Showing Plant Items
			//	lrrApp.LRRUIManagerObj.ShowWindow(210);
			object[] args = new object[1];
			args[0] = 210;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);


		}

		private void tlbSave_Click(object sender, System.EventArgs e)
		{
			//			this.Cursor = Cursors.WaitCursor;
			//			ILRRUIContainer iUIContainer =  this.ActiveMdiChild as ILRRUIContainer;
			//			if(iUIContainer != null)
			//                iUIContainer.Save();
			//			this.Cursor = Cursors.Default;
			//InputOutputViews input=new InputOutputViews();
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = null;
			//			if(this.ActiveControl.Name=="DockHost_InputOutputViews")// ||this.ActiveControl.Name="DockHost_TimeWindow"||this.ActiveControl.Name="RunControlPanelDialog")
			//			{
			//				iUIContainer= input;
			//				
			//			}
			//			else
			//			{
			iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			string frmName = ((System.Windows.Forms.Panel)(iUIContainer.ParentTabPage)).Text;
			//			}
			if (iUIContainer != null)
			{
				iUIContainer.Save();
				GridChangedRecordLists.GetInstance().Remove(frmName);
			}

			this.Cursor = Cursors.Default;



		}

		private void tlbRefresh_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			Form frm = this.ActiveMdiChild as Form;
			if (iUIContainer != null)
			{
				try
				{
					foreach (Control ctl in frm.Controls)
						ApplicationPersistanceUtil.SaveGridSettings(ctl, iUIContainer, frm.Tag);
					iUIContainer.Refresh();
					foreach (Control ctl in frm.Controls)
						ApplicationPersistanceUtil.ApplyGridSettings(ctl, iUIContainer, frm.Tag);
				}
				catch (Exception ex)
				{
					Logger.LogMessage(typeof(PEMainWindow), "tlbRefresh_Click:" + ex.Message, Logger.Level.Debug);

					this.Cursor = Cursors.Default;
				}
			}
			this.Cursor = Cursors.Default;
		}

		private void tlbRemoveFilter_Click(object sender, System.EventArgs e)
		{

			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				try
				{
					iUIContainer.ClearFilter();
				}
				catch (Exception ex)
				{
					Logger.LogMessage(typeof(PEMainWindow), "tlbRemoveFilter_Click :" + ex.Message, Logger.Level.Debug);

					this.Cursor = Cursors.Default;

				}
			}
			this.Cursor = Cursors.Default;
		}

		private void barCopyMasterProperties_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.CopyMasterProperties();
			}
		}


		private void barOptions_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowWindow(260);
		}
		private void barItem_InsertNewRows_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.InsertNewRows();
			}
		}

		private void barItem_ImportToExcel_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.ImportToExcel();
			}
		}
        private void barItem_Calculator_Click(object sender, System.EventArgs e)
        {
            System.Diagnostics.Process.Start("calc");
        }
        private void barItem_RunSetManager_Click(object sender, System.EventArgs e)
        {
            //System.Diagnostics.Process.Start("calc");
            RecordedRunSetManager runsetmngr = new RecordedRunSetManager();
            runsetmngr.ShowDialog();
        }

		private void tlbExport_Click(object sender, System.EventArgs e)
		{
			if (lrrApp.LRRUIManagerObj.IsTrendedPropsWindowActive && lrrApp.LRRUIManagerObj.IsRecordedPropsWindowActive)
			{
				DialogResult dlRecordedProps = LRRMessagBox.ShowMessage("SID_EXPORT_RECORDEDPROPS", "SID_LABLE", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question);
				if (dlRecordedProps == DialogResult.Yes)
				{
					ExportToExcel excelExpForm = new ExportToExcel(lrrApp.LRRUIManagerObj._recordedPropsWindow.gridRecordedValues);
					excelExpForm.ShowDialog(this);
				}
				else if (dlRecordedProps == DialogResult.No)
				{
					DialogResult dlTrendedPrps = LRRMessagBox.ShowMessage("SID_EXPORT_TRENDEDPROPS", "SID_LABLE", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question);
					if (dlTrendedPrps == DialogResult.Yes)
					{
						ExportToExcel excelExpForm = new ExportToExcel(lrrApp.LRRUIManagerObj._trendedPropsDialog.gridTrendedProperties);
						excelExpForm.ShowDialog(this);
					}
					else if (dlTrendedPrps == DialogResult.No)
					{
						ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
						if (iUIContainer != null)
						{
							iUIContainer.Export();
						}
					}
					else
					{
						return;
					}
				}
			}
			else if (lrrApp.LRRUIManagerObj.IsRecordedPropsWindowActive)
			{
				DialogResult dl = LRRMessagBox.ShowMessage("SID_EXPORT_RECORDEDPROPS", "SID_LABLE", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question);
				if (dl == DialogResult.Yes)
				{
					ExportToExcel excelExpForm = new ExportToExcel(lrrApp.LRRUIManagerObj._recordedPropsWindow.gridRecordedValues);
					excelExpForm.ShowDialog(this);
				}
				else if (dl == DialogResult.No)
				{
					ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
					if (iUIContainer != null)
					{
						iUIContainer.Export();
					}
				}
				else
				{
					return;
				}
			}
			else if (lrrApp.LRRUIManagerObj.IsTrendedPropsWindowActive)
			{
				DialogResult dl = LRRMessagBox.ShowMessage("SID_EXPORT_TRENDEDPROPS", "SID_LABLE", MessageBoxButtons.YesNoCancel, MessageBoxIcon.Question);
				if (dl == DialogResult.Yes)
				{
					ExportToExcel excelExpForm = new ExportToExcel(lrrApp.LRRUIManagerObj._trendedPropsDialog.gridTrendedProperties);
					excelExpForm.ShowDialog(this);
				}
				else if (dl == DialogResult.No)
				{
					ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
					if (iUIContainer != null)
					{
						iUIContainer.Export();
					}
				}
				else
				{
					return;
				}

			}
			else
			{
				ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
				if (iUIContainer != null)
				{
					iUIContainer.Export();
				}
			}
		}

		private void tlbPasteSelection_Click(object sender, System.EventArgs e)
		{

			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.SelectionPaste();
			}

		}

		private void label1_Click(object sender, System.EventArgs e)
		{

		}

		private void s(object sender, System.EventArgs e)
		{

		}

		private void barItem11_Click(object sender, System.EventArgs e)
		{
			ExecutionEngine ee = new ExecutionEngine();
			ee.MdiParent = this;
			ee.Show();
		}

		private void PEMainWindow_Load(object sender, System.EventArgs e)
		{
			//Added by Sandeep
			if (lrrApp.ResetMenus)
			{
				mainFrameBarManager1.LoadDesignerBarState();
			}


			ApplicationLoadedFirstTime = true;


			//			if(MessageBox.Show(this,"Data quality window might take some time to load. Do you want to view data quality window?","Data Quality Window",MessageBoxButtons.YesNo,MessageBoxIcon.Question) == DialogResult.Yes)
			//			{
			//InitializeGridWithData();
			//				panel1.Visible=true;
			//				panel1.Show();
			//			}
			//			else
			//			{
			//				panel1.Visible = false;
			//				panel1.Hide();
			//			}
			//SetPEStatusBar();
			this.TabbedMDIChildList.Visible = false;

			AddLogsMenuItems();
			ApplyAccessPermissions();
			AddChartMenuItems();
			AddMiscMenuItems();
			ApplicationPersistanceUtil.LoadAppSettings(lrrApp, this);
			Symcon.Utils.Alert.Messages.LRRAlert.Initialize(this);
			Symcom.Utils.HelpUtility.HelpUtils.ApplyHelpSettings(this);
			this.xpToolBar2.BackColor = System.Drawing.SystemColors.InactiveCaptionText;
			ApplicationLoadedFirstTime = false;
			LoadhelpSettings();
			this.tlbPublishToWeb.Checked = _lrrOptions.PublishWeb;
			if (_lrrOptions.PublishWeb)
			{
				PublishToWeb(false);
			}
			//_deviationAlertWindow.Owner = this;
			//_deviationAlertWindow.Show();
			//_deviationAlertWindow.Hide();
		}


		private void LoadhelpSettings()
		{
			string _helpConfig = System.Windows.Forms.Application.StartupPath + @"\config\HelpConfig.xml";
			System.Xml.Serialization.XmlSerializer _xmlDeSerializer = new System.Xml.Serialization.XmlSerializer(typeof(Symcom.Utils.HelpUtils.HelpSettings));
			TextReader _textXMLReader = new StreamReader(@_helpConfig);
			_helpsettings = (Symcom.Utils.HelpUtils.HelpSettings)_xmlDeSerializer.Deserialize(_textXMLReader);
			_textXMLReader.Close();

		}
		private void CreateWaterMark(string strBlankFilePath, string strFilePath, string strWaterMarkFile)
		{
			//define a string of text to use as the Copyright message
			string Copyright = "Copyright    2002-2006 Lightridge Resources Inc. All rights reserved";

			//create a image object containing the photograph to watermark
			Image imgPhoto = Image.FromFile(strFilePath);
			int phWidth = imgPhoto.Width;
			int phHeight = imgPhoto.Height;

			//create a Bitmap the Size of the original photograph
			Bitmap bmPhoto = new Bitmap(phWidth, phHeight, PixelFormat.Format24bppRgb);

			bmPhoto.SetResolution(imgPhoto.HorizontalResolution, imgPhoto.VerticalResolution);

			//load the Bitmap into a Graphics object 
			Graphics grPhoto = Graphics.FromImage(bmPhoto);

			//create a image object containing the watermark
			Image imgWatermark = new Bitmap(strBlankFilePath);
			int wmWidth = imgWatermark.Width;
			int wmHeight = imgWatermark.Height;

			//------------------------------------------------------------
			//Step #1 - Insert Copyright message
			//------------------------------------------------------------

			//Set the rendering quality for this Graphics object
			grPhoto.SmoothingMode = SmoothingMode.AntiAlias;

			//Draws the photo Image object at original size to the graphics object.
			grPhoto.DrawImage(
				imgPhoto,                               // Photo Image object
				new Rectangle(0, 0, phWidth, phHeight), // Rectangle structure
				0,                                      // x-coordinate of the portion of the source image to draw. 
				0,                                      // y-coordinate of the portion of the source image to draw. 
				phWidth,                                // Width of the portion of the source image to draw. 
				phHeight,                               // Height of the portion of the source image to draw. 
				GraphicsUnit.Pixel);                    // Units of measure 

			//-------------------------------------------------------
			//to maximize the size of the Copyright message we will 
			//test multiple Font sizes to determine the largest posible 
			//font we can use for the width of the Photograph
			//define an array of point sizes you would like to consider as possiblities
			//-------------------------------------------------------
			int[] sizes = new int[] { 16, 14, 12, 10, 8, 6, 4 };

			Font crFont = null;
			SizeF crSize = new SizeF();

			//Loop through the defined sizes checking the length of the Copyright string
			//If its length in pixles is less then the image width choose this Font size.
			for (int i = 0; i < 7; i++)
			{
				//set a Font object to Arial (i)pt, Bold
				crFont = new Font("arial", sizes[i], FontStyle.Bold);
				//Measure the Copyright string in this Font
				crSize = grPhoto.MeasureString(Copyright, crFont);

				if ((ushort)crSize.Width < (ushort)phWidth)
					break;
			}

			//Since all photographs will have varying heights, determine a 
			//position 5% from the bottom of the image
			int yPixlesFromBottom = (int)(phHeight * .05);

			//Now that we have a point size use the Copyrights string height 
			//to determine a y-coordinate to draw the string of the photograph
			float yPosFromBottom = ((phHeight - yPixlesFromBottom) - (crSize.Height / 2));

			//Determine its x-coordinate by calculating the center of the width of the image
			float xCenterOfImg = (phWidth / 2);

			//Define the text layout by setting the text alignment to centered
			StringFormat StrFormat = new StringFormat();
			StrFormat.Alignment = StringAlignment.Center;

			//define a Brush which is semi trasparent black (Alpha set to 153)
			SolidBrush semiTransBrush2 = new SolidBrush(Color.FromArgb(153, 0, 0, 0));

			//Draw the Copyright string
			//			grPhoto.DrawString(Copyright,                 //string of text
			//				crFont,                                   //font
			//				semiTransBrush2,                           //Brush
			//				new PointF(xCenterOfImg+1,yPosFromBottom+1),  //Position
			//				StrFormat);

			//define a Brush which is semi trasparent white (Alpha set to 153)
			SolidBrush semiTransBrush = new SolidBrush(Color.FromArgb(153, 255, 255, 255));

			//Draw the Copyright string a second time to create a shadow effect
			//Make sure to move this text 1 pixel to the right and down 1 pixel
			//			grPhoto.DrawString(Copyright,                 //string of text
			//				crFont,                                   //font
			//				semiTransBrush,                           //Brush
			//				new PointF(xCenterOfImg,yPosFromBottom),  //Position
			//				StrFormat);                               //Text alignment



			//------------------------------------------------------------
			//Step #2 - Insert Watermark image
			//------------------------------------------------------------

			//Create a Bitmap based on the previously modified photograph Bitmap
			Bitmap bmWatermark = new Bitmap(bmPhoto);
			bmWatermark.SetResolution(imgPhoto.HorizontalResolution, imgPhoto.VerticalResolution);
			//Load this Bitmap into a new Graphic Object
			Graphics grWatermark = Graphics.FromImage(bmWatermark);

			//To achieve a transulcent watermark we will apply (2) color 
			//manipulations by defineing a ImageAttributes object and 
			//seting (2) of its properties.
			ImageAttributes imageAttributes = new ImageAttributes();

			//The first step in manipulating the watermark image is to replace 
			//the background color with one that is trasparent (Alpha=0, R=0, G=0, B=0)
			//to do this we will use a Colormap and use this to define a RemapTable
			ColorMap colorMap = new ColorMap();

			//My watermark was defined with a background of 100% Green this will
			//be the color we search for and replace with transparency
			colorMap.OldColor = Color.FromArgb(255, 0, 255, 0);
			colorMap.NewColor = Color.FromArgb(0, 0, 0, 0);

			ColorMap[] remapTable = { colorMap };

			imageAttributes.SetRemapTable(remapTable, ColorAdjustType.Bitmap);

			//The second color manipulation is used to change the opacity of the 
			//watermark.  This is done by applying a 5x5 matrix that contains the 
			//coordinates for the RGBA space.  By setting the 3rd row and 3rd column 
			//to 0.3f we achive a level of opacity
			float[][] colorMatrixElements = { 
												new float[] {1.0f,  0.0f,  0.0f,  0.0f, 0.0f},       
												new float[] {0.0f,  1.0f,  0.0f,  0.0f, 0.0f},        
												new float[] {0.0f,  0.0f,  1.0f,  0.0f, 0.0f},        
												new float[] {0.0f,  0.0f,  0.0f,  0.3f, 0.0f},        
												new float[] {0.0f,  0.0f,  0.0f,  0.0f, 1.0f}};
			ColorMatrix wmColorMatrix = new ColorMatrix(colorMatrixElements);

			imageAttributes.SetColorMatrix(wmColorMatrix, ColorMatrixFlag.Default,
				ColorAdjustType.Bitmap);

			//For this example we will place the watermark in the upper right
			//hand corner of the photograph. offset down 10 pixels and to the 
			//left 10 pixles

			int xPosOfWm = ((phWidth - wmWidth) - 10);
			int yPosOfWm = 10;

			grWatermark.DrawImage(imgWatermark,
				new Rectangle(xPosOfWm, yPosOfWm, wmWidth, wmHeight),  //Set the detination Position
				0,                  // x-coordinate of the portion of the source image to draw. 
				0,                  // y-coordinate of the portion of the source image to draw. 
				wmWidth,            // Watermark Width
				wmHeight,		    // Watermark Height
				GraphicsUnit.Pixel, // Unit of measurment
				imageAttributes);   //ImageAttributes Object

			//Replace the original photgraphs bitmap with the new Bitmap
			imgPhoto = bmWatermark;
			grPhoto.Dispose();
			grWatermark.Dispose();

			//save new image to file system.
			imgPhoto.Save(strWaterMarkFile, ImageFormat.Jpeg);
			imgPhoto.Dispose();
			imgWatermark.Dispose();
		}

        public void AddChartMenuItem(LRRChart chart)
        {
            try
            {
                LRRExcelView lrrEV = LRRModel.ChildModel.ExcelViews.GetExcelViewFromViewID(chart.ID);
                if (lrrEV != null)
                {
                    //lrrApp.DBManagerObj.PopulateObject(lrrEV, typeof(LRRExcelView), " where ViewID='" + chart.ID + "' AND ViewType='Chart'");
                    Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartsBar = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem(chart.DisplayName, new System.EventHandler(onChartMenuItemClick));
                    chartsBar.Tag = lrrEV.ID;
                    this.parentBarItem16.Items.Add(chartsBar);
                    this.mainFrameBarManager1.Items.Add(chartsBar);
                }
            }
            catch
            {

            }
        }

        public void RemoveChartMenuItem(string lrrExcelViewID)
        {
            Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartBarToDelete = null;
            foreach (Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartBar in this.parentBarItem16.Items)
            {
                if (chartBar.Tag.ToString() == lrrExcelViewID)
                {
                    chartBarToDelete = chartBar;
                    break;
                }
            }

            if (chartBarToDelete != null)
            {
                this.parentBarItem16.Items.Remove(chartBarToDelete);
                this.mainFrameBarManager1.Items.Remove(chartBarToDelete);
            }
        }

		private void AddChartMenuItems()
		{
			// For all charts
            LRRCharts charts = LRRModel.ChildModel.ExcelCharts;
			
			foreach (LRRChart chart in charts)
			{
                if (chart.ID != "0" && chart.DataType == "ChartData")
                {
                    AddChartMenuItem(chart);
                }
			}
			// For all ChartItems
			LRRChartItems chartItems = new LRRChartItems();
			lrrApp.DBManagerObj.PopulateCollection(chartItems, false);
			foreach (LRRChartItem chartItem in chartItems)
			{
				try
				{
                    LRRExcelView lrrEV = LRRModel.ChildModel.ExcelViews.GetExcelViewFromViewID(chartItem.ID);
                    if (lrrEV != null)
                    {
                        //lrrApp.DBManagerObj.PopulateObject(lrrEV, typeof(LRRExcelView), " where ViewID='" + chartItem.ID + "' AND ViewType='Charts'");
                        Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartsBar = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem(chartItem.Name, new System.EventHandler(onChartItemsMenuItemClick));
                        chartsBar.Tag = lrrEV.ID;
                        this.parentBarItem17.Items.Add(chartsBar);
                        this.mainFrameBarManager1.Items.Add(chartsBar);
                    }
				}
				catch
				{

				}

			}
			//			Syncfusion.Windows.Forms.Tools.XPMenus.BarItem myBar = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem("Hello");
			//			this.parentBarItem16.Items.Add(myBar);
			//			myBar.Text = "1";
		}

		private void onChartItemsMenuItemClick(object sender, System.EventArgs e)
		{
			Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartItemBar = sender as Syncfusion.Windows.Forms.Tools.XPMenus.BarItem;
			/*Chart myChart = new Chart(chartDef.ChartID);
				myChart.MdiParent = this;
				myChart.Show();*/
			object[] obj = new object[1];
			obj[0] = chartItemBar.Tag.ToString();
			lrrApp.LRRUIManagerObj.ShowWindow(chartItemBar.Tag.ToString(), typeof(ExcelView), obj);
		}

		private void onChartMenuItemClick(object sender, System.EventArgs e)
		{
			Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartsBar = sender as Syncfusion.Windows.Forms.Tools.XPMenus.BarItem;
			object[] obj = new object[1];
			obj[0] = chartsBar.Tag.ToString();
			lrrApp.LRRUIManagerObj.ShowWindow(chartsBar.Tag.ToString(), typeof(ExcelView), obj);
		}

		private void mnuAssignUsersForHistorianData_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			//ID 140 for Historian Mapping Screen..
			object[] args = new object[1];
			args[0] = 230;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
			this.Cursor = Cursors.Default;
		}

		private void barSelectionPaste_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.SelectionPaste();
			}
		}

		private void barSave_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
				iUIContainer.Save();
			this.Cursor = Cursors.Default;
		}

		private void barRefersh_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			Form frm = this.ActiveMdiChild as Form;
			if (iUIContainer != null)
			{
				try
				{
					foreach (Control ctl in frm.Controls)
						ApplicationPersistanceUtil.SaveGridSettings(ctl, iUIContainer, frm.Tag);
					iUIContainer.Refresh();
					foreach (Control ctl in frm.Controls)
						ApplicationPersistanceUtil.ApplyGridSettings(ctl, iUIContainer, frm.Tag);
				}
				catch (Exception ex)
				{
					Logger.LogMessage(typeof(PEMainWindow), "barRefersh_Click:" + ex.Message, Logger.Level.Debug);
					this.Cursor = Cursors.Default;

				}
			}
			this.Cursor = Cursors.Default;
		}



		private void barExport_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.Export();
			}
		}

		private void barClearFilter_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				try
				{
					iUIContainer.ClearFilter();
				}
				catch (Exception ex)
				{
					Logger.LogMessage(typeof(PEMainWindow), "barRefersh_Click:" + ex.Message, Logger.Level.Debug);
					this.Cursor = Cursors.Default;

				}
			}
			this.Cursor = Cursors.Default;
		}
		private void barCascade_Click(object sender, System.EventArgs e)
		{
			this.LayoutMdi(MdiLayout.Cascade);
		}

		private void barVerticalAlign_Click(object sender, System.EventArgs e)
		{
			this.LayoutMdi(MdiLayout.TileVertical);
		}

		private void barHorizontelAlign_Click(object sender, System.EventArgs e)
		{
			this.LayoutMdi(MdiLayout.TileHorizontal);
		}

		private void tlbRight_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
				iUIContainer.RightLevel();
			this.Cursor = Cursors.Default;
		}

		private void tlbLeft_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
				iUIContainer.LeftLevel();
			this.Cursor = Cursors.Default;
		}

		private void tlbDown_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
				iUIContainer.DownLevel();
			this.Cursor = Cursors.Default;
		}

		private void tlbUp_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
				iUIContainer.UpLevel();
			this.Cursor = Cursors.Default;
		}

		private void barItem12_Click(object sender, System.EventArgs e)
		{
			this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barRunControl, true);
		}

		private void barItemLevels_Click(object sender, System.EventArgs e)
		{
			this.mainFrameBarManager1.GetCommandBarManager().SetBarVisibility(this.barLevels, true);
		}

		private void barItemActiveDBs_Click(object sender, System.EventArgs e)
		{
			//			Form frm = new ActiveDBs();
			//			frm.MdiParent = this;
			//			frm.Show();


			DBInfoForm frm = new DBInfoForm();
			frm.ShowDialog();
		}
		private void barItem8_Click(object sender, System.EventArgs e)
		{
			ExecutionEngine ee = new ExecutionEngine();
			ee.MdiParent = this;
			ee.Show();
		}

		private void tabMDIChildControls_SelectedIndexChanged(object sender, System.EventArgs e)
		{

		}

		private void mnuExit_Click(object sender, System.EventArgs e)
		{
            if (lrrApp.RunNumber != 0)
            {
                if (lrrApp._runController.PreviousRunTrending == true || lrrApp._runController.PreviousRunRecording == true)
                {
                    if (lrrApp._runController.SaveTrendingAndRecording == false)
                    {
                        LRRWaitWindowUtility.ShowPogressIndicator("Saving Values To Trending DB");
                        while (lrrApp._runController.SaveTrendingAndRecording == false)
                        {
                            System.Threading.Thread.Sleep(5000);
                        }
                        LRRWaitWindowUtility.EndProgressIndicator();
                    }
                }
                if (!lrrApp._runController.TrendDeadLock)
                {
                    Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended /recorded property values to recording database done for previous run ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                }
                else
                {
                    Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended / recorded property values to recording database not done for previous run because of deadlock ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                }
            }

            _subs.Update = true;

            //Save the Property Values
            LRRSiteComponentPropertyValues toSaveSiteCompPropvalues = new LRRSiteComponentPropertyValues();
            //Clone Property Values

            IEnumerator iSiteCompPropValueEnum = LRRModel.PropertyValuesObj.GetChanges().GetEnumerator();
            while (iSiteCompPropValueEnum.MoveNext())
            {
                LRRSiteComponentPropertyValue siteCompPropValue = iSiteCompPropValueEnum.Current as LRRSiteComponentPropertyValue;
                toSaveSiteCompPropvalues.Add(siteCompPropValue);
                _subs.ServerUpdateQue.Enqueue(siteCompPropValue);
            }

            LRRSiteGroupPropertyQualifierValues toSaveSiteGroupPropertyQualifierValues = new LRRSiteGroupPropertyQualifierValues();
            //Clone Qualifier Values

            IEnumerator iSiteCompQualValueEnum = LRRModel.SiteGroupPropertyQualifierValuesObj.GetChanges().GetEnumerator();
            while (iSiteCompQualValueEnum.MoveNext())
            {
                LRRSiteGroupPropertyQualifierValue siteCompQualValue = iSiteCompQualValueEnum.Current as LRRSiteGroupPropertyQualifierValue;
                toSaveSiteGroupPropertyQualifierValues.Add(siteCompQualValue);
                _subs.ServerUpdateQue.Enqueue(siteCompQualValue);
            }

            LRRAggregatePropertyValues toSaveAggregatePropvalues = new LRRAggregatePropertyValues();
            //Clone Property Values

            IEnumerator iAggPropValueEnum = LRRModel.AggregatePropertyValuesObj.GetChanges().GetEnumerator();
            while (iAggPropValueEnum.MoveNext())
            {
                LRRAggregatePropertyValue aggPropValue = iAggPropValueEnum.Current as LRRAggregatePropertyValue;
                toSaveAggregatePropvalues.Add(aggPropValue);
                _subs.ServerUpdateQue.Enqueue(aggPropValue);
            }
            LRRWaitWindowUtility.ShowPogressIndicator("System exiting  saving your environment and results if any..");
            bool savechangesresult = SaveChanges(toSaveSiteCompPropvalues, toSaveSiteGroupPropertyQualifierValues, toSaveAggregatePropvalues);

            if (!savechangesresult)
            {
                Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh  - Saving values to master database completed ", Symcon.Utils.MessageLogger.Logger.Level.Debug);//added by santhosh                           
            }
            else
            {
                Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh  - Saving values to master database not completed due to deadlock exception ", Symcon.Utils.MessageLogger.Logger.Level.Debug);//added by santhosh                           
            }
            this.Close();
			Application.Exit();
            LRRWaitWindowUtility.EndProgressIndicator();
		}

		private void mnuReconnect_Click(object sender, System.EventArgs e)
		{
			string msg = LRRHeaderText.GetHeaderString("SID_RECONNECTING");
			ReconnectProgress rp = new ReconnectProgress(lrrApp, msg);
			InternationalizationUtils.GetControlText(rp, null);
			rp.Execute();
			rp.ShowDialog();


		}
		//		private void myLogin()
		//		{
		//			LRRApp _app=new LRRApp();
		//			th.Abort();
		//		}

		private void mnuOperationalMode_Click(object sender, System.EventArgs e)
		{

			object[] args = new object[1];
			args[0] = 270;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void barItem15_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.SelectNextChild();
		}

		private void barItem14_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.SelectPreviousChild();
		}

		private void mnuLogout_Click(object sender, System.EventArgs e)
		{
			//			foreach(Form frm in this.MdiChildren)
			//			{
			//				try
			//				{
			//					ILRRUIContainer cont = frm as ILRRUIContainer;
			//					if(frm.GetType() != typeof(CompositeView))
			//						ApplicationPersistanceUtil.SaveGridSettings(frm,cont, frm.Tag);
			//
			//					if(frm.GetType() == typeof(ImplementerScreen))
			//					{
			//						ApplicationPersistanceUtil.SaveCanvas(frm);
			//					}
			//					if(frm.GetType() == typeof(OperatorsScreen))
			//					{
			//						ApplicationPersistanceUtil.SaveOperatorsCanvas(frm);
			//					}
			//				}
			//				catch(Exception ex)
			//				{
			//					Utils.MessageLogger.Logger.LogMessage(typeof(PEMainWindow),"Persistance:" + ex.Message + ex.StackTrace,Utils.MessageLogger.Logger.Level.Debug);
			//				}
			//			}
			//			ApplicationPersistanceUtil.SaveAppSettings(lrrApp, this);
			//			System.Diagnostics.Process p = System.Diagnostics.Process.GetCurrentProcess();
            
            //before it logs out , it will check for previous trending/Recording thread is still running or not.
            //If running , it will wait  till it is  completed & then it logs out.

            if (lrrApp.RunNumber != 0)
            {
                if (lrrApp._runController.PreviousRunTrending == true || lrrApp._runController.PreviousRunRecording == true)
                {
                    if (lrrApp._runController.SaveTrendingAndRecording == false)
                    {
                        LRRWaitWindowUtility.ShowPogressIndicator("Saving Values To Trending DB");
                        while (lrrApp._runController.SaveTrendingAndRecording == false)
                        {
                            System.Threading.Thread.Sleep(5000);
                        }
                        LRRWaitWindowUtility.EndProgressIndicator();
                    }
                }
                if (!lrrApp._runController.TrendDeadLock)
                {
                    Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended /recorded property values to recording database done for previous run ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                }
                else
                {
                    Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended / recorded property values to recording database not done for previous run because of deadlock ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                }
            }
             
            _subs.Update = true;

            //Save the Property Values
            LRRSiteComponentPropertyValues toSaveSiteCompPropvalues = new LRRSiteComponentPropertyValues();
            //Clone Property Values

            IEnumerator iSiteCompPropValueEnum = LRRModel.PropertyValuesObj.GetChanges().GetEnumerator();
            while (iSiteCompPropValueEnum.MoveNext())
            {
                LRRSiteComponentPropertyValue siteCompPropValue = iSiteCompPropValueEnum.Current as LRRSiteComponentPropertyValue;
                toSaveSiteCompPropvalues.Add(siteCompPropValue);
                _subs.ServerUpdateQue.Enqueue(siteCompPropValue);
            }                
            
            LRRSiteGroupPropertyQualifierValues toSaveSiteGroupPropertyQualifierValues = new LRRSiteGroupPropertyQualifierValues();
            //Clone Qualifier Values
            
            IEnumerator iSiteCompQualValueEnum = LRRModel.SiteGroupPropertyQualifierValuesObj.GetChanges().GetEnumerator();
            while (iSiteCompQualValueEnum.MoveNext())
            {
                LRRSiteGroupPropertyQualifierValue siteCompQualValue = iSiteCompQualValueEnum.Current as LRRSiteGroupPropertyQualifierValue;
                toSaveSiteGroupPropertyQualifierValues.Add(siteCompQualValue);
                _subs.ServerUpdateQue.Enqueue(siteCompQualValue);
            }

            LRRAggregatePropertyValues toSaveAggregatePropvalues = new LRRAggregatePropertyValues();
            //Clone Property Values
            
            IEnumerator iAggPropValueEnum = LRRModel.AggregatePropertyValuesObj.GetChanges().GetEnumerator();
            while (iAggPropValueEnum.MoveNext())
            {
                LRRAggregatePropertyValue aggPropValue = iAggPropValueEnum.Current as LRRAggregatePropertyValue;                 
                toSaveAggregatePropvalues.Add(aggPropValue);
                _subs.ServerUpdateQue.Enqueue(aggPropValue);
            }
            
            LRRWaitWindowUtility.ShowPogressIndicator("System exiting  saving your environment and results if any..");
            bool savechangescall;
            if (toSaveSiteCompPropvalues.Count == 0 && toSaveSiteGroupPropertyQualifierValues.Count == 0 && toSaveAggregatePropvalues.Count == 0)
            {
                savechangescall = false;
            }
            else
            {
                savechangescall = true;
            }
            if (savechangescall)
            {
                if (!(SaveChanges(toSaveSiteCompPropvalues, toSaveSiteGroupPropertyQualifierValues, toSaveAggregatePropvalues)))
                {
                    Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh  - Saving values to master database completed ", Symcon.Utils.MessageLogger.Logger.Level.Debug);//added by santhosh                           
                }
                else
                {
                    Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh  - Saving values to master database not completed due to deadlock exception ", Symcon.Utils.MessageLogger.Logger.Level.Debug);//added by santhosh                           
                }
            }
            LRRWaitWindowUtility.EndProgressIndicator();
            //end of changes by santhosh
			string filename = lrrApp.AppPath + @"\Symcon.LightRidge.PEAdvisor.exe";

			/*lrrApp.Terminate();
			MessagingClient.Terminate();*/

			System.Diagnostics.Process p1 = new System.Diagnostics.Process();
			p1.StartInfo.FileName = filename;
			p1.StartInfo.Arguments = "BrownFox";
			this.Close();
            p1.Start();
			//			p.Kill();           
		}

		private void barItemCompositeViews_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowWindow(280);
		}

		private void barengSettings_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowWindow(290);
		}

		private void barSettings_Click(object sender, System.EventArgs e)
		{
			lrrApp.SymExcelWrapperObj.ExecuteMacro(LRREEModel.ModelConfigs.GetValueForParam("OptWB"), LRREEModel.ModelConfigs.GetValueForParam("OptMethod"));
			//lrrApp.SymExcelWrapperObj.ExecuteMacro("TestPower8","ShowOptions");
			//lrrApp.SymExcelWrapperObj.ExecuteMacro("TestPower8","ShowOptions");
		}

		private void tblRun_ContainmentChanged(object sender, Syncfusion.Windows.Forms.Tools.XPMenus.ContainmentChangedEventArgs args)
		{

		}

		private void barItemGroupedPlantAttribView_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowWindow(300);
		}

		public Symcon.CCLibrary.Controls.StatusBar GetStatusBar()
		{
			return this.statusBarPE;
		}

		public Syncfusion.Windows.Forms.Tools.XPMenus.XPToolBar GetToolBar()
		{
			return this.xpToolBar2;
		}

		private void barItemExpRecordedValues_Click(object sender, System.EventArgs e)
		{
			ExportRecordValues expRecordValues = new ExportRecordValues();
			expRecordValues.ShowDialog();
		}

		private void tblStop_Click(object sender, System.EventArgs e)
		{
			lrrApp.RunControllerObj.Stop();

			//Set Stop Enabled
			//SetStopEnabled(false);

			lrrApp.LRRUIManagerObj.HideRunStatusDialog();
		}

		/// <summary>
		/// This method enables/disables the stop button depending on the 
		/// run condition
		/// </summary>
		/// <param Name1="enabled"></param>
		public void SetStopEnabled(bool enabled)
		{
			this.tblStop.Enabled = enabled;
		}

		private void barItemModes_Click(object sender, System.EventArgs e)
		{
			//			if(this.barItemModes.Visible)
			//			{
			//				lrrApp.LRRUIManagerObj.HideModesDialog();
			//
			//			}
			//			else
			//			{
			lrrApp.LRRUIManagerObj.ShowModesDialog();
			//			}
		}

		private void tlbClearSort_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
				iUIContainer.ClearSort();
			this.Cursor = Cursors.Default;
		}

		private void barItem1_Click(object sender, System.EventArgs e)
		{
			//Cut the text
			SendKeys.Send("^(X)");
		}

		private void barItem2_Click(object sender, System.EventArgs e)
		{
			//Copy the text
			SendKeys.Send("^(C)");
		}

		private void barItem3_Click(object sender, System.EventArgs e)
		{
			//Paste the text
			SendKeys.Send("^(V)");
		}

		private void tlbDelete_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
				iUIContainer.Delete();
			this.Cursor = Cursors.Default;
		}

		private void barItemDataQuality_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowDataQualityWindow();
		}

		private void barItemTimeWindow_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowTimeWindow();
		}

		private void barShowExcel_Click(object sender, System.EventArgs e)
		{
			lrrApp.SymExcelWrapperObj.ShowWindow(true);
		}

		private void berHideExcel_Click(object sender, System.EventArgs e)
		{
			lrrApp.SymExcelWrapperObj.ShowWindow(false);
		}
		private void barCopyUOMTypes_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.CopyUOMTypes();
			}
		}

		private void tlbPrint_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.Print();
			}
			this.Cursor = Cursors.Default;
		}

		private void tlbPrintPreview_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.PrintPreview();
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemOverrides_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowOverridesWindow();
		}

		private void barItemEventViewer_Click(object sender, System.EventArgs e)
		{

			object[] args = new object[1];
			args[0] = 320;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);


		}

		private void barItemPropertyList_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.ShowPropertyList();
			}
		}

		private void barItemComponentList_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.ShowComponentList();
			}
		}

		public string PanelUserName
		{
			get { return statusBarPE.UserName; }
			set
			{
				statusBarPE.UserName = value;
			}
		}

		public string PanelDBName
		{
			get { return statusBarPE.DBName; }
			set
			{
				statusBarPE.DBName = value;
			}
		}
		public string PanelDBType
		{
			get { return statusBarPE.DBType; }
			set
			{
				statusBarPE.DBType = value;
			}
		}

		public Syncfusion.Windows.Forms.Tools.XPMenus.Bar BarResultsFilter
		{
			get { return this.barResultsFilter; }
		}
		public string PanelDBPath
		{
			get { return statusBarPE.DBPath; }
			set
			{
				statusBarPE.DBPath = value;
			}
		}

		public Syncfusion.Windows.Forms.Tools.XPMenus.MainFrameBarManager MainFrameBarManager
		{
			get { return this.mainFrameBarManager1; }

		}

		public PQueryList GetPQueryList()
		{
			PQueryList pQueryList = new PQueryList();
			pQueryList.arrPQueries = new ArrayList();
			if (_screenListView != null)
			{
				//Queries
				for (int i = 0; i < _screenListView.LRRSearchCriteriasObj.Count; i++)
				{
					LRRSearchCriteria sc = _screenListView.LRRSearchCriteriasObj[i];
					if (sc.IsSelected)
					{
						pQueryList.arrPQueries.Add(sc.ID);
					}
				}
				//Graphics
				for (int i = 0; i < _screenListView.LRRSavedViewsObj.Count; i++)
				{
					LRRSavedView savedView = _screenListView.LRRSavedViewsObj[i];
					if (savedView.IsSelected)
					{
						pQueryList.arrPQueries.Add(savedView.ID);
					}
				}
				//CompositeViews
				for (int i = 0; i < _screenListView.LRRCompositeViewsObj.Count; i++)
				{
					LRRCompositeView compositeView = _screenListView.LRRCompositeViewsObj[i];
					if (compositeView.IsSelected)
					{
						pQueryList.arrPQueries.Add(compositeView.ID);
					}
				}
				//Charts
				for (int i = 0; i < _screenListView.LRRExcelViewsObj.Count; i++)
				{
					LRRExcelView lrrExcelView = _screenListView.LRRExcelViewsObj[i];
					if (lrrExcelView.IsSelected)
					{
						pQueryList.arrPQueries.Add(lrrExcelView.ID);
					}
				}

			}
			return pQueryList;
		}

		public void SetPQueryList(PQueryList pQueryList)
		{
			ScreenListView screenListView = new ScreenListView(this.parentBarItem18, this.mainFrameBarManager1);
			if (pQueryList.arrPQueries != null && pQueryList.arrPQueries.Count != 0)
			{
				//Queries
				for (int j = 0; j < screenListView.LRRSearchCriteriasObj.Count; j++)
				{
					LRRSearchCriteria sc = screenListView.LRRSearchCriteriasObj[j];
					if (pQueryList.arrPQueries.Contains(sc.ID))
						sc.IsSelected = true;
				}
				//Graphics
				for (int i = 0; i < screenListView.LRRSavedViewsObj.Count; i++)
				{
					LRRSavedView savedView = screenListView.LRRSavedViewsObj[i];
					if (pQueryList.arrPQueries.Contains(savedView.ID))
						savedView.IsSelected = true;
				}
				//CompositeViews
				for (int i = 0; i < screenListView.LRRCompositeViewsObj.Count; i++)
				{
					LRRCompositeView compositeView = screenListView.LRRCompositeViewsObj[i];
					if (pQueryList.arrPQueries.Contains(compositeView.ID))
						compositeView.IsSelected = true;
				}
				//Charts
				for (int i = 0; i < screenListView.LRRExcelViewsObj.Count; i++)
				{
					LRRExcelView lrrExcelView = screenListView.LRRExcelViewsObj[i];
					if (pQueryList.arrPQueries.Contains(lrrExcelView.ID))
					{
						lrrExcelView.IsSelected = true;
					}
				}
			}
			_screenListView = screenListView;
			screenListView.PopulateBarItems();
			screenListView.trvSearchLevels.TreeViewNodeSorter = new OrgenizeViewScreenTreeSorter();
			screenListView.trvSearchLevels.Sort();
		}

		/// <summary>
		/// Set the enable/disbale state for the bar item
		/// </summary>
		/// <param Name1="state"></param>
		public void SetExportRecordedValues(bool state)
		{
			this.barItemExpRecordedValues.Enabled = state;
		}
        public void SetRunSetManager(bool state)
        {
            this.barRunSetManager.Enabled = true;
        }


		private void barEngineImport_Click(object sender, System.EventArgs e)
		{
			EngineValueExtractor eve = new EngineValueExtractor(lrrApp);
			eve.ShowDialog();
		}

		private void barItemRecProps_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowRecordedPropsDialog();
		}

		private void barItem17_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 200;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void barItem18_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 300;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void barItemRightColMovement_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.RightColMovement();
			}
		}

		private void barItemLeftColMovement_Click(object sender, System.EventArgs e)
		{
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.LeftColMovement();
			}
		}

        public void AddMiscMenuItem(LRRChart chart)
        {
            try
            {
                LRRExcelView lrrEV = LRRModel.ChildModel.ExcelViews.GetExcelViewFromViewID(chart.ID);
                if (lrrEV != null)
                {
                    //lrrApp.DBManagerObj.PopulateObject(lrrEV, typeof(LRRExcelView), " where ViewID='" + chart.ID + "' AND ViewType='Misc'");
                    Syncfusion.Windows.Forms.Tools.XPMenus.BarItem miscBar = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem(chart.DisplayName, new System.EventHandler(onMiscMenuItemClick));
                    miscBar.Tag = lrrEV.ID;
                    this.parentBarItem11.Items.Add(miscBar);
                    this.mainFrameBarManager1.Items.Add(miscBar);
                }
            }
            catch
            { 
            }
        }

        public void RemoveMiscMenuItem(string lrrExcelViewID)
        {
            Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartBarToDelete = null;
            foreach (Syncfusion.Windows.Forms.Tools.XPMenus.BarItem chartBar in this.parentBarItem11.Items)
            {
                if (chartBar.Tag.ToString() == lrrExcelViewID)
                {
                    chartBarToDelete = chartBar;
                    break;
                }
            }

            if (chartBarToDelete != null)
            {
                this.parentBarItem11.Items.Remove(chartBarToDelete);
                this.mainFrameBarManager1.Items.Remove(chartBarToDelete);
            }
        }

		private void AddMiscMenuItems()
		{
			// For all Miscellaneous Item
            LRRCharts charts = LRRModel.ChildModel.ExcelCharts;
			//lrrApp.DBManagerObj.PopulateCollection(charts, " where DataType='TabularData'", false);
			foreach (LRRChart chart in charts)
			{
                if (chart.ID != "0" && chart.DataType == "TabularData")
                {
                    AddMiscMenuItem(chart);
                }
			}
		}

		private void AddLogsMenuItems()
		{
			// For all Logs Item
			LRRModelConfigurations modelConfs = new LRRModelConfigurations();
			lrrApp.DBManagerObj.PopulateCollection(modelConfs, " where ParamName='Log'", false);
			foreach (LRRModelConfiguration modelConf in modelConfs)
			{
				Syncfusion.Windows.Forms.Tools.XPMenus.BarItem logBar = new Syncfusion.Windows.Forms.Tools.XPMenus.BarItem(modelConf.ParamValue, new System.EventHandler(onLogMenuItemClick));
				logBar.Tag = "Log:" + modelConf.ID;
				this.parentBarItem22.Items.Add(logBar);
				this.mainFrameBarManager1.Items.Add(logBar);
			}
		}

		private void onMiscMenuItemClick(object sender, System.EventArgs e)
		{
			Syncfusion.Windows.Forms.Tools.XPMenus.BarItem miscBar = sender as Syncfusion.Windows.Forms.Tools.XPMenus.BarItem;
			object[] obj = new object[1];
			obj[0] = miscBar.Tag.ToString();
			lrrApp.LRRUIManagerObj.ShowWindow(miscBar.Tag.ToString(), typeof(ExcelView), obj);
		}

		private void onLogMenuItemClick(object sender, System.EventArgs e)
		{
			Syncfusion.Windows.Forms.Tools.XPMenus.BarItem logBar = sender as Syncfusion.Windows.Forms.Tools.XPMenus.BarItem;
			object[] obj = new object[1];
			obj[0] = logBar.Tag.ToString().Replace("Log:", "");
			lrrApp.LRRUIManagerObj.ShowWindow(logBar.Tag.ToString(), typeof(Log), obj);
		}

		private void barItemPrint_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.Print();
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemPrintPreview_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.PrintPreview();
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemPageSetup_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.PageSetup();
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemMultiAttributeTrend_Click(object sender, System.EventArgs e)
		{
			//lrrApp.LRRUIManagerObj.ShowWindow(480);
			object[] args = new object[1];
			args[0] = 480;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void barItem22_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.Undo();
			}
			this.Cursor = Cursors.Default;
		}

		private void barItem19_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 360;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void barItemAlerts_Click(object sender, System.EventArgs e)
		{
			Symcon.Utils.Alert.Messages.LRRAlert.ShowAlert();
		}

		private void barItemDataArrays_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowWindow(400);
		}

		private void barItemOpenView_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				try
				{
					iUIContainer.OpenView();
				}
				catch
				{
					LRRMessagBox.ShowMessage(this, "SID_CV_OPEN_ERROR", "SID_ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1);
				}
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemOpenQuery_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				try
				{
					iUIContainer.OpenQuery();
				}
				catch
				{
					LRRMessagBox.ShowMessage(this, "SID_CV_OPEN_ERROR", "SID_ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1);
				}
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemOpenCompositeView_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				try
				{
					iUIContainer.OpenCompositeView();
				}
				catch
				{
					LRRMessagBox.ShowMessage(this, "SID_CV_OPEN_ERROR", "SID_ERROR", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1);
				}
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemTransposeView_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.TransposeView();
			}
			this.Cursor = Cursors.Default;
		}

		private void barItemOrganizeViews_Click(object sender, System.EventArgs e)
		{
			ScreenListView listView = new ScreenListView(this.parentBarItem18, this.mainFrameBarManager1);
			_screenListView = listView;
			listView.ShowDialog();
		}

		private void barItemSavedViews_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 500;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void barItemDashBoard_Click(object sender, System.EventArgs e)
		{
			Symcon.LightRidge.PEAdvisor.DashBoard.WizardMainFrame dashBoardWizard = new Symcon.LightRidge.PEAdvisor.DashBoard.WizardMainFrame();
			dashBoardWizard.ShowDialog();
		}

		private void barItemDashBoardDesigner_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 610;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void barItemDashBoardViewer_Click(object sender, System.EventArgs e)
		{
			Symcon.LightRidge.PEAdvisor.DashBoard.OpenDashBoardForm openDashBoardForm = new OpenDashBoardForm();
			DialogResult dlgResult = openDashBoardForm.ShowDialog();
			if (dlgResult == DialogResult.OK && openDashBoardForm.SelectedDashBoardView != null)
			{
				this.Cursor = Cursors.WaitCursor;
				ArrayList arrParams = new ArrayList();
				arrParams.Add(openDashBoardForm.SelectedDashBoardView);
				this.lrrApp.LRRUIManagerObj.ShowWindow(620, arrParams, openDashBoardForm.SelectedDashBoardView.SavedViewName, true);
				this.Cursor = Cursors.Default;
			}
		}

		private void tlbSaveRun_Click(object sender, System.EventArgs e)
		{
			SaveSetForm saveSet = new SaveSetForm();
			saveSet.ShowDialog();
		}

		private void tlbOpenCase_Click(object sender, System.EventArgs e)
		{
			OpenCaseForm openCase = new OpenCaseForm();
			openCase.ShowDialog();
		}

		private void barItem21_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 420;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);

		}

		private void tlbClearCase_Click(object sender, System.EventArgs e)
		{
			ClearCaseForm clearCase = new ClearCaseForm();
			clearCase.ShowDialog();
		}

		private void PEMainWindow_Paint(object sender, PaintEventArgs e)
		{
			StringFormat format = new StringFormat();
			format.LineAlignment = StringAlignment.Center;
			string Copyright = "Copyright    2002-2006 Lightridge Resources Inc. All rights reserved";
			Font crFont = new Font("arial", 30, FontStyle.Bold);
			//define a Brush which is semi trasparent black (Alpha set to 153)
			SolidBrush semiTransBrush2 = new SolidBrush(Color.FromArgb(153, 0, 0, 0));

			//Draw the Copyright string
			e.Graphics.DrawString(Copyright,                 //string of text
				crFont,                                   //font
				semiTransBrush2,                           //Brush
				e.ClipRectangle,  //Position
				format);

			//define a Brush which is semi trasparent white (Alpha set to 153)
			SolidBrush semiTransBrush = new SolidBrush(Color.FromArgb(153, 255, 255, 255));

			//Draw the Copyright string a second time to create a shadow effect
			//Make sure to move this text 1 pixel to the right and down 1 pixel
			e.Graphics.DrawString(Copyright,                 //string of text
				crFont,                                   //font
				semiTransBrush,                           //Brush
				e.ClipRectangle,  //Position
				format);
		}

		private void barItemMsgSubscriptions_Click(object sender, System.EventArgs e)
		{
			lrrApp.LRRUIManagerObj.ShowMessageSubscriptionDialog();
		}

		private void barItemAggregateGrpedPpty_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 430;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void barItemHelp_Click(object sender, System.EventArgs e)
		{

			//Help File
			/*string sFilePath = Application.StartupPath + @"\help\PE-Advisor Help.chm";
			Help.ShowHelp(this.ActiveMdiChild,sFilePath,this.ActiveMdiChild.Name);*/

			if (this.ActiveMdiChild != null)
			{
				for (int i = 0; i < _helpsettings.forms.Length; i++)
				{
					if (_helpsettings.forms[i].ControlName == this.ActiveMdiChild.Name)
					{
						_helpKeyWord = _helpsettings.forms[i].HelpKeyword;
						break;
					}
				}
			}

			string sFilePath = Application.StartupPath + @"\help\PE-Advisor Help.chm";
			Help.ShowHelp(this.lrrApp.MainFrame, sFilePath, _helpKeyWord);

			//this.Focus();
			//SendKeys.Send("{F1}");
		}

		private void barItemCreateDynamicCase_Click(object sender, System.EventArgs e)
		{
			CreateDynamicCaseForm createForm = new CreateDynamicCaseForm();
			DialogResult dlgResult = createForm.ShowDialog();
			if (dlgResult == DialogResult.OK)
			{
				object[] args = new object[1];
				args[0] = 440;
				LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
				barItemOpenDynamicCase.Enabled = false;
				barItemCreateDynamicCase.Enabled = false;
				barItemClearDynamicCase.Enabled = true;
			}
		}

		private void barItemOpenDynamicCase_Click(object sender, System.EventArgs e)
		{
			LRRDynamicModel.Initialize(lrrApp.DBManagerObj);
			DynamicSavedCaseForm openForm = new DynamicSavedCaseForm();
			DialogResult dlgResult = openForm.ShowDialog();
			if (dlgResult == DialogResult.OK)
			{
				IEnumerator iEnum = LRRDynamicModel.DynamicHistPropCompPropMappings.GetEnumerator();
				while (iEnum.MoveNext())
				{
					LRRDynamicHistPropCompPropMapping map = iEnum.Current as LRRDynamicHistPropCompPropMapping;
					LRRHistPropCompPropMapping histMap = new LRRHistPropCompPropMapping();
					histMap.ComponentID = map.ComponentID;
					histMap.ComponentPropertyName = map.ComponentPropertyName;
					histMap.EffectivePlantTime = map.EffectivePlantTime;
					histMap.GroupPropertyID = map.GroupPropertyID;
					histMap.GroupPropertyValID = map.GroupPropertyValID;
					histMap.HistPropID = map.HistPropID;
					histMap.HistTag = map.HistTag;
					histMap.LookUpPropertiesID = map.LookUpPropertiesID;
					histMap.LookupQualifierID = map.LookupQualifierID;
					histMap.MappingId = map.MappingId;
					histMap.SiteComponentPropID = map.SiteComponentPropID;
					histMap.SiteComponentPropValID = map.SiteComponentPropValID;
					histMap.IsDynamic = true;
					LRRModel.HistPropMaps.Add(histMap);
				}
				lrrApp.SetPropertyHistorianBinding();

				object[] args = new object[1];
				args[0] = 440;
				LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
				barItemOpenDynamicCase.Enabled = false;
				barItemCreateDynamicCase.Enabled = false;
				barItemClearDynamicCase.Enabled = true;
			}
		}


		private void barItemClearDynamicCase_Click(object sender, System.EventArgs e)
		{
			//Update Site Components
			ArrayList arrSiteComps = new ArrayList();
			IEnumerator iSiteCompEnum = LRRModel.SiteComponentsObj.GetEnumerator();
			while (iSiteCompEnum.MoveNext())
			{
				LRRSiteComponent siteComponent = iSiteCompEnum.Current as LRRSiteComponent;
				if (siteComponent.IsDynamic)
					arrSiteComps.Add(siteComponent);
			}
			for (int i = 0; i < arrSiteComps.Count; i++)
			{
				LRRSiteComponent siteComponent = arrSiteComps[i] as LRRSiteComponent;
				LRRModel.SiteComponentsObj.Remove(siteComponent);
			}
			LRRModel.SiteComponentsObj.RefreshCollection();

			//Update Site Component Properties
			ArrayList arrSiteCompProps = new ArrayList();
			IEnumerator iSiteCompPropsEnum = LRRModel.SiteComponentPropertiesObj.GetEnumerator();
			while (iSiteCompPropsEnum.MoveNext())
			{
				LRRSiteComponentProperty siteComponentProp = iSiteCompPropsEnum.Current as LRRSiteComponentProperty;
				if (siteComponentProp.IsDynamic)
					arrSiteCompProps.Add(siteComponentProp);
			}
			for (int i = 0; i < arrSiteCompProps.Count; i++)
			{
				LRRSiteComponentProperty siteComponentProp = arrSiteCompProps[i] as LRRSiteComponentProperty;
				LRRModel.SiteComponentPropertiesObj.Remove(siteComponentProp);
			}
			LRRModel.SiteComponentPropertiesObj.RefreshCollection();

			//Update Site Component property Values
			ArrayList arrSiteCompPropValues = new ArrayList();
			IEnumerator iSiteCompPropValueEnum = LRRModel.PropertyValuesObj.GetEnumerator();
			while (iSiteCompPropValueEnum.MoveNext())
			{
				LRRSiteComponentPropertyValue siteComponentPropValue = iSiteCompPropValueEnum.Current as LRRSiteComponentPropertyValue;
				if (siteComponentPropValue.IsDynamic)
					arrSiteCompPropValues.Add(siteComponentPropValue);
			}
			for (int i = 0; i < arrSiteCompPropValues.Count; i++)
			{
				LRRSiteComponentPropertyValue siteComponentPropValue = arrSiteCompPropValues[i] as LRRSiteComponentPropertyValue;
				LRRModel.PropertyValuesObj.Remove(siteComponentPropValue);
			}
			LRRModel.PropertyValuesObj.RefreshCollection();

			//Update Site Component group properties
			ArrayList arrSiteGrpProps = new ArrayList();
			IEnumerator iSiteCompGrpPropsEnum = LRRModel.SiteComponentGroupPropertiesObj.GetEnumerator();
			while (iSiteCompGrpPropsEnum.MoveNext())
			{
				LRRSiteComponentGroupProperty siteComponentGrpProp = iSiteCompGrpPropsEnum.Current as LRRSiteComponentGroupProperty;
				if (siteComponentGrpProp.IsDynamic)
					arrSiteGrpProps.Add(siteComponentGrpProp);
			}
			for (int i = 0; i < arrSiteGrpProps.Count; i++)
			{
				LRRSiteComponentGroupProperty siteComponentGrpProp = arrSiteGrpProps[i] as LRRSiteComponentGroupProperty;
				LRRModel.SiteComponentGroupPropertiesObj.Remove(siteComponentGrpProp);
			}
			LRRModel.SiteComponentGroupPropertiesObj.RefreshCollection();

			//Update Site Component Qualifier Values
			ArrayList arrSiteGrpQualValues = new ArrayList();
			IEnumerator iSiteCompQualValueEnum = LRRModel.SiteGroupPropertyQualifierValuesObj.GetEnumerator();
			while (iSiteCompQualValueEnum.MoveNext())
			{
				LRRSiteGroupPropertyQualifierValue siteComponentQualValue = iSiteCompQualValueEnum.Current as LRRSiteGroupPropertyQualifierValue;
				if (siteComponentQualValue.IsDynamic)
					arrSiteGrpQualValues.Add(siteComponentQualValue);
			}
			for (int i = 0; i < arrSiteGrpQualValues.Count; i++)
			{
				LRRSiteGroupPropertyQualifierValue siteComponentQualValue = arrSiteGrpQualValues[i] as LRRSiteGroupPropertyQualifierValue;
				LRRModel.SiteGroupPropertyQualifierValuesObj.Remove(siteComponentQualValue);
			}
			LRRModel.SiteGroupPropertyQualifierValuesObj.RefreshCollection();

			//Update Hist Prop Comp Prop mappings
			ArrayList arrHistPropCompProps = new ArrayList();
			IEnumerator iHistPropCompMapEnum = LRRModel.HistPropMaps.GetEnumerator();
			while (iHistPropCompMapEnum.MoveNext())
			{
				LRRHistPropCompPropMapping histPropCompProp = iHistPropCompMapEnum.Current as LRRHistPropCompPropMapping;
				if (histPropCompProp.IsDynamic)
					arrHistPropCompProps.Add(histPropCompProp);
			}
			for (int i = 0; i < arrHistPropCompProps.Count; i++)
			{
				LRRHistPropCompPropMapping histPropCompProp = arrHistPropCompProps[i] as LRRHistPropCompPropMapping;
				LRRModel.HistPropMaps.Remove(histPropCompProp);
			}
			LRRModel.HistPropMaps.RefreshCollection();

			lrrApp.SetPropertyHistorianBinding();

			barItemOpenDynamicCase.Enabled = true;
			barItemCreateDynamicCase.Enabled = true;
			barItemClearDynamicCase.Enabled = false;

			if (lrrApp.LRRUIManagerObj._windowStore.ContainsKey(440))
			{
				Form frm = lrrApp.LRRUIManagerObj._windowStore[440] as Form;
				frm.Close();
			}

			this.lrrApp.DynamicCaseID = null;
			MessageBox.Show("Dynamic Case Cleared Successfully");
		}

		private void barItemFullScreen_Click(object sender, System.EventArgs e)
		{
			BarItem bi = sender as BarItem;
			bi.Checked = !bi.Checked;
			SetFullScreenMode(true);
			this.Refresh();
		}

		private void barFunctionalTest_Click(object sender, System.EventArgs e)
		{

			TestAutomation.FunctionTest frmFunctionTest = new TestAutomation.FunctionTest();
			frmFunctionTest.MdiParent = this;
			frmFunctionTest.Show();
		}

		private void barItemHistPtEntry_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 450;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void tlbChangeUOMSetDefinition_Click(object sender, System.EventArgs e)
		{
			ILRRUISpecificContainer iUISpecificContainer = this.ActiveMdiChild as ILRRUISpecificContainer;
			if (iUISpecificContainer != null)
			{
				iUISpecificContainer.ChangeUOMSet();
			}
		}

		private void barRunNextStep_Click(object sender, System.EventArgs e)
		{
            //below code lines added by santhosh...to check wheather the previous run i.e the run which has just  now completed ,
            //trending/Recording thread has completed or not.If not completed , it has to wait till it is completed & once done , then it should kick off the next run

            /*lrrApp._runController.RunNumber++;
            if (lrrApp._runController.RunNumber > 1)
            {
                if (lrrApp._runController.PreviousRunTrending == true || lrrApp._runController.PreviousRunRecording == true)
                {
                    if (lrrApp._runController.SaveTrendingAndRecording == false)
                    {
                        LRRWaitWindowUtility.ShowPogressIndicator("Saving Values To Trending DB");
                        while (lrrApp._runController.SaveTrendingAndRecording == false)
                        {
                            System.Threading.Thread.Sleep(5000);
                        }
                        Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended & recorded property values to recording database done ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                        LRRWaitWindowUtility.EndProgressIndicator();
                    }
                }
            }*/

            //end of changes by santhosh
            if (_lrrOptions.UseTemplateOverrides == true)
            {
                System.Security.Permissions.FileIOPermission readpermission = new System.Security.Permissions.FileIOPermission(System.Security.Permissions.FileIOPermissionAccess.Read, _lrrOptions.OverridesTemplatePath);
                if (_lrrOptions.OverridesTemplatePath == String.Empty || !System.IO.File.Exists(_lrrOptions.OverridesTemplatePath))
                {
                    MessageBox.Show("The template overrides file entry is invalid. Please correct the path and file entry or else uncheck Use Template Overrides", "OverridesTemplateAlert", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    return;
                }
                else if (!System.Security.SecurityManager.IsGranted(readpermission))
                {
                    MessageBox.Show("The template overrides file entry is invalid. Please correct the path and file entry or else uncheck Use Template Overrides", "OverridesTemplateAlert", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    return;
                }

            }
           	lrrApp.RunNextStep();
		}

		private void barItemRunEnteredWindow_Click(object sender, System.EventArgs e)
		{
            //below code lines added by santhosh...to check wheather the previous run i.e the run which has just  now completed ,
            //trending/Recording thread has completed or not.If not completed , it has to wait till it is completed & once done , then it should kick off the next run

            /*lrrApp._runController.RunNumber++;
            if (lrrApp._runController.RunNumber > 1)
            {
                if (lrrApp._runController.PreviousRunTrending == true || lrrApp._runController.PreviousRunRecording == true)
                {
                    if (lrrApp._runController.SaveTrendingAndRecording == false)
                    {
                        LRRWaitWindowUtility.ShowPogressIndicator("Saving Values To Trending DB");
                        while (lrrApp._runController.SaveTrendingAndRecording == false)
                        {
                            System.Threading.Thread.Sleep(5000);
                        }
                        Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended & recorded property values to recording database done ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                        LRRWaitWindowUtility.EndProgressIndicator();
                    }
                }
            }*/
            //end of changes by santhosh
            if (_lrrOptions.UseTemplateOverrides == true)
            {
                System.Security.Permissions.FileIOPermission readpermission = new System.Security.Permissions.FileIOPermission(System.Security.Permissions.FileIOPermissionAccess.Read, _lrrOptions.OverridesTemplatePath);
                if (_lrrOptions.OverridesTemplatePath == String.Empty || !System.IO.File.Exists(_lrrOptions.OverridesTemplatePath))
                {
                    MessageBox.Show("The template overrides file entry is invalid. Please correct the path and file entry or else uncheck Use Template Overrides", "OverridesTemplateAlert", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    return;
                }
                else if (!System.Security.SecurityManager.IsGranted(readpermission))
                {
                    MessageBox.Show("The template overrides file entry is invalid. Please correct the path and file entry or else uncheck Use Template Overrides", "OverridesTemplateAlert", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    return;
                }

            }
			lrrApp.RunEnteredWindow();
		}

		private void barItemRunAdvancetoNow_Click(object sender, System.EventArgs e)
		{
            //below code lines added by santhosh...to check wheather the previous run i.e the run which has just  now completed ,
            //trending/Recording thread has completed or not.If not completed , it has to wait till it is completed & once done , then it should kick off the next run

            /*lrrApp._runController.RunNumber++;
            if (lrrApp._runController.RunNumber > 1)
            {
                if (lrrApp._runController.PreviousRunTrending == true || lrrApp._runController.PreviousRunRecording == true)
                {
                    if (lrrApp._runController.SaveTrendingAndRecording == false)
                    {
                        LRRWaitWindowUtility.ShowPogressIndicator("Saving Values To Trending DB");
                        while (lrrApp._runController.SaveTrendingAndRecording == false)
                        {
                            System.Threading.Thread.Sleep(5000);
                        }
                        Symcon.Utils.MessageLogger.Logger.LogMessage(" Santhosh - Saving trended & recorded property values to recording database done ", Symcon.Utils.MessageLogger.Logger.Level.Debug);
                        LRRWaitWindowUtility.EndProgressIndicator();
                    }
                }
            }*/

            //end of changes by santhosh
            if (_lrrOptions.UseTemplateOverrides == true)
            {
                System.Security.Permissions.FileIOPermission readpermission = new System.Security.Permissions.FileIOPermission(System.Security.Permissions.FileIOPermissionAccess.Read, _lrrOptions.OverridesTemplatePath);
                if (_lrrOptions.OverridesTemplatePath == String.Empty || !System.IO.File.Exists(_lrrOptions.OverridesTemplatePath))
                {
                    MessageBox.Show("The template overrides file entry is invalid. Please correct the path and file entry or else uncheck Use Template Overrides", "OverridesTemplateAlert", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    return;
                }
                else if (!System.Security.SecurityManager.IsGranted(readpermission))
                {
                    MessageBox.Show("The template overrides file entry is invalid. Please correct the path and file entry or else uncheck Use Template Overrides", "OverridesTemplateAlert", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                    return;
                }

            }
			lrrApp.RunAdvanceToNow();
		}

		private void barItem13_Click(object sender, System.EventArgs e)
		{

			ArrayList arrParams = new ArrayList();
			arrParams.Add(lrrApp.RunOptionsObj);
			arrParams.Add(timeWindow);
			lrrApp.LRRUIManagerObj.ShowWindow(310, arrParams);
		}

		private void menuItemRestore_Click(object sender, System.EventArgs e)
		{
			Form frm = this.ActiveMdiChild;
			frm.WindowState = System.Windows.Forms.FormWindowState.Normal;
		}

		private void menuItemMinimize_Click(object sender, System.EventArgs e)
		{
			Form frm = this.ActiveMdiChild;
			frm.WindowState = System.Windows.Forms.FormWindowState.Minimized;
		}

		private void menuItemMaximize_Click(object sender, System.EventArgs e)
		{
			Form frm = this.ActiveMdiChild;
			frm.WindowState = System.Windows.Forms.FormWindowState.Maximized;
		}

		private void menuItemClose_Click(object sender, System.EventArgs e)
		{
            Form frm = this.ActiveMdiChild;
			frm.Close();           
		}

		private void tabMDIChildControls_MouseDown(object sender, MouseEventArgs e)
		{
			this.menuItemMinimize.Enabled = true;
			this.menuItemMaximize.Enabled = true;
			this.menuItemRestore.Enabled = true;
			if (e.Button == MouseButtons.Right)
			{
				int index = this.tabMDIChildControls.SelectedIndex;
				Point pt = new Point(e.X, e.Y);
				int locX = this.tabMDIChildControls.GetTabRect(index).Left;
				int locY = this.tabMDIChildControls.GetTabRect(index).Right;
				int mx = e.X;
				if (locX < mx && locY > mx)
				{
					Form frm1 = this.ActiveMdiChild;
					setVisibilityForContextItems(frm1);
					this.contextMenu1.Show(this.tabMDIChildControls, pt);
					return;
				}
				if (locX > mx)
				{
					while (locX > mx)
					{
						if (index != 0)
						{
							index = index - 1;
							locX = this.tabMDIChildControls.GetTabRect(index).Left;
						}
					}
				}
				else
				{
					while (locX < mx)
					{
						index = index + 1;
						if (index < this.tabMDIChildControls.TabPages.Count)
						{
							locX = this.tabMDIChildControls.GetTabRect(index).Left;
							locY = this.tabMDIChildControls.GetTabRect(index).Right;
							if (locX < mx && locY > mx)
							{
								break;
							}

						}
					}
				}
				this.tabMDIChildControls.SelectedTab = this.tabMDIChildControls.TabPages[index];
				Form frm = this.ActiveMdiChild;
				setVisibilityForContextItems(frm);
				this.contextMenu1.Show(this.tabMDIChildControls, pt);
			}
		}

		private void tlbToggleTrending_Click(object sender, System.EventArgs e)
		{
			this.tlbToggleTrending.Checked = !this.tlbToggleTrending.Checked;
			lrrApp.ToggleTrending = this.tlbToggleTrending.Checked;
            //Below code added by santhosh..now in the application we can do at a time either Trending or Recording.
            //If any on button is clicked other gets automatically disabled

            if (lrrApp.ToggleTrending == true)
            {
                tlbToggleRecording.Enabled = false;
            }
            else
            {
                tlbToggleRecording.Enabled = true;
            }
		}

		private void tlbToggleRecording_Click(object sender, System.EventArgs e)
		{
			this.tlbToggleRecording.Checked = !this.tlbToggleRecording.Checked;
			lrrApp.ToggleRecording = this.tlbToggleRecording.Checked;
            //Below code added by santhosh..now in the application we can do at a time either Trending or Recording.
            //If any on button is clicked other gets automatically disabled

            if (lrrApp.ToggleRecording == true)
            {
                tlbToggleTrending.Enabled = false;
            }
            else
            {
                tlbToggleTrending.Enabled = true;
            }
		}

		private void setVisibilityForContextItems(Form frm)
		{
			if (frm.WindowState == System.Windows.Forms.FormWindowState.Normal)
			{
				this.menuItemRestore.Enabled = false;
			}
			if (frm.WindowState == System.Windows.Forms.FormWindowState.Minimized)
			{
				this.menuItemMinimize.Enabled = false;
			}
			if (frm.WindowState == System.Windows.Forms.FormWindowState.Maximized)
			{
				this.menuItemMaximize.Enabled = false;
			}
		}

		private Image LodeImagesForContextMenu(string ImageName)
		{
			Assembly peAssembly = Assembly.GetAssembly(Type.GetType("Symcon.LightRidge.PEAdvisor.PEMainWindow"));
			Stream fs = peAssembly.GetManifestResourceStream("Symcon.LightRidge.PEAdvisor.Restore.gif");
			Image image = null;
			switch (ImageName)
			{
				case "Restore":
					fs = peAssembly.GetManifestResourceStream("Symcon.LightRidge.PEAdvisor.Restore.gif");
					image = Image.FromStream(fs);
					break;
				case "Minimize":
					fs = peAssembly.GetManifestResourceStream("Symcon.LightRidge.PEAdvisor.minimize.gif");
					image = Image.FromStream(fs);
					break;
				case "Maximize":
					fs = peAssembly.GetManifestResourceStream("Symcon.LightRidge.PEAdvisor.maximize.gif");
					image = Image.FromStream(fs);
					break;
				case "Close":
					fs = peAssembly.GetManifestResourceStream("Symcon.LightRidge.PEAdvisor.close.gif");
					image = Image.FromStream(fs);
					break;
				case "": //NONE
					image = Image.FromStream(fs);
					break;
			}
			if (fs != null)
			{
				fs.Close();
				fs = null;
			}
			return image;
		}

		#region Image for ContextMenu

		#region Image For Restore

		private void MeasureItemMenuItemRestore(object obj, MeasureItemEventArgs e)
		{
			Image RestoreImage = null;

			RestoreImage = LodeImagesForContextMenu("Restore");

			MenuItem mi = (MenuItem)obj;

			Font menuFont = SystemInformation.MenuFont;

			StringFormat sf = new StringFormat();

			SizeF size = e.Graphics.MeasureString(mi.Text, menuFont, 500, sf);

			Bitmap bmMenuImage = new Bitmap(RestoreImage);

			e.ItemWidth = (int)Math.Ceiling(size.Width) + bmMenuImage.Width;

			e.ItemHeight = bmMenuImage.Height; //(int)Math.Ceiling(size.Height) + bmMenuImage.Height; 
		}

		private void DrawMenuItemRestore(object sender, System.Windows.Forms.DrawItemEventArgs e)
		{
			MenuItem mi = (MenuItem)sender;

			Image RestoreImage = null;

			RestoreImage = LodeImagesForContextMenu("Restore");


			// Get standard menu font so that the text in this
			// menu rectangle doesn't look funny with a
			// different font
			Font menuFont = SystemInformation.MenuFont;

			// Get a brush to use for painting
			SolidBrush menuBrush = null;

			// Determine menu brush for painting
			if (mi.Enabled == false)
			{
				// disabled text if menu item not enabled
				menuBrush = new SolidBrush(SystemColors.GrayText);
			}
			else    // Normal (enabled) text
			{
				if ((e.State & DrawItemState.Selected) != 0)
				{
					// Text color when selected (highlighted)
					menuBrush =
						new SolidBrush(SystemColors.HighlightText);
				}
				else
				{
					// Text color during normal drawing
					menuBrush = new SolidBrush(SystemColors.MenuText);
				}
			}

			// Center the text portion (out to side of image portion)
			StringFormat strfmt = new StringFormat();
			strfmt.LineAlignment = System.Drawing.StringAlignment.Near;

			// Get image associated with this menu item
			Bitmap bmMenuImage = new Bitmap(RestoreImage);

			// Rectangle for image portion
			Rectangle rectImage = e.Bounds;

			// Set image rectangle same dimensions as image
			rectImage.Width = bmMenuImage.Width;
			rectImage.Height = bmMenuImage.Height;

			// Rectangle for text portion
			Rectangle rectText = e.Bounds;

			// set width to x value of text portion
			rectText.X += rectImage.Width;

			// Start Drawing the menu rectangle

			// Fill rectangle with proper background color
			// [use this instead of e.DrawBackground() ]
			if ((e.State & DrawItemState.Selected) != 0)
			{
				// Selected color
				e.Graphics.FillRectangle(SystemBrushes.Highlight,
					e.Bounds);
			}
			else
			{
				// Normal background color (when not selected)
				e.Graphics.FillRectangle(SystemBrushes.Menu,
					e.Bounds);
			}

			// Draw image portion
			e.Graphics.DrawImage(bmMenuImage, rectImage);

			// Draw string/text portion
			//
			// text portion
			// using menu font
			// using brush determined earlier
			// Start at offset of image rect already drawn
			// Total height,divided to be centered
			// Formatted string
			e.Graphics.DrawString(mi.Text, menuFont, menuBrush, e.Bounds.Left + bmMenuImage.Width, e.Bounds.Top + ((e.Bounds.Height - menuFont.Height)), strfmt);
		}

		#endregion

		#region Image For Minimize

		private void MeasureItemMenuItemMinimize(object obj, MeasureItemEventArgs e)
		{

			Image MinimizeImage = null;

			MinimizeImage = LodeImagesForContextMenu("Minimize");

			MenuItem mi = (MenuItem)obj;

			Font menuFont = SystemInformation.MenuFont;

			StringFormat sf = new StringFormat();

			SizeF size = e.Graphics.MeasureString(mi.Text, menuFont, 500, sf);

			Bitmap bmMenuImage = new Bitmap(MinimizeImage);

			e.ItemWidth = (int)Math.Ceiling(size.Width) + bmMenuImage.Width;

			e.ItemHeight = bmMenuImage.Height; //(int)Math.Ceiling(size.Height) + bmMenuImage.Height; 
		}

		private void DrawMenuItemMinimize(object sender, System.Windows.Forms.DrawItemEventArgs e)
		{
			MenuItem mi = (MenuItem)sender;

			Image MinimizeImage = null;

			MinimizeImage = LodeImagesForContextMenu("Minimize");


			// Get standard menu font so that the text in this
			// menu rectangle doesn't look funny with a
			// different font
			Font menuFont = SystemInformation.MenuFont;

			// Get a brush to use for painting
			SolidBrush menuBrush = null;

			// Determine menu brush for painting
			if (mi.Enabled == false)
			{
				// disabled text if menu item not enabled
				menuBrush = new SolidBrush(SystemColors.GrayText);
			}
			else    // Normal (enabled) text
			{
				if ((e.State & DrawItemState.Selected) != 0)
				{
					// Text color when selected (highlighted)
					menuBrush =
						new SolidBrush(SystemColors.HighlightText);
				}
				else
				{
					// Text color during normal drawing
					menuBrush = new SolidBrush(SystemColors.MenuText);
				}
			}

			// Center the text portion (out to side of image portion)
			StringFormat strfmt = new StringFormat();
			strfmt.LineAlignment = System.Drawing.StringAlignment.Near;

			// Get image associated with this menu item
			Bitmap bmMenuImage = new Bitmap(MinimizeImage);

			// Rectangle for image portion
			Rectangle rectImage = e.Bounds;

			// Set image rectangle same dimensions as image
			rectImage.Width = bmMenuImage.Width;
			rectImage.Height = bmMenuImage.Height;

			// Rectangle for text portion
			Rectangle rectText = e.Bounds;

			// set width to x value of text portion
			rectText.X += rectImage.Width;

			// Start Drawing the menu rectangle

			// Fill rectangle with proper background color
			// [use this instead of e.DrawBackground() ]
			if ((e.State & DrawItemState.Selected) != 0)
			{
				// Selected color
				e.Graphics.FillRectangle(SystemBrushes.Highlight,
					e.Bounds);
			}
			else
			{
				// Normal background color (when not selected)
				e.Graphics.FillRectangle(SystemBrushes.Menu,
					e.Bounds);
			}

			// Draw image portion
			e.Graphics.DrawImage(bmMenuImage, rectImage);

			// Draw string/text portion
			//
			// text portion
			// using menu font
			// using brush determined earlier
			// Start at offset of image rect already drawn
			// Total height,divided to be centered
			// Formatted string
			e.Graphics.DrawString(mi.Text, menuFont, menuBrush, e.Bounds.Left + bmMenuImage.Width, e.Bounds.Top + ((e.Bounds.Height - menuFont.Height)), strfmt);
		}

		#endregion

		#region Image for Maximize

		private void MeasureItemMenuItemMaximize(object obj, MeasureItemEventArgs e)
		{

			Image MaximizeImage = null;

			MaximizeImage = LodeImagesForContextMenu("Maximize");

			MenuItem mi = (MenuItem)obj;

			Font menuFont = SystemInformation.MenuFont;

			StringFormat sf = new StringFormat();

			SizeF size = e.Graphics.MeasureString(mi.Text, menuFont, 500, sf);

			Bitmap bmMenuImage = new Bitmap(MaximizeImage);

			e.ItemWidth = (int)Math.Ceiling(size.Width) + bmMenuImage.Width;

			e.ItemHeight = bmMenuImage.Height; //(int)Math.Ceiling(size.Height) + bmMenuImage.Height; 
		}

		private void DrawMenuItemMaximize(object sender, System.Windows.Forms.DrawItemEventArgs e)
		{
			MenuItem mi = (MenuItem)sender;

			Image MaximizeImage = null;

			MaximizeImage = LodeImagesForContextMenu("Maximize");


			// Get standard menu font so that the text in this
			// menu rectangle doesn't look funny with a
			// different font
			Font menuFont = SystemInformation.MenuFont;

			// Get a brush to use for painting
			SolidBrush menuBrush = null;

			// Determine menu brush for painting
			if (mi.Enabled == false)
			{
				// disabled text if menu item not enabled
				menuBrush = new SolidBrush(SystemColors.GrayText);
			}
			else    // Normal (enabled) text
			{
				if ((e.State & DrawItemState.Selected) != 0)
				{
					// Text color when selected (highlighted)
					menuBrush =
						new SolidBrush(SystemColors.HighlightText);
				}
				else
				{
					// Text color during normal drawing
					menuBrush = new SolidBrush(SystemColors.MenuText);
				}
			}

			// Center the text portion (out to side of image portion)
			StringFormat strfmt = new StringFormat();
			strfmt.LineAlignment = System.Drawing.StringAlignment.Near;

			// Get image associated with this menu item
			Bitmap bmMenuImage =
				new Bitmap(MaximizeImage);

			// Rectangle for image portion
			Rectangle rectImage = e.Bounds;

			// Set image rectangle same dimensions as image
			rectImage.Width = bmMenuImage.Width;
			rectImage.Height = bmMenuImage.Height;

			// Rectangle for text portion
			Rectangle rectText = e.Bounds;

			// set width to x value of text portion
			rectText.X += rectImage.Width;

			// Start Drawing the menu rectangle

			// Fill rectangle with proper background color
			// [use this instead of e.DrawBackground() ]
			if ((e.State & DrawItemState.Selected) != 0)
			{
				// Selected color
				e.Graphics.FillRectangle(SystemBrushes.Highlight,
					e.Bounds);
			}
			else
			{
				// Normal background color (when not selected)
				e.Graphics.FillRectangle(SystemBrushes.Menu,
					e.Bounds);
			}

			// Draw image portion
			e.Graphics.DrawImage(bmMenuImage, rectImage);

			// Draw string/text portion
			//
			// text portion
			// using menu font
			// using brush determined earlier
			// Start at offset of image rect already drawn
			// Total height,divided to be centered
			// Formatted string
			e.Graphics.DrawString(mi.Text, menuFont, menuBrush, e.Bounds.Left + bmMenuImage.Width, e.Bounds.Top + ((e.Bounds.Height - menuFont.Height)), strfmt);
		}

		#endregion

		#region Image for Close.


		private void MeasureItemMenuItemClose(object obj, MeasureItemEventArgs e)
		{
			MenuItem mi = (MenuItem)obj;

			Image CloseImage = null;

			CloseImage = LodeImagesForContextMenu("Close");


			Font menuFont = SystemInformation.MenuFont;

			StringFormat sf = new StringFormat();

			SizeF size = e.Graphics.MeasureString(mi.Text, menuFont, 500, sf);

			Bitmap bmMenuImage = new Bitmap(CloseImage);//(@"C:\CVS_Views\CVSBLR\Projects\LightRidge\Source\DesktopApplication\LRRMain\close.gif",false);

			e.ItemWidth = (int)Math.Ceiling(size.Width) + bmMenuImage.Width;

			e.ItemHeight = bmMenuImage.Height; //(int)Math.Ceiling(size.Height) + bmMenuImage.Height; 
		}

		private void DrawMenuItemClose(object sender, System.Windows.Forms.DrawItemEventArgs e)
		{
			MenuItem mi = (MenuItem)sender;

			Image CloseImage = null;

			CloseImage = LodeImagesForContextMenu("Close");


			// Get standard menu font so that the text in this
			// menu rectangle doesn't look funny with a
			// different font
			Font menuFont = SystemInformation.MenuFont;

			// Get a brush to use for painting
			SolidBrush menuBrush = null;

			// Determine menu brush for painting
			if (mi.Enabled == false)
			{
				// disabled text if menu item not enabled
				menuBrush = new SolidBrush(SystemColors.GrayText);
			}
			else    // Normal (enabled) text
			{
				if ((e.State & DrawItemState.Selected) != 0)
				{
					// Text color when selected (highlighted)
					menuBrush =
						new SolidBrush(SystemColors.HighlightText);
				}
				else
				{
					// Text color during normal drawing
					menuBrush = new SolidBrush(SystemColors.MenuText);
				}
			}

			// Center the text portion (out to side of image portion)
			StringFormat strfmt = new StringFormat();
			strfmt.LineAlignment = System.Drawing.StringAlignment.Near;

			// Get image associated with this menu item
			Bitmap bmMenuImage =
				new Bitmap(CloseImage);

			// Rectangle for image portion
			Rectangle rectImage = e.Bounds;

			// Set image rectangle same dimensions as image
			rectImage.Width = bmMenuImage.Width;
			rectImage.Height = bmMenuImage.Height;

			// Rectangle for text portion
			Rectangle rectText = e.Bounds;

			// set width to x value of text portion
			rectText.X += rectImage.Width;

			// Start Drawing the menu rectangle

			// Fill rectangle with proper background color
			// [use this instead of e.DrawBackground() ]
			if ((e.State & DrawItemState.Selected) != 0)
			{
				// Selected color
				e.Graphics.FillRectangle(SystemBrushes.Highlight,
					e.Bounds);
			}
			else
			{
				// Normal background color (when not selected)
				e.Graphics.FillRectangle(SystemBrushes.Menu,
					e.Bounds);
			}

			// Draw image portion
			e.Graphics.DrawImage(bmMenuImage, rectImage);

			// Draw string/text portion
			//
			// text portion
			// using menu font
			// using brush determined earlier
			// Start at offset of image rect already drawn
			// Total height,divided to be centered
			// Formatted string
			e.Graphics.DrawString(mi.Text, menuFont, menuBrush, e.Bounds.Left + bmMenuImage.Width, e.Bounds.Top + ((e.Bounds.Height - menuFont.Height)), strfmt);
		}

		#endregion

		private void tlbUndo_Click(object sender, System.EventArgs e)
		{
			this.Cursor = Cursors.WaitCursor;
			ILRRUIContainer iUIContainer = this.ActiveMdiChild as ILRRUIContainer;
			if (iUIContainer != null)
			{
				iUIContainer.Undo();
			}
			this.Cursor = Cursors.Default;
		}



		#endregion

		private void barItemPlantItemIndices_Click(object sender, System.EventArgs e)
		{
			object[] args = new object[1];
			args[0] = 490;
			LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}

		private void bItemFormulaBrowser_Click(object sender, System.EventArgs e)
		{
            object[] args = new object[1];
            args[0] = 650;
            LRRWaitWindowUtility.ExecuteMethodWithWait(lrrApp.LRRUIManagerObj, "ShowWindow", args, MethodExecutionMode.UI);
		}




	}
}
